#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0xd47480a6, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0xbb3c6dd0, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xd0237c76, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x80c4cab1, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x9f2ad3f0, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x5e1166f2, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x3bd6de58, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xfc9e3aba, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x99350ffe, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x50152ba6, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x1ab1529c, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x6b2282ed, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xf9eb7257, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x81b80698, "crypto_alloc_skcipher" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1c97aa45, "crypto_alloc_ahash" },
	{ 0xb633eff7, "crypto_alloc_aead" },
	{ 0x0f1374a4, "crypto_skcipher_setkey" },
	{ 0x211e0594, "crypto_spawn_tfm2" },
	{ 0xbbc407ae, "crypto_drop_spawn" },
	{ 0x037a0cba, "kfree" },
	{ 0x6a4e5f94, "crypto_shash_setkey" },
	{ 0x92d99343, "crypto_shash_import" },
	{ 0x09a85980, "crypto_shash_export" },
	{ 0xfb3fca14, "crypto_clone_shash" },
	{ 0x0f54a401, "crypto_aead_setauthsize" },
	{ 0x341fbd98, "crypto_aead_setkey" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xbc7ab5c4, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6e51d33b, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x070f7896, "_printk" },
	{ 0x5c34e0d9, "crypto_register_template" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x135cdf38, "crypto_enqueue_request" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xa8aa4c68, "crypto_grab_shash" },
	{ 0x7cd4c290, "crypto_grab_skcipher" },
	{ 0x47c1d21b, "skcipher_register_instance" },
	{ 0x4427d80a, "crypto_grab_aead" },
	{ 0xfd04ad89, "aead_register_instance" },
	{ 0x715d3f71, "shash_no_setkey" },
	{ 0x9f160289, "ahash_register_instance" },
	{ 0x4d86c423, "crypto_skcipher_decrypt" },
	{ 0x33066ae8, "crypto_skcipher_encrypt" },
	{ 0x7811dfd4, "shash_ahash_digest" },
	{ 0x248fbde1, "shash_ahash_finup" },
	{ 0x74624b10, "crypto_shash_final" },
	{ 0x1d6cdc66, "shash_ahash_update" },
	{ 0x8cdd2467, "param_ops_uint" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE601D458BFDA37FC7B6285");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
