#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x7658ac46, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x7289bbe9, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x30ddf422, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ed0a4bc, "regmap_write" },
	{ 0x9afe6d75, "__devm_drm_dev_alloc" },
	{ 0xac57f290, "device_get_match_data" },
	{ 0x7289e29d, "device_property_read_u32_array" },
	{ 0x792acb22, "device_property_read_u8_array" },
	{ 0x193b1758, "device_property_read_bool" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0x2cebd8bb, "devm_regulator_get" },
	{ 0x5954a55e, "devm_backlight_device_register" },
	{ 0x12c13afc, "drmm_mode_config_init" },
	{ 0xebbb5cd2, "drm_universal_plane_init" },
	{ 0x21d31536, "drm_plane_enable_fb_damage_clips" },
	{ 0x669e3b6e, "drm_crtc_init_with_planes" },
	{ 0x3e7f7f67, "drm_encoder_init" },
	{ 0x76bb1f0e, "drm_connector_init" },
	{ 0xd7b5313b, "drm_connector_attach_encoder" },
	{ 0x659ad19c, "drm_mode_config_reset" },
	{ 0xdfa39435, "drm_dev_register" },
	{ 0x70bf1740, "drm_client_setup" },
	{ 0x3c728c20, "dev_err_probe" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xa2de6dc1, "drm_mode_duplicate" },
	{ 0x6b12ea65, "drm_mode_probed_add" },
	{ 0x9e77803a, "drm_set_preferred_mode" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x116f84a1, "pwm_put" },
	{ 0xf07cd735, "regulator_disable" },
	{ 0x11727e13, "pwm_apply_might_sleep" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x40a6641b, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x5c50eba4, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x881b427b, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x90c7137a, "drm_dev_enter" },
	{ 0x2bc95bd4, "memset" },
	{ 0x72f129c6, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x00067aea, "drm_atomic_helper_check_plane_state" },
	{ 0x34991c39, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x2cea5b66, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xa869ecac, "drm_dev_unplug" },
	{ 0xd1b33edc, "drm_atomic_helper_shutdown" },
	{ 0x1b9873ff, "drm_format_conv_state_reserve" },
	{ 0x8ee74285, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xf3e1d5ea, "drm_gem_fb_begin_cpu_access" },
	{ 0xdf9837eb, "drm_fb_xrgb8888_to_rgb332" },
	{ 0xd498a27a, "drm_gem_fb_end_cpu_access" },
	{ 0xe3cbcf6d, "drm_fb_xrgb8888_to_gray8" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc13aec9d, "drm_fb_xrgb8888_to_mono" },
	{ 0x4533e1b4, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8691893f, "regulator_enable" },
	{ 0x6964ab64, "pwm_get" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x4718e930, "__drm_atomic_helper_crtc_reset" },
	{ 0xc4572ce1, "__drm_gem_reset_shadow_plane" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1de651da, "_dev_warn" },
	{ 0xfb270325, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xca5a342f, "drm_gem_shmem_dumb_create" },
	{ 0x96a04186, "drm_fbdev_shmem_driver_fbdev_probe" },
	{ 0x5650d81e, "noop_llseek" },
	{ 0x12b44b95, "drm_read" },
	{ 0xc85b125b, "drm_poll" },
	{ 0xfe2ba5c5, "drm_ioctl" },
	{ 0xad01e8a9, "drm_gem_mmap" },
	{ 0xdc0b4f62, "drm_open" },
	{ 0xdfea6fa2, "drm_release" },
	{ 0xf9880d1d, "drm_gem_fb_create_with_dirty" },
	{ 0xb8b74e52, "drm_atomic_helper_check" },
	{ 0x99462881, "drm_atomic_helper_commit" },
	{ 0xd5934e48, "drm_atomic_helper_connector_reset" },
	{ 0x1959d443, "drm_helper_probe_single_connector_modes" },
	{ 0x6a20c341, "drm_connector_cleanup" },
	{ 0xd396a982, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x4106728e, "drm_atomic_helper_connector_destroy_state" },
	{ 0x511bb016, "drm_encoder_cleanup" },
	{ 0x72b5a23c, "drm_crtc_cleanup" },
	{ 0x4c6d0974, "drm_atomic_helper_set_config" },
	{ 0x55bebc1e, "drm_atomic_helper_page_flip" },
	{ 0xdc50bb71, "drm_atomic_helper_update_plane" },
	{ 0xa7d338da, "drm_atomic_helper_disable_plane" },
	{ 0x4a566b30, "drm_plane_cleanup" },
	{ 0x0bc77f01, "drm_gem_begin_shadow_fb_access" },
	{ 0xc01cfc84, "drm_gem_end_shadow_fb_access" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AD52A8B39ECA029E2F4B3E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
