#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0xd88b02ee, "");
SYMBOL_CRC(cx8802_buf_prepare, 0x53bd2fc6, "");
SYMBOL_CRC(cx8802_buf_queue, 0x1f2c1078, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0x1cbb9b0f, "");
SYMBOL_CRC(cx8802_get_driver, 0xb4806514, "");
SYMBOL_CRC(cx8802_register_driver, 0x853e18b6, "");
SYMBOL_CRC(cx8802_unregister_driver, 0x1a09449f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54e331b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x278f3cd7, "cx88_reset" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xee23f1d6, "cx88_wakeup" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x04572218, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x878aa762, "__pci_register_driver" },
	{ 0xa824a6a1, "cx88_shutdown" },
	{ 0x037a0cba, "kfree" },
	{ 0xf5ab7b08, "cx88_core_put" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7df1585e, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5403a0d6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96b5fce9, "cx88_core_get" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x78a45afc, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc41f35a5, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5f50da47, "cx88_sram_channel_dump" },
	{ 0x3c4e1026, "cx88_sram_channel_setup" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x98bf36bb, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "861561822E9B4A4BD78BC2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
