#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x372bcf6f, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x17daaeb9, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0xcdc82666, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x60686f69, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x552cd849, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x23b6e646, "_gpl");
SYMBOL_CRC(is_fw_load, 0x99485f67, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xc7f8a2b7, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xf3892911, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x01453519, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x84348599, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x72ce9297, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x0e6d5c83, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0xe08994b6, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0xc7afc3d5, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xa89de285, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0xe074e0ac, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x6eb5df54, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x379d14a2, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x46f87c22, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x8a7c66ef, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x75a5fbb4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x00e3088c, "vb2_queue_init" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0x5a6c2eca, "v4l2_ctrl_poll" },
	{ 0x3c47a2e7, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x27a06da8, "media_device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x391a414a, "vb2_ioctl_streamoff" },
	{ 0x7224a250, "v4l2_ctrl_radio_filter" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb6441d2f, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4e2a4d30, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xbb83c3a6, "request_firmware" },
	{ 0x5ef6921d, "usb_register_driver" },
	{ 0x84784193, "v4l2_ctrl_handler_init_class" },
	{ 0x497f6c4d, "param_array_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb971ca24, "__media_device_register" },
	{ 0x17548f83, "vb2_ioctl_querybuf" },
	{ 0x3ee5037a, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5aeddeea, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x2d351f49, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdfddad52, "usb_put_dev" },
	{ 0xf75d8d41, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f310764, "video_devdata" },
	{ 0xe5c13622, "vb2_fop_release" },
	{ 0x8dbc3595, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0x6177c90a, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x48282e88, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x45518832, "media_device_register_entity" },
	{ 0xfc840e08, "media_device_cleanup" },
	{ 0xc3c2b41e, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5c5b3612, "i2c_unregister_device" },
	{ 0x6b481b8e, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb63e736e, "usb_control_msg" },
	{ 0xc41f35a5, "vb2_buffer_done" },
	{ 0x515ef241, "vb2_plane_vaddr" },
	{ 0xba56eda3, "v4l2_ctrl_subscribe_event" },
	{ 0xcd9eb46b, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdae67de1, "media_entity_pads_init" },
	{ 0xd7009c83, "video_unregister_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xaeba96a5, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x2708126d, "usb_deregister" },
	{ 0x032b413f, "vb2_ioctl_qbuf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xbbc5c0d1, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6d94568b, "v4l2_s_ctrl" },
	{ 0x39bcc184, "i2c_mux_alloc" },
	{ 0x22e00d66, "vb2_vmalloc_memops" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x794a15aa, "vb2_fop_read" },
	{ 0xb0b4d237, "v4l2_device_register" },
	{ 0xe09c8694, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8a1aa1f, "rc_allocate_device" },
	{ 0x1e8d8ed3, "usb_unlink_urb" },
	{ 0xbd9f55f0, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8647b5f9, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b0c05ce, "vb2_ioctl_streamon" },
	{ 0x3865eede, "v4l2_mc_create_media_graph" },
	{ 0x2b1928b2, "vb2_fop_poll" },
	{ 0xca3500c6, "cx2341x_handler_init" },
	{ 0x952b4256, "cx2341x_handler_set_50hz" },
	{ 0x4758f3b9, "__media_device_usb_init" },
	{ 0x8c4fbf4d, "v4l2_ctrl_handler_free" },
	{ 0x6818194b, "i2c_transfer" },
	{ 0xd34af192, "v4l2_device_unregister" },
	{ 0x3df9a64a, "usb_reset_endpoint" },
	{ 0x35831700, "i2c_mux_del_adapters" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0x316f2ace, "v4l2_subdev_call_wrappers" },
	{ 0xce1e4fa5, "v4l2_ctrl_log_status" },
	{ 0xfecfa13f, "v4l2_i2c_new_subdev" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0xefd74245, "video_device_release_empty" },
	{ 0xb468eb2d, "i2c_mux_add_adapter" },
	{ 0x88ec1ffd, "_vb2_fop_release" },
	{ 0xf9a482f9, "msleep" },
	{ 0x512387e4, "v4l2_event_unsubscribe" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeacfc386, "vb2_ioctl_reqbufs" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,mc,cx2341x,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "781023BA97FDA02ACD52B72");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
