#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x926208b6, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x65d933e3, "");
SYMBOL_CRC(dvb_usb_device_init, 0xdc3b79c1, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x0bb2367d, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x7c83b4e1, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x5d10a1e9, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x6802af95, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6389c7cf, "input_allocate_device" },
	{ 0xc2e8349e, "dvb_dmxdev_init" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x27a06da8, "media_device_unregister" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb6441d2f, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xbb83c3a6, "request_firmware" },
	{ 0x4a04b3c7, "input_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb971ca24, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5bf5d9ac, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdd6347cd, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x2d351f49, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf75d8d41, "usb_bulk_msg" },
	{ 0x938abf97, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x738803e6, "strnlen" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x48282e88, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfc840e08, "media_device_cleanup" },
	{ 0x439354fb, "dvb_dmx_swfilter_204" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6b481b8e, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3ce629b0, "rc_register_device" },
	{ 0xb63e736e, "usb_control_msg" },
	{ 0x6cd17747, "dvb_net_init" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x7001f9cb, "dvb_dmxdev_release" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xf487178d, "rc_free_device" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7d4d8540, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x751db160, "input_event" },
	{ 0x6c0f6ef7, "dvb_frontend_detach" },
	{ 0xe09c8694, "i2c_add_adapter" },
	{ 0xe5f03128, "dvb_net_release" },
	{ 0xa8a1aa1f, "rc_allocate_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd01a9de9, "dvb_unregister_frontend" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4758f3b9, "__media_device_usb_init" },
	{ 0x1ea4e7ea, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x492c6cd4, "dvb_create_media_graph" },
	{ 0x0b25c476, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x964053fc, "rc_unregister_device" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
