#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0xf912ac20, "");
SYMBOL_CRC(gspca_dev_probe2, 0x7eb3ed73, "");
SYMBOL_CRC(gspca_dev_probe, 0x059719e9, "");
SYMBOL_CRC(gspca_disconnect, 0x289a1679, "");
SYMBOL_CRC(gspca_suspend, 0x1df1f3ff, "");
SYMBOL_CRC(gspca_resume, 0xc782a568, "");
SYMBOL_CRC(gspca_expo_autogain, 0x51effcfb, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x20bbf6d4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x00e3088c, "vb2_queue_init" },
	{ 0x6389c7cf, "input_allocate_device" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0x3c47a2e7, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0x8f9bf515, "v4l2_device_put" },
	{ 0x391a414a, "vb2_ioctl_streamoff" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb6441d2f, "usb_alloc_coherent" },
	{ 0xa598ce2f, "vb2_ioctl_expbuf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x4107f3ed, "usb_ifnum_to_if" },
	{ 0x4a04b3c7, "input_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x17548f83, "vb2_ioctl_querybuf" },
	{ 0x5aeddeea, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdd6347cd, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x2d351f49, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x43be5f9c, "v4l2_ctrl_handler_setup" },
	{ 0x938abf97, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f310764, "video_devdata" },
	{ 0x62e8a038, "vb2_queue_error" },
	{ 0xe5c13622, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xd41c2203, "__v4l2_ctrl_s_ctrl" },
	{ 0xc3c2b41e, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6b481b8e, "usb_free_coherent" },
	{ 0x955aec82, "vb2_ioctl_create_bufs" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc41f35a5, "vb2_buffer_done" },
	{ 0x515ef241, "vb2_plane_vaddr" },
	{ 0xba56eda3, "v4l2_ctrl_subscribe_event" },
	{ 0xcd9eb46b, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd7009c83, "video_unregister_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x032b413f, "vb2_ioctl_qbuf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xbbc5c0d1, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x22e00d66, "vb2_vmalloc_memops" },
	{ 0x1b130762, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x794a15aa, "vb2_fop_read" },
	{ 0xb0b4d237, "v4l2_device_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8647b5f9, "__video_register_device" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8b0c05ce, "vb2_ioctl_streamon" },
	{ 0x2b1928b2, "vb2_fop_poll" },
	{ 0x498783f6, "v4l2_ctrl_g_ctrl" },
	{ 0x8c4fbf4d, "v4l2_ctrl_handler_free" },
	{ 0xd34af192, "v4l2_device_unregister" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0xefd74245, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x512387e4, "v4l2_event_unsubscribe" },
	{ 0xeacfc386, "vb2_ioctl_reqbufs" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "DEE20B11ED5723876F1CB2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
