#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_data_line_cmd, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_do_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_mod_timer, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_initialize_data, "_gpl", "");
KSYMTAB_FUNC(sdhci_prepare_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_needs_reset, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_data_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_present_error, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_vdd_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_preset_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_done_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_complete_work, "_gpl", "");
KSYMTAB_FUNC(sdhci_thread_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0xb9dc3b1a, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0x4f56a590, "_gpl");
SYMBOL_CRC(sdhci_data_line_cmd, 0x7f005712, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x85ab102f, "_gpl");
SYMBOL_CRC(sdhci_do_reset, 0x73a04a46, "_gpl");
SYMBOL_CRC(sdhci_mod_timer, 0xad7846d1, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0xbbcc0df5, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x745445d1, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xd039e1b8, "_gpl");
SYMBOL_CRC(sdhci_initialize_data, 0x33d00c49, "_gpl");
SYMBOL_CRC(sdhci_prepare_dma, 0x581d08cf, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0xc360e173, "_gpl");
SYMBOL_CRC(sdhci_needs_reset, 0x7fc48690, "_gpl");
SYMBOL_CRC(__sdhci_finish_mrq, 0x04413c71, "_gpl");
SYMBOL_CRC(sdhci_finish_mrq, 0xf03bd957, "_gpl");
SYMBOL_CRC(__sdhci_finish_data_common, 0x0b2575c2, "_gpl");
SYMBOL_CRC(sdhci_present_error, 0x289f9271, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x372ffd8f, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0xf682a2ad, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x0ba61ed5, "_gpl");
SYMBOL_CRC(sdhci_get_vdd_value, 0x03082f95, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x7ae6df81, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x25872b49, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x2e8cd0de, "_gpl");
SYMBOL_CRC(sdhci_request, 0x6ff977f1, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x4a30d746, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x087534fd, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0x0711bd59, "_gpl");
SYMBOL_CRC(sdhci_set_ios_common, 0x1e145787, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0xe88c59a1, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x8c251394, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0x71b82c8c, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x23953497, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x875285cc, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x207fdeff, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x00beace6, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x3e18b5e2, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0xb717e253, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x178966f6, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x34678d0c, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0x586fd19a, "_gpl");
SYMBOL_CRC(sdhci_enable_preset_value, 0xfcb81d7f, "_gpl");
SYMBOL_CRC(sdhci_request_done_dma, 0xd36d179a, "_gpl");
SYMBOL_CRC(sdhci_complete_work, 0x3ee3b87c, "_gpl");
SYMBOL_CRC(sdhci_thread_irq, 0x9b1d369c, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0x9113093c, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x0d393826, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x649e3c4e, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x527de172, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0xd43f5eb4, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0xdad93753, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xdc2efa47, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x1eaae9ba, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x8d7869cd, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x8ba72144, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x0a5b9be8, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x4779c368, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x263227f5, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0xc2c9e0f7, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0x2629d361, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x070f7896, "_printk" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2f4fcf18, "dma_map_sg_attrs" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0xb7f0cf56, "dma_unmap_sg_attrs" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x849fc675, "__dma_sync_single_for_cpu" },
	{ 0x115ee465, "mmc_alloc_host" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0xf07cd735, "regulator_disable" },
	{ 0xee70fd70, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdfaf1ae6, "mmc_retune_timer_stop" },
	{ 0x0aa309cf, "synchronize_hardirq" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0x05536501, "__kmap_local_page_prot" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x8d0971a2, "__dma_sync_sg_for_cpu" },
	{ 0x04a283ca, "mmc_send_abort_tuning" },
	{ 0xab317282, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9e5b5a05, "mmc_regulator_set_ocr" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcdb1d650, "mmc_gpio_get_cd" },
	{ 0x7f5613e4, "mmc_can_gpio_cd" },
	{ 0x2310072f, "mmc_detect_change" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0x27a1292d, "mmc_add_host" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x58a03f42, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xee6b0fa3, "mmc_can_gpio_ro" },
	{ 0x55678d3e, "mmc_gpio_get_ro" },
	{ 0xdb2d3249, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3b344464, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x782ae30e, "regulator_is_supported_voltage" },
	{ 0x35f18563, "regulator_get_current_limit" },
	{ 0x8691893f, "regulator_enable" },
	{ 0x1d9044bc, "dma_alloc_attrs" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x420eabe4, "mem_section" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0x32d82281, "devm_kfree" },
	{ 0xa1338fe3, "mmc_regulator_get_supply" },
	{ 0x8fbae0d5, "dma_max_mapping_size" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0x7d1c023b, "dma_set_coherent_mask" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0x195cec7d, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2c33543c, "mmc_command_done" },
	{ 0x79a634b4, "sdio_signal_irq" },
	{ 0x66a4bbab, "sg_miter_next" },
	{ 0x04b012b6, "sg_miter_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8cdd2467, "param_ops_uint" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "3CF9A24B13F623438CB5E2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
