#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x435877c9, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xb9a662a9, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x4deff630, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x83c9dd65, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x41ca46c5, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x8c3243ca, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xb8c901dc, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x687ae708, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x6043cba8, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x273823e4, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x4439fd17, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x5d742364, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x4866ad66, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xc7aaef30, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x5faf21f5, "_gpl");
SYMBOL_CRC(mtd_erase, 0x43a08f9f, "_gpl");
SYMBOL_CRC(mtd_point, 0x907fce35, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x0c8bcf15, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0xab344ca2, "_gpl");
SYMBOL_CRC(mtd_read, 0x6766c3ec, "_gpl");
SYMBOL_CRC(mtd_write, 0xe73beded, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xfe0e12b6, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x55f59a2d, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x6c8eab40, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xe28ba07f, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x2ef0944b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0xa6de0a19, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x08cc3f33, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x72242a74, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xf45abdbc, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x3a01ee1c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x5bf0aaba, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x0be79c7e, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x1bd5c465, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x39662799, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xe88c1652, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xd9c5588b, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x6249f939, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x562a0185, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xd9ecb524, "_gpl");
SYMBOL_CRC(mtd_lock, 0xa04869d2, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x4176d5a8, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x7ce11007, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x1922c75f, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xedabe361, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xa47b6bcb, "_gpl");
SYMBOL_CRC(mtd_writev, 0xee894647, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x29f1d43a, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xbc34a2d6, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x427e3896, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xc092ccd3, "");
SYMBOL_CRC(mtd_concat_destroy, 0xcb4da209, "");
SYMBOL_CRC(mtd_add_partition, 0xe83475fb, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x672ed303, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xc3e514e5, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x3d3630df, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x3bfbb73f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47bafaa1, "generic_shutdown_super" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x05075827, "of_node_put" },
	{ 0x8ace204b, "kmemdup_array" },
	{ 0xc7d4c53a, "sget_dev" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x35622fe9, "bdi_unregister" },
	{ 0x94c48a18, "dev_set_name" },
	{ 0xa9c32dd6, "of_get_compatible_child" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0xc552b58e, "bdi_register" },
	{ 0xcbce06c4, "of_node_name_prefix" },
	{ 0x32b0a394, "device_unregister" },
	{ 0x970e2e29, "nvmem_unregister" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x54559070, "of_node_get" },
	{ 0xf90a4535, "logfc" },
	{ 0x2c72e686, "sysfs_remove_files" },
	{ 0x3146e0f9, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xb546cc56, "bdi_put" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x569cc7d7, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x24de4a7a, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2af21e81, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9820fab8, "of_get_child_by_name" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe1d584c5, "debugfs_create_bool" },
	{ 0x4ea19658, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0x4d6c2545, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3c495648, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x94840f24, "fixed_size_llseek" },
	{ 0x8cac23dd, "of_property_read_string" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c3c90ea, "of_find_property" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x530b6951, "bdi_alloc" },
	{ 0x73454776, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x68f9c9be, "of_device_is_compatible" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1801a36d, "__register_chrdev" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x959fd629, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x92860c7d, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xeda759c5, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x31cb2d89, "of_alias_get_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3c728c20, "dev_err_probe" },
	{ 0xf7f542a8, "proc_create_single_data" },
	{ 0x6cde83df, "nvmem_register" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x15612c65, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb38eb9ce, "of_platform_populate" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0xed0d3c8b, "class_register" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5655080261274AEC2A5A86D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
