#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x25cdd8b6, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xc1f96280, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x8ef52bde, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x341f2ad6, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xeb625253, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x3fe595ac, "xsk_tx_completed" },
	{ 0xec9852ae, "napi_alloc_skb" },
	{ 0xb8dab765, "alloc_etherdev_mqs" },
	{ 0x8915bcc1, "netdev_lower_get_next" },
	{ 0xdc044a74, "flow_block_cb_lookup" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc7e2edcf, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xa1a898c8, "device_set_wakeup_enable" },
	{ 0x064f6f0c, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9297d3ec, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2fdf9b34, "flow_rule_match_enc_keyid" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd72a8031, "pci_find_ext_capability" },
	{ 0xd1980120, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a3c9c6b, "devl_region_create" },
	{ 0xfc5793f5, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xeb39140a, "kthread_cancel_delayed_work_sync" },
	{ 0xb1ff9345, "dpll_device_change_ntf" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xbf2046e2, "pci_wake_from_d3" },
	{ 0x6dfa5e7f, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa5081172, "call_switchdev_notifiers" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0x0ddb7161, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x9d020603, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x95bd5340, "auxiliary_device_init" },
	{ 0xc3dd4414, "pci_enable_device_mem" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x0f86f560, "kthread_delayed_work_timer_fn" },
	{ 0x74d92429, "flow_rule_match_enc_ip" },
	{ 0x8235805b, "memmove" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0x91791b1d, "flow_rule_match_l2tpv3" },
	{ 0x0ffadf9c, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x19919f1f, "xsk_tx_peek_release_desc_batch" },
	{ 0x532715a8, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbbb79971, "dmam_alloc_attrs" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x967ff476, "devl_lock" },
	{ 0x899c82ef, "pci_dev_put" },
	{ 0x9f3234c4, "xp_fill_cb" },
	{ 0xf6319d3e, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc195c0e9, "ndo_dflt_bridge_getlink" },
	{ 0x5ff1611c, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5e5a4ea8, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x998e6558, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x561c77bd, "xdp_features_set_redirect_target" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6afd3021, "pci_get_device" },
	{ 0xc87b9809, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbb83c3a6, "request_firmware" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0xdb7f098c, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x539967cf, "flow_rule_match_cvlan" },
	{ 0x8f8f657f, "bsearch" },
	{ 0x878aa762, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0xa23749b5, "gnss_insert_raw" },
	{ 0x7c312bff, "pci_num_vf" },
	{ 0x130c6b3d, "flow_rule_match_eth_addrs" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0xddc5a516, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2c230b65, "ptp_clock_index" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x686823aa, "devl_port_fn_devlink_set" },
	{ 0x2e60bace, "memcpy" },
	{ 0xb3b70d4b, "xp_can_alloc" },
	{ 0x037a0cba, "kfree" },
	{ 0xb7f787e7, "devlink_alloc_ns" },
	{ 0xf83f84a0, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x81657f61, "xdp_do_redirect" },
	{ 0x2870058d, "devlink_free" },
	{ 0x1e205108, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xd7b699c9, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe143c3f5, "devl_rate_node_create" },
	{ 0x780bbce0, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xe3970d66, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x71a9daaf, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0x3a7a676f, "flow_rule_match_ipv4_addrs" },
	{ 0x38742b08, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x14e19b76, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5403a0d6, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0x4b45a999, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0x005a12b4, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x71445136, "wake_up_process" },
	{ 0xe0e76fe2, "devlink_flash_update_status_notify" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0xd56a3584, "pci_restore_msi_state" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x6098295f, "xdp_return_buff" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0xa5510c21, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x67ad18b9, "eth_type_trans" },
	{ 0x07e360b3, "auxiliary_driver_unregister" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0xbd5c9b9e, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1536f5bd, "switchdev_handle_port_obj_del" },
	{ 0xb7328645, "__alloc_pages_noprof" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xe0879074, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x30120405, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xe602e08e, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x24de4a7a, "put_device" },
	{ 0x9ff784ce, "devm_free_irq" },
	{ 0x90ee9713, "net_dim" },
	{ 0xe9b3f296, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x5b361a90, "ipv6_skip_exthdr" },
	{ 0x81e9406b, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0xe3aa6b60, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x499c2773, "netif_device_detach" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x6dded84f, "__free_pages" },
	{ 0x450fa1f9, "__hw_addr_unsync_dev" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0xef6d08a6, "napi_gro_receive" },
	{ 0xe2e29057, "netif_device_attach" },
	{ 0x9c436aac, "xdp_features_clear_redirect_target" },
	{ 0x76b25191, "netdev_pick_tx" },
	{ 0x8b26d340, "flow_indr_dev_unregister" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x82ba93ff, "xp_raw_get_dma" },
	{ 0x39ebde5a, "eth_get_headlen" },
	{ 0x8f26e0df, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd96d84da, "xdp_rxq_info_is_reg" },
	{ 0x83808641, "flow_rule_match_enc_opts" },
	{ 0x1a48c95d, "devl_health_reporter_create" },
	{ 0xb26b9566, "flow_block_cb_setup_simple" },
	{ 0x83ddb24d, "pci_msix_can_alloc_dyn" },
	{ 0xc2552440, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf459212b, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xa14d31e1, "pcim_iomap_regions" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x6cf10c3a, "vlan_dev_real_dev" },
	{ 0xef9211e8, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x849fc675, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xda12c19d, "devm_kmemdup" },
	{ 0xca5242db, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x80d2000e, "devlink_flash_update_timeout_notify" },
	{ 0x32d82281, "devm_kfree" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0x534794e1, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe2d54fa4, "softnet_data" },
	{ 0x1687aa5b, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xac0f6d10, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8b732f91, "ptp_clock_register" },
	{ 0xb7f3aa38, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0xb1855dc5, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb78eccb7, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x189a130c, "__auxiliary_device_add" },
	{ 0xca0223fc, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd7d8e9bb, "netif_set_real_num_rx_queues" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x135d0bb0, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41f1a06a, "devl_port_register_with_ops" },
	{ 0x96a20dfe, "devlink_fmsg_dump_skb" },
	{ 0x59722f00, "pci_wait_for_pending_transaction" },
	{ 0x5aae4496, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x53c535f6, "pci_device_is_present" },
	{ 0x3c495648, "debugfs_remove" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0xc75f9430, "pcie_flr" },
	{ 0x1a7927c8, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1108cb5d, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x99a342cf, "dcbnl_ieee_notify" },
	{ 0xe9c01426, "xsk_uses_need_wakeup" },
	{ 0x9d1cb423, "register_netdev" },
	{ 0x82495b32, "dev_mc_del" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x798100c2, "page_to_nid" },
	{ 0x133663bc, "free_netdev" },
	{ 0x2bb64205, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x05ae6cb8, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd345bb16, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x3e9ba4a5, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xf4a1aba0, "netif_tx_stop_all_queues" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0x459e9a12, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xecdf111e, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x5e6ab2ad, "dcb_getapp" },
	{ 0xbc76fff3, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x6c88f5c9, "flow_rule_match_ports" },
	{ 0x89449e47, "gnss_allocate_device" },
	{ 0x627d7fee, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2d63d694, "ptp_clock_event" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x6f9b9702, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0xae6c1f04, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x1c9fd445, "flow_rule_match_ipv6_addrs" },
	{ 0x72936199, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x45d5c7d7, "devl_params_unregister" },
	{ 0xc385c545, "ptp_clock_unregister" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0x1eeb63f9, "xp_dma_unmap" },
	{ 0xbda2a289, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xcb75998a, "kthread_create_worker_on_node" },
	{ 0xdd500b55, "switchdev_handle_port_obj_add" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa952200a, "devl_unlock" },
	{ 0x2fcf967c, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x0195cfd2, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d1c023b, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x12a6e1c9, "flow_rule_match_pppoe" },
	{ 0x4880a569, "flow_rule_match_enc_control" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xcc095eee, "__page_frag_cache_drain" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xdbc56622, "_dev_notice" },
	{ 0x21a24b07, "gnss_deregister_device" },
	{ 0x0bb09af4, "rps_may_expire_flow" },
	{ 0x9022d293, "metadata_dst_free" },
	{ 0xd113a501, "xsk_set_tx_need_wakeup" },
	{ 0x748d4df1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc3c49dd4, "netdev_reset_tc" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0xb15d2632, "kthread_destroy_worker" },
	{ 0x5d303e0a, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xb8cbffa2, "flow_rule_match_enc_ports" },
	{ 0x8deb4af8, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0xd3427e7e, "dpll_netdev_pin_clear" },
	{ 0x87294273, "netif_queue_set_napi" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x51ba7500, "call_netdevice_notifiers" },
	{ 0x00aa1603, "xa_find" },
	{ 0x9b725006, "devl_assert_locked" },
	{ 0xe57d6d34, "pcie_print_link_status" },
	{ 0xa5534517, "xp_set_rxq_info" },
	{ 0x14a091d6, "flow_rule_match_vlan" },
	{ 0x1e74b0b3, "devl_port_unregister" },
	{ 0x17a9bbaf, "xdp_rxq_info_unreg" },
	{ 0x10d44c8b, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2d88b355, "napi_build_skb" },
	{ 0x00c77da3, "netdev_master_upper_dev_get_rcu" },
	{ 0xd70fefd5, "__xdp_rxq_info_reg" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xcccc4de6, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7c784e33, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x6ec8e94e, "dpll_pin_register" },
	{ 0x8f7cb8e8, "gnss_register_device" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6e2b7b1f, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xd8a712a9, "__hw_addr_sync_dev" },
	{ 0xb02daa80, "pci_disable_sriov" },
	{ 0xf9992db5, "pldmfw_flash_image" },
	{ 0x75cd279a, "kthread_queue_delayed_work" },
	{ 0xee2756d5, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x132a241c, "dst_release" },
	{ 0x47e21b18, "netif_carrier_on" },
	{ 0x29af538e, "netdev_set_num_tc" },
	{ 0x12710c6f, "dpll_device_register" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0xc0993d2e, "hwmon_device_unregister" },
	{ 0xd34e98fa, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x892ef773, "dev_uc_add_excl" },
	{ 0x05e29ca2, "bitmap_from_arr64" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0x9d788642, "xp_free" },
	{ 0x0c42f910, "dev_mc_add_excl" },
	{ 0x88e0e100, "gnss_put_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x52d97667, "bitmap_to_arr64" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0x740b597f, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x528c38da, "pack_fields_u8" },
	{ 0xa2b7bcbc, "netif_set_tso_max_size" },
	{ 0x1f96650e, "__skb_flow_dissect" },
	{ 0x4fc19ad2, "vlan_dev_vlan_id" },
	{ 0x21177694, "pci_msix_alloc_irq_at" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x5d32d106, "skb_add_rx_frag_netmem" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x1e526be9, "pcim_iomap_table" },
	{ 0x9318273b, "xdp_master_redirect" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0xaf79b6b1, "page_address" },
	{ 0xa1b55e0b, "dpll_pin_on_pin_register" },
	{ 0x25eea646, "napi_schedule_prep" },
	{ 0x307ca5dd, "napi_consume_skb" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0x44b4e1d1, "xp_alloc_batch" },
	{ 0xd0d8621b, "strlen" },
	{ 0xd0c7f053, "napi_disable" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x7d281265, "dcb_ieee_delapp" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7722dba8, "single_open" },
	{ 0xb35705f2, "pcim_enable_device" },
	{ 0x781039c5, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x15612c65, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x5d75c666, "flow_rule_match_control" },
	{ 0x3f643fe0, "flow_rule_match_ip" },
	{ 0x2a3cdb24, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf4c27c71, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x5db91e55, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd05743ec, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x9aaf41d3, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe1dc141c, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "gnss,ptp,libie");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:ice.sf");

MODULE_INFO(srcversion, "5793D854C22D5DEBA0AA221");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
