#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0x624a9c34, "");
SYMBOL_CRC(prestera_device_unregister, 0x0af666e8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8dab765, "alloc_etherdev_mqs" },
	{ 0x8915bcc1, "netdev_lower_get_next" },
	{ 0xdc044a74, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbcab25ad, "br_vlan_enabled" },
	{ 0x064f6f0c, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x074e3983, "devlink_unregister" },
	{ 0xa245615a, "dma_pool_create" },
	{ 0x05075827, "of_node_put" },
	{ 0x6678d509, "skb_put" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa5081172, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x2cfff72e, "register_fib_notifier" },
	{ 0xbe903ee7, "l3mdev_fib_table_rcu" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5ff1611c, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc87b9809, "dma_unmap_page_attrs" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x130c6b3d, "flow_rule_match_eth_addrs" },
	{ 0xddc5a516, "devlink_port_attrs_set" },
	{ 0xf81b5f54, "flow_block_cb_priv" },
	{ 0x3be10ec2, "flow_block_cb_free" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb7f787e7, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x0964242c, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x54559070, "of_node_get" },
	{ 0x2870058d, "devlink_free" },
	{ 0x2552c7db, "of_find_node_by_name" },
	{ 0xd7b699c9, "netif_napi_add_weight_locked" },
	{ 0x780bbce0, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3a7a676f, "flow_rule_match_ipv4_addrs" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x0de30990, "fib_table_lookup" },
	{ 0x95411a14, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4b45a999, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0x005a12b4, "switchdev_handle_port_attr_set" },
	{ 0xead7f45f, "devlink_traps_unregister" },
	{ 0xa682bb3c, "phylink_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x67ad18b9, "eth_type_trans" },
	{ 0xb2ef7f61, "flow_rule_match_icmp" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0xbd5c9b9e, "napi_complete_done" },
	{ 0x1536f5bd, "switchdev_handle_port_obj_del" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xe0879074, "priv_to_devlink" },
	{ 0x569cc7d7, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe9b3f296, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x0ffb5657, "switchdev_bridge_port_offload" },
	{ 0xcd0400a5, "flow_block_cb_incref" },
	{ 0x42211068, "flow_rule_match_ports_range" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0xd85d640a, "of_get_mac_address" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x39f5283b, "free_fib_info" },
	{ 0xc2552440, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6cf10c3a, "vlan_dev_real_dev" },
	{ 0xa5c3c563, "__dev_get_by_index" },
	{ 0x8aaef3c8, "devlink_port_unregister" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0x534794e1, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x0de07004, "skb_pull" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x75df46c0, "flow_block_cb_decref" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x1a7927c8, "napi_enable" },
	{ 0x9d1cb423, "register_netdev" },
	{ 0x6638d158, "unregister_fib_notifier" },
	{ 0x133663bc, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xd345bb16, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0x106f6183, "switchdev_bridge_port_unoffload" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x6c88f5c9, "flow_rule_match_ports" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x00aa2b73, "devlink_trap_report" },
	{ 0x692ecd7c, "__neigh_event_send" },
	{ 0x9d403fb6, "flow_block_cb_alloc" },
	{ 0xdd500b55, "switchdev_handle_port_obj_add" },
	{ 0x43f4bd3a, "fib_alias_hw_flags_set" },
	{ 0x2fcf967c, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d611a9b, "phylink_pcs_change" },
	{ 0x2667f2d7, "__neigh_create" },
	{ 0x0128fe8d, "netdev_walk_all_upper_dev_rcu" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0xefc0d9bc, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf1775b34, "alloc_netdev_dummy" },
	{ 0x931feb36, "neigh_destroy" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x5fe61bd6, "br_multicast_enabled" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x14a091d6, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x00c77da3, "netdev_master_upper_dev_get_rcu" },
	{ 0x647cea43, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xcccc4de6, "netdev_master_upper_dev_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7c784e33, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd6cdf354, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6e2b7b1f, "devlink_priv" },
	{ 0xb78171c6, "devlink_port_register_with_ops" },
	{ 0x47e21b18, "netif_carrier_on" },
	{ 0x4cf8c3df, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xd39f1af3, "devlink_trap_groups_register" },
	{ 0x81b36ef8, "arp_tbl" },
	{ 0x5bfbb43f, "phylink_ethtool_ksettings_get" },
	{ 0xf57eb87f, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3f2dfbc3, "netdev_walk_all_lower_dev" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x25eea646, "napi_schedule_prep" },
	{ 0xc94ed511, "__fib_lookup" },
	{ 0xd0c7f053, "napi_disable" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xe6335776, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5d75c666, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0xe243b141, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "bridge,phylink");


MODULE_INFO(srcversion, "16C3C7762AED422773D4C39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
