#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x78beff71, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x150944b4, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x6acb01dd, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x5923529d, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x3292fb7a, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x73bd3931, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x97643a63, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x1bd09596, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xffd3d65e, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x36a99700, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x379f27d0, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xf5b2c4b1, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x4f11f90a, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xc4236147, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x935e75fe, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xdb00d94a, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x941ecd7e, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xb3d0285b, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x71cd6b23, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xc17b5efa, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x1dcaa2b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf448bcf4, "mdiobus_write" },
	{ 0x64b527a5, "mdiobus_read" },
	{ 0x54284a0a, "phy_write_mmd" },
	{ 0x2ecbb8d7, "phy_modify" },
	{ 0x87ab4604, "phy_trigger_machine" },
	{ 0x83b15421, "phy_error" },
	{ 0xb3da961a, "phy_modify_changed" },
	{ 0x33930d71, "genphy_update_link" },
	{ 0x8124d20f, "genphy_read_lpa" },
	{ 0x9796532c, "phy_resolve_aneg_pause" },
	{ 0x5cc2a2cd, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xcbc90d14, "phy_read_mmd" },
	{ 0x7872c873, "ethnl_cable_test_result_with_src" },
	{ 0x4d442e8d, "ethnl_cable_test_fault_length_with_src" },
	{ 0xa974861c, "phy_modify_mmd" },
	{ 0x15c9fa1b, "genphy_soft_reset" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
