#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xac0ccde7, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x689057ac, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xd05c03bb, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x479aad46, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xfbeb6910, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xe9e2d047, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x285ae5a1, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x78b3cc35, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x0a58d4d7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4b45a999, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x48f49cfd, "sk_alloc" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5c30b004, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2781dfeb, "sk_free" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x0406f184, "cdev_init" },
	{ 0xae19c8b5, "cdev_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x3b47975c, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xad5c7331, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x293d0f98, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x22c25927, "skb_copy_datagram_iter" },
	{ 0x2d4ce024, "_copy_to_iter" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4292364c, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x19a2b733, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x2a5b4e91, "__skb_gso_segment" },
	{ 0xe602e08e, "skb_checksum_help" },
	{ 0x59af117d, "kfree_skb_list_reason" },
	{ 0x826e36f2, "__skb_get_hash_net" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x1f96650e, "__skb_flow_dissect" },
	{ 0xaad8eaf0, "skb_partial_csum_set" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0xddf969ad, "iov_iter_npages" },
	{ 0x993f1b71, "sock_alloc_send_pskb" },
	{ 0x6678d509, "skb_put" },
	{ 0x177b79a5, "zerocopy_sg_from_iter" },
	{ 0x748d4df1, "__dev_queue_xmit" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xb4a1a1f6, "skb_copy_datagram_from_iter" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0xc449dfbf, "build_skb" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "93134EA5D8F9469F2B75E51");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
