#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x1d078c42, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x8b282ce4, "");
SYMBOL_CRC(team_options_register, 0x9b77a3bd, "");
SYMBOL_CRC(team_options_unregister, 0xdc6224cb, "");
SYMBOL_CRC(team_option_inst_set_change, 0x56880713, "");
SYMBOL_CRC(team_options_change_check, 0xe4b89a24, "");
SYMBOL_CRC(team_mode_register, 0x25accdbd, "");
SYMBOL_CRC(team_mode_unregister, 0xe36ec3a6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7d1c9b3, "dev_set_mtu" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd700224c, "__nlmsg_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x3ad03376, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7e620978, "netpoll_send_skb" },
	{ 0x32d50c58, "rtnl_link_register" },
	{ 0xe3ee55c6, "genlmsg_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xbabbf219, "dev_uc_sync_multiple" },
	{ 0x037a0cba, "kfree" },
	{ 0x511d4ac2, "dev_set_promiscuity" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x780bbce0, "netdev_warn" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x736eee47, "dev_uc_unsync" },
	{ 0x9d822627, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x04381788, "netlink_broadcast_filtered" },
	{ 0x4b45a999, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd115bfee, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x17e6dedc, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x2af21e81, "module_put" },
	{ 0x31afa41b, "dev_uc_flush" },
	{ 0xf459212b, "dev_open" },
	{ 0xc43a689c, "rtnl_link_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f71bc1a, "dev_mc_flush" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x80211203, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x30e7f987, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5aae4496, "dev_close" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x845289bb, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd345bb16, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1e1ee384, "__ethtool_get_link_ksettings" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x1fbc3f93, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x4a1560e6, "netdev_has_upper_dev" },
	{ 0x94a78ac8, "netdev_change_features" },
	{ 0xe986a41a, "netdev_lower_state_changed" },
	{ 0xf70a01d3, "netdev_master_upper_dev_link" },
	{ 0xad235b03, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x0195cfd2, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7dfd908f, "vlan_vids_del_by_dev" },
	{ 0x25a8af76, "__netpoll_setup" },
	{ 0x748d4df1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x118a3038, "vlan_vid_add" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51ba7500, "call_netdevice_notifiers" },
	{ 0xa9b9f99f, "vlan_vid_del" },
	{ 0x44f88b65, "dev_set_allmulti" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7c784e33, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0x47e21b18, "netif_carrier_on" },
	{ 0xf57eb87f, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd796c762, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x75a8e086, "genl_unregister_family" },
	{ 0xf52faa21, "dev_disable_lro" },
	{ 0xd0d8621b, "strlen" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x5fee469e, "dev_mc_unsync" },
	{ 0xfb9b084d, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x9aaf41d3, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2aad8718, "dev_mc_sync_multiple" },
	{ 0xf443749a, "register_netdevice" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C0C29584ECEAA469A78ADF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
