#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0xef50e135, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0x29aef1eb, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0x304cab89, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0x49cd583c, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0xba7cb124, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0x8cbd2f9c, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0xecc5aade, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0x068f8fd2, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x9389c9a1, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0xb50ac1b7, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x0141f119, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x9a95e493, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x62345991, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0x91146d66, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x47ab4b25, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x27f61838, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0x9b9c3d39, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0x13ccdd68, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0xb1f6621e, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x5643dedd, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0x1272ce39, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0xd0b722f9, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0xcce41753, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0xae35e0bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa339d391, "cfg80211_sched_scan_results" },
	{ 0xffa82d0b, "skb_complete_wifi_ack" },
	{ 0xe85db800, "cfg80211_mgmt_tx_status_ext" },
	{ 0xa1a898c8, "device_set_wakeup_enable" },
	{ 0x3d834c85, "cfg80211_rx_assoc_resp" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x3f525070, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x8cdd2467, "param_ops_uint" },
	{ 0x6678d509, "skb_put" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7fa6f7ed, "cfg80211_chandef_dfs_required" },
	{ 0x25fdf094, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb9fa857e, "cfg80211_sched_scan_stopped" },
	{ 0xe276e5b4, "param_ops_ushort" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x01df30c4, "cfg80211_remain_on_channel_expired" },
	{ 0xdb90824b, "cfg80211_cac_event" },
	{ 0x1d2f0ff8, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x592e2c1c, "cfg80211_register_netdevice" },
	{ 0xbb83c3a6, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xc890fa49, "ieee80211_amsdu_to_8023s" },
	{ 0x446b7e72, "cfg80211_ref_bss" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe070f9f9, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x1e205108, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x13f72df7, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd45ddb66, "kstrtobool_from_user" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0x761a9ecf, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x9d822627, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0x67ad18b9, "eth_type_trans" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x3127606b, "alloc_netdev_mqs" },
	{ 0xe55006e6, "wiphy_new_nm" },
	{ 0x070f7896, "_printk" },
	{ 0x392b4901, "cfg80211_ready_on_channel" },
	{ 0x22191f35, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xbea81170, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4030b6f7, "cfg80211_rx_mlme_mgmt" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xd19006cf, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x23230d27, "cfg80211_put_bss" },
	{ 0x499c2773, "netif_device_detach" },
	{ 0x8e194375, "cfg80211_ch_switch_notify" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0xe2e29057, "netif_device_attach" },
	{ 0x0a96b96a, "kstrtouint_from_user" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x263598be, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x8fa20c1e, "__cfg80211_radar_event" },
	{ 0x26dfec91, "cfg80211_tdls_oper_request" },
	{ 0x202f7d2e, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xda12c19d, "devm_kmemdup" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfe607663, "device_wakeup_enable" },
	{ 0xf89531b7, "cfg80211_ibss_joined" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7cd459e5, "request_firmware_nowait" },
	{ 0x1687aa5b, "simple_open" },
	{ 0x0de07004, "skb_pull" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3899a37e, "wiphy_apply_custom_regulatory" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x05942e94, "cfg80211_michael_mic_failure" },
	{ 0x5aae4496, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x3c495648, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc2d60207, "cfg80211_del_sta_sinfo" },
	{ 0x725f433b, "wiphy_unregister" },
	{ 0x133663bc, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4524d81d, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf4a1aba0, "netif_tx_stop_all_queues" },
	{ 0x459e9a12, "netif_tx_wake_queue" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x348c1f1c, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6db1eecd, "of_property_read_variable_u8_array" },
	{ 0x2ceab378, "netif_rx" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x03db1aef, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffd440b7, "cfg80211_sched_scan_stopped_locked" },
	{ 0x48843341, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x6e374c7d, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0xc32a9c83, "cfg80211_rx_mgmt_ext" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7c784e33, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa2bba2f8, "skb_copy" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x47e21b18, "netif_carrier_on" },
	{ 0xd34e98fa, "debugfs_create_file_full" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xdc4c8c53, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf6d90f56, "cfg80211_inform_bss_data" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x90382787, "irq_of_parse_and_map" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0x15612c65, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x3c990e3f, "cfg80211_connect_done" },
	{ 0xffd2d5f7, "__cfg80211_get_bss" },
	{ 0xeae7ed50, "wiphy_free" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x87bc1c89, "cfg80211_cqm_rssi_notify" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xebb765df, "skb_queue_head" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "CAC2972C2B1B53B6952458C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
