#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0xfab98f8c, "_gpl");
SYMBOL_CRC(mt76s_rr, 0xb62e5cc3, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x9a31d7c0, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x74f66a0f, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x8b366f08, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x5be15ba8, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x6cf11984, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x1cc89b04, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x2982f053, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x4489ba25, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x27e4fc07, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xbbc98778, "_gpl");
SYMBOL_CRC(mt76s_init, 0xf7476582, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x727a7b19, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x9f51b681, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xfb4adab6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbae680fd, "sdio_release_host" },
	{ 0xc3a392a8, "sdio_disable_func" },
	{ 0x9e5fb2fa, "sdio_set_block_size" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x35404f4c, "sdio_claim_host" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x2e60bace, "memcpy" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5a935eec, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0xcd1bfe53, "mt76_tx_status_check" },
	{ 0x71445136, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb7328645, "__alloc_pages_noprof" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65a7efda, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x5d90f06a, "sdio_readsb" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x63a33be4, "sdio_readl" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdacefab3, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xfeaebd81, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf16212df, "mt76_queue_tx_complete" },
	{ 0x1e1b813b, "kthread_create_on_node" },
	{ 0x70577545, "__tracepoint_dev_irq" },
	{ 0x03213e51, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x4b0f6a18, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8b8b353a, "sdio_claim_irq" },
	{ 0x24d08ea0, "mt76_skb_adjust_pad" },
	{ 0x14317e82, "sdio_enable_func" },
	{ 0x990f0e6e, "sdio_writesb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5d32d106, "skb_add_rx_frag_netmem" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,mt76");


MODULE_INFO(srcversion, "BF8A20F59100009752404E1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
