#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xee035a4f, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x04d11e5b, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x32e7cac8, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x4afdb7ac, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x2f114d7c, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0xb9c89935, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x73ae0b04, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0xb0f0e369, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x7a967158, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x93a0d6c6, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x3c5c6649, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x5a4f8013, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x72771c02, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x324e4b05, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xb18232c0, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x73636e27, "");
SYMBOL_CRC(rtw89_pm_ops, 0x6a9e1591, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0xb649802d, "");
SYMBOL_CRC(rtw89_pci_probe, 0xec425c36, "");
SYMBOL_CRC(rtw89_pci_remove, 0xa01a3d8f, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x06cc84f5, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0x78794346, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0x4b635268, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x108141fa, "pcie_capability_read_word" },
	{ 0xd72a8031, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4223385a, "rtw89_alloc_ieee80211_hw" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0xc1ca74f2, "pci_iomap" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x1d2f0ff8, "skb_dequeue" },
	{ 0xc87b9809, "dma_unmap_page_attrs" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x17d21077, "rtw89_core_napi_init" },
	{ 0x3e12ec33, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0xb0fd5f52, "ieee80211_tx_status_skb" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0xbd5c9b9e, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9ff784ce, "devm_free_irq" },
	{ 0xe9b3f296, "__napi_schedule" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0x5cd05899, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x849fc675, "__dma_sync_single_for_cpu" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x44b7c1bc, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xacb6d493, "rtw89_core_napi_deinit" },
	{ 0x420eabe4, "mem_section" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x1d9044bc, "dma_alloc_attrs" },
	{ 0xbee722fc, "rtw89_free_ieee80211_hw" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf0f38a39, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfcc9f885, "pci_iounmap" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2a906722, "rtw89_ser_notify" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0x4aac931b, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x03db1aef, "skb_unlink" },
	{ 0x7d1c023b, "dma_set_coherent_mask" },
	{ 0x0654819c, "rtw89_core_register" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0xd98b8bf4, "rtw89_core_rx" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd54fde77, "rtw89_core_deinit" },
	{ 0x133068dc, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0x25eea646, "napi_schedule_prep" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94009d48, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf4070d6b, "rtw89_chip_info_setup" },
	{ 0xb0dbeb63, "rtw89_mac_get_err_status" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "00866704F62F67B8680AC87");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
