#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0x690b67b7, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x40f7a7e2, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x230fa389, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x887d023f, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0xf937ba62, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x2a5132b5, "");
SYMBOL_CRC(st21nfca_dep_init, 0x912e245e, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0xbb5742e5, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x7a527e10, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x8fc89fba, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0xd111f42c, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0xe65eacc2, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x2bb994f2, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x0a7f3a1a, "");
SYMBOL_CRC(st21nfca_se_init, 0xc95d38d3, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x217ba0df, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0x14b2b572, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x5c926a79, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6b898cd, "nfc_hci_set_clientdata" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x12f9cf29, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x6678d509, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1d442e34, "nfc_hci_get_param" },
	{ 0x3fb6e4ff, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4e39d970, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8d87c702, "nfc_llc_stop" },
	{ 0x0a5405b9, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3b327f48, "nfc_tm_data_received" },
	{ 0x9c6f66bc, "nfc_remove_se" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x0f00f88e, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0xc97d50f2, "nfc_llc_start" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x672b5a7b, "nfc_hci_free_device" },
	{ 0xdddff44d, "nfc_se_transaction" },
	{ 0x951f1bc4, "nfc_get_local_general_bytes" },
	{ 0xbe2a98f1, "nfc_hci_register_device" },
	{ 0x9bcac0cc, "nfc_set_remote_general_bytes" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0x0de07004, "skb_pull" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x51813ef6, "nla_put" },
	{ 0xe24d4f95, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd3202e9d, "nfc_hci_get_clientdata" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x01b0a93f, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcfff908b, "nfc_hci_allocate_device" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfb10c53c, "nfc_se_connectivity" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xe536bab0, "nfc_vendor_cmd_reply" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7365f6ae, "nfc_hci_set_param" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4a7d5cd9, "nfc_dep_link_is_up" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xfd37752b, "nfc_hci_send_event" },
	{ 0x9ffdd2d2, "nfc_hci_disconnect_all_gates" },
	{ 0x01faf3dd, "nfc_hci_disconnect_gate" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "365980112FD2100272BFA65");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
