#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ntb_transport_unregister_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_unregister_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_create_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_free_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_remove, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_up, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_down, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_query, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_qp_num, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_max_size, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_free_entry, "_gpl", "");

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0x4ed47954, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0xcb39b985, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0x4356593c, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x24de4a7a, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0x2d158ced, "get_device" },
	{ 0xe5515291, "driver_register" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x070f7896, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x15612c65, "debugfs_create_dir" },
	{ 0xb709e456, "bus_register" },
	{ 0x49bf24c0, "__ntb_register_client" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x3c495648, "debugfs_remove" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x1d9044bc, "dma_alloc_attrs" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xb1deff91, "ntb_unregister_client" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x32b0a394, "device_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3c89808e, "__kmalloc_cache_node_noprof" },
	{ 0x94c48a18, "dev_set_name" },
	{ 0x73454776, "device_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9ff784ce, "devm_free_irq" },
	{ 0xc7ae4904, "ntbm_msi_request_threaded_irq" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x657f4a4e, "ntb_msi_peer_trigger" },
	{ 0x2d99f1e4, "__copy_from_user_ll_nocache_nozero" },
	{ 0x6d0c6098, "dmaengine_get_unmap_data" },
	{ 0x420eabe4, "mem_section" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0xe28be160, "dmaengine_unmap_put" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x45360aa9, "dma_release_channel" },
	{ 0x2d7a0db8, "__dma_request_channel" },
	{ 0xc0db45a5, "dma_map_resource" },
	{ 0x59fb14d3, "dma_unmap_resource" },
	{ 0x7cc5cc7f, "dma_sync_wait" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3072202c, "ntb_clear_ctx" },
	{ 0xedc03953, "iounmap" },
	{ 0x96bbb575, "ntb_msi_setup_mws" },
	{ 0x17b280cf, "__kmalloc_node_noprof" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x80b0a3e1, "ntb_msi_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xd34e98fa, "debugfs_create_file_full" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xb2efa1c6, "ntb_default_peer_port_count" },
	{ 0xea970cb9, "ntb_set_ctx" },
	{ 0x398c6f17, "ntb_link_event" },
	{ 0x1687aa5b, "simple_open" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0x8cdd2467, "param_ops_uint" },
	{ 0x4c6c3ddc, "param_ops_byte" },
	{ 0xe4e3f1eb, "param_ops_ulong" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "AB75822B06ECA317196D8F4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
