#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xe438a570, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xc5304915, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xaaf5f69d, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x92713a07, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x28a7db63, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x713373c7, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xbadf9868, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x071df1c4, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x49be26f6, "");
SYMBOL_CRC(nvdimm_region_notify, 0x95f57c63, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x422a65d2, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x2b92e288, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x00286a33, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xbc8ac6a2, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xdb7e35ac, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x0ef71c90, "");
SYMBOL_CRC(nd_device_unregister, 0x77d1b759, "");
SYMBOL_CRC(__nd_driver_register, 0x0c2ba7b7, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xd9a699e0, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x3e144c43, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x3515d95d, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xe2b6a8c0, "_gpl");
SYMBOL_CRC(to_ndd, 0xad5e272b, "");
SYMBOL_CRC(nvdimm_name, 0xf411077f, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x87b38583, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xe2a56840, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xc946dc1d, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xcca5c705, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xe6de279e, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x7a076094, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xdcb8a8ae, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x2dddcdb9, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x1a260ec6, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xb59c15ab, "_gpl");
SYMBOL_CRC(to_nd_region, 0x95d80e7f, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x72c28bea, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x92acf914, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x0b5e2652, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x4c39f6a7, "");
SYMBOL_CRC(nd_region_release_lane, 0x15a374ef, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x6c35b257, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x1d49ac80, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xb127ad76, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x18cdd214, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x0003e7f9, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xe6d5928f, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x3afcde1f, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x2b3ab18b, "");
SYMBOL_CRC(pmem_sector_size, 0x1bd28c26, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xe7996ecf, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xbab8643d, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xc74f8c40, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x6bf7ddd7, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x86069cdd, "");
SYMBOL_CRC(devm_namespace_enable, 0x46e880ac, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x3f08704d, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x0dda7808, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x7956ce95, "");
SYMBOL_CRC(is_nd_btt, 0xe1df76e0, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xcc9804e8, "");
SYMBOL_CRC(nd_btt_version, 0xb623f71f, "");
SYMBOL_CRC(nd_btt_probe, 0x7b1a480b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2b270a42, "set_disk_ro" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x512dbe7e, "devm_memremap" },
	{ 0x94c48a18, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc59062d9, "badblocks_set" },
	{ 0x32b0a394, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x0aae5874, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0xf8838f00, "badblocks_exit" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x8809effe, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2d158ced, "get_device" },
	{ 0xcede275c, "memremap" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd156275c, "kernfs_notify" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8759464f, "__devm_request_region" },
	{ 0x4826abc6, "__cpuhp_state_remove_instance" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x24de4a7a, "put_device" },
	{ 0x3c9f9e37, "badblocks_show" },
	{ 0x815771db, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x2af21e81, "module_put" },
	{ 0xa76d2aca, "perf_pmu_migrate_context" },
	{ 0x12e8391a, "perf_pmu_register" },
	{ 0x49f26466, "kstrndup" },
	{ 0x53065e9d, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x949f4bc0, "__cpuhp_setup_state" },
	{ 0x12b2b04b, "devm_memunmap" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x2f0d8d62, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x5650d81e, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd7ad7537, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xa6695d59, "__cpuhp_state_add_instance" },
	{ 0xb2f088a1, "perf_pmu_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb8ea8792, "device_find_child" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xf3a55c23, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xd49bdbfd, "__devm_release_region" },
	{ 0x38f323e4, "request_key_tag" },
	{ 0x262341bb, "kernfs_put" },
	{ 0x1801a36d, "__register_chrdev" },
	{ 0x959fd629, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8d73521, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9a45ece5, "badblocks_check" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0x2fe6e141, "badblocks_clear" },
	{ 0x56917ada, "devm_init_badblocks" },
	{ 0xd0d8621b, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0xe5515291, "driver_register" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xcd14ba3c, "__cpuhp_remove_state" },
	{ 0xca1d3350, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb709e456, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AF1EBECA979571EAF3E47F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
