#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmet_fc_register_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_invalidate_host, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_unregister_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_abort, "_gpl", "");

SYMBOL_CRC(nvmet_fc_register_targetport, 0xd0461cc6, "_gpl");
SYMBOL_CRC(nvmet_fc_invalidate_host, 0x4a013682, "_gpl");
SYMBOL_CRC(nvmet_fc_unregister_targetport, 0x9ef76d99, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_ls_req, 0x0b98123d, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_req, 0x7bfa9497, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_abort, 0x6ff62dab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xed917118, "nvmet_req_complete" },
	{ 0xc87b9809, "dma_unmap_page_attrs" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x2d158ced, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0x08218f1a, "nvmet_sq_destroy" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x24de4a7a, "put_device" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x38a61b82, "nvmet_unregister_transport" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x6c195f3f, "nvmet_req_init" },
	{ 0x849fc675, "__dma_sync_single_for_cpu" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x843c602c, "nvmet_register_transport" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c933578, "nvmet_sq_init" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xb7f0cf56, "dma_unmap_sg_attrs" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x2f4fcf18, "dma_map_sg_attrs" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "19A89550D5785542B680270");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
