#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_put, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_on, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_off, "_gpl", "");

SYMBOL_CRC(pwrseq_device_register, 0x1669bf8f, "_gpl");
SYMBOL_CRC(pwrseq_device_unregister, 0x74730198, "_gpl");
SYMBOL_CRC(devm_pwrseq_device_register, 0xf7b34afb, "_gpl");
SYMBOL_CRC(pwrseq_device_get_drvdata, 0xc6650d5c, "_gpl");
SYMBOL_CRC(pwrseq_get, 0xcc3da77f, "_gpl");
SYMBOL_CRC(pwrseq_put, 0xdb61449c, "_gpl");
SYMBOL_CRC(devm_pwrseq_get, 0x1ea6eb2c, "_gpl");
SYMBOL_CRC(pwrseq_power_on, 0x809bb19b, "_gpl");
SYMBOL_CRC(pwrseq_power_off, 0xca3fe8c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x94c48a18, "dev_set_name" },
	{ 0x969faf42, "seq_release" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x0aae5874, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x2d158ced, "get_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7bf87124, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x24de4a7a, "put_device" },
	{ 0xcf0a8ceb, "bus_for_each_dev" },
	{ 0x2af21e81, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0x2f0d8d62, "device_add" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3c495648, "debugfs_remove" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xecdf111e, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xcfbd8968, "seq_write" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xd34e98fa, "debugfs_create_file_full" },
	{ 0xdb300f16, "device_match_any" },
	{ 0x312b931d, "seq_open" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0x29f3a126, "up_read" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x52bc7ccc, "__dev_fwnode" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5E8E63B0329A24A5B9E22C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
