#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sc16is74x_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is750_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is752_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is760_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is762_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_probe, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_remove, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_dt_ids, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_regcfg, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_name, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_port_mask, "_gpl", "SERIAL_NXP_SC16IS7XX");

SYMBOL_CRC(sc16is74x_devtype, 0x561783a9, "_gpl");
SYMBOL_CRC(sc16is750_devtype, 0x1af41b3d, "_gpl");
SYMBOL_CRC(sc16is752_devtype, 0x1e01cb00, "_gpl");
SYMBOL_CRC(sc16is760_devtype, 0x83167d3c, "_gpl");
SYMBOL_CRC(sc16is762_devtype, 0x87e3ad01, "_gpl");
SYMBOL_CRC(sc16is7xx_probe, 0x905bc3b9, "_gpl");
SYMBOL_CRC(sc16is7xx_remove, 0x3f519bab, "_gpl");
SYMBOL_CRC(sc16is7xx_dt_ids, 0x97b77680, "_gpl");
SYMBOL_CRC(sc16is7xx_regcfg, 0xa7080c31, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_name, 0xe64f5280, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_port_mask, 0x01e26f72, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x602c00b8, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe70048d1, "kthread_queue_work" },
	{ 0x75cd279a, "kthread_queue_delayed_work" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6ed0a4bc, "regmap_write" },
	{ 0xe8afb6ed, "regcache_cache_bypass" },
	{ 0x97515994, "gpiochip_get_data" },
	{ 0xe71fc665, "uart_register_driver" },
	{ 0x95dbbc30, "uart_unregister_driver" },
	{ 0xeb39140a, "kthread_cancel_delayed_work_sync" },
	{ 0xffb7c514, "ida_free" },
	{ 0x40fc4be7, "uart_remove_one_port" },
	{ 0x326e697d, "regmap_update_bits_base" },
	{ 0xd63eef99, "kthread_flush_worker" },
	{ 0xdacefab3, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x54f26d30, "gpiochip_remove" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa143a16f, "nbcon_device_try_acquire" },
	{ 0xf9e71139, "nbcon_device_release" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd34fafb5, "uart_handle_cts_change" },
	{ 0x6a7f7d48, "uart_handle_dcd_change" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf07c7447, "uart_get_baud_rate" },
	{ 0x2eebef73, "uart_update_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x7289e29d, "device_property_read_u32_array" },
	{ 0xe84ea0cc, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x02aad335, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x1e1b813b, "kthread_create_on_node" },
	{ 0x71445136, "wake_up_process" },
	{ 0x2a81cfe6, "sched_set_fifo" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0x4533e1b4, "gpiod_set_value_cansleep" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5a1527af, "uart_get_rs485_mode" },
	{ 0x0f86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc2f2cf13, "uart_add_one_port" },
	{ 0x6ed46180, "gpiochip_add_data_with_key" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0x3c728c20, "dev_err_probe" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xdd5fa381, "__kfifo_out_linear" },
	{ 0x17e1fabf, "regmap_noinc_write" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xed10dd64, "uart_write_wakeup" },
	{ 0x0b2a4743, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x358a193c, "uart_insert_char" },
	{ 0x3fa85cd1, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0xec6f68ac, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2ab1f021, "do_SAK" },
	{ 0x1de651da, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "B2A3A65F1C3AB0F3F9FE156");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
