#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x17e9bbe4, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0xc9838763, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x8bfe4b8e, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x8b418683, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x7e3dc909, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x76f8e6be, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0xf3c3a527, "_gpl");
SYMBOL_CRC(ucsi_create, 0x2d279f9c, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x9948bb57, "_gpl");
SYMBOL_CRC(ucsi_register, 0x057172c7, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xe91b4ae4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x04b6c2d6, "typec_partner_set_pd_revision" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbcf3496d, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb568d41d, "typec_register_partner" },
	{ 0x92849ae2, "typec_port_set_usb_power_delivery" },
	{ 0x6927f2be, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb0231a0e, "typec_port_register_altmode" },
	{ 0x7e164182, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0xcb9740e7, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x50487dbf, "fwnode_usb_role_switch_get" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0xc21e7daf, "typec_set_mode" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xeb9992be, "typec_altmode2port" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x5502c59c, "usb_power_delivery_register" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5d70fbcc, "typec_partner_register_altmode" },
	{ 0x0458fe13, "typec_partner_set_num_altmodes" },
	{ 0x96defb34, "typec_unregister_partner" },
	{ 0x0b55894f, "typec_set_pwr_opmode" },
	{ 0xa2213c8f, "typec_cable_set_identity" },
	{ 0x3d128cb1, "debugfs_attr_read" },
	{ 0x8091827e, "typec_unregister_cable" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xf92ca4ab, "typec_partner_set_usb_mode" },
	{ 0x288e04b0, "typec_altmode_update_active" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x792acb22, "device_property_read_u8_array" },
	{ 0x05ecc312, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x3c07c091, "usb_power_delivery_register_capabilities" },
	{ 0x79def7e0, "typec_register_plug" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8c65e8bc, "typec_altmode_set_ops" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3c495648, "debugfs_remove" },
	{ 0xef7a4c43, "usb_power_delivery_unregister" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x18847125, "typec_set_data_role" },
	{ 0x1ae76155, "typec_get_negotiated_svdm_version" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf0ab03d6, "typec_altmode_vdm" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xcb5510d3, "typec_unregister_port" },
	{ 0xb4625ee0, "power_supply_get_drvdata" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x440cfcb7, "typec_register_port" },
	{ 0x5c86b104, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbe321aa4, "typec_partner_set_usb_power_delivery" },
	{ 0x64bb3a8e, "power_supply_changed" },
	{ 0xfd1bcf9b, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfec974c2, "typec_plug_register_altmode" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x60f8eac2, "typec_partner_set_svdm_version" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x57e339c0, "typec_unregister_altmode" },
	{ 0x11bfbc2e, "typec_register_cable" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe474ad2c, "usb_power_delivery_unregister_capabilities" },
	{ 0x3a41ec68, "typec_get_drvdata" },
	{ 0xd34e98fa, "debugfs_create_file_full" },
	{ 0xed9885a0, "typec_partner_set_identity" },
	{ 0x8e3d1d37, "power_supply_unregister" },
	{ 0xdda430b4, "single_release" },
	{ 0x3ab55fca, "typec_set_pwr_role" },
	{ 0x3e2a8610, "typec_partner_usb_power_delivery_register" },
	{ 0x3c728c20, "dev_err_probe" },
	{ 0x31d9ec46, "usb_debug_root" },
	{ 0x8d8c99bc, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7722dba8, "single_open" },
	{ 0x15612c65, "debugfs_create_dir" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0x52bc7ccc, "__dev_fwnode" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "typec,roles,usb-common");


MODULE_INFO(srcversion, "2D9E9493334718272E18511");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
