#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xf9635f3c, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x8fde4aa9, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x13030f7f, "_gpl");
SYMBOL_CRC(fat_scan, 0x4a0ca39e, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x5d5c2763, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xcece8284, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xc4a7aafd, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x7f626cc9, "_gpl");
SYMBOL_CRC(fat_getattr, 0x4cc648f3, "_gpl");
SYMBOL_CRC(fat_setattr, 0x0e43fbda, "_gpl");
SYMBOL_CRC(fat_attach, 0xd3b98730, "_gpl");
SYMBOL_CRC(fat_detach, 0x119865c9, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x6804090b, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0xdfdd7235, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x766a8895, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xfdd842be, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x131856d5, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x150b2dbc, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xe74d85d6, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x0430a3bc, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x90155fe4, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x479a4a69, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x8b4eb04b, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xc732777d, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x5db66ae5, "_gpl");
SYMBOL_CRC(fat_update_time, 0x016d7905, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a9a55b2, "filemap_fdatawrite" },
	{ 0x63339d9e, "generic_fillattr" },
	{ 0x13c624cd, "setattr_prepare" },
	{ 0xe5a0b935, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x14dd79f6, "sync_blockdev_nowait" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3350ae6e, "make_vfsgid" },
	{ 0x4d7e3520, "blk_start_plug" },
	{ 0xc58770bd, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdeeb4205, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x80f2a526, "fs_param_is_string" },
	{ 0xecaf4724, "new_inode" },
	{ 0x22fea010, "mark_buffer_dirty" },
	{ 0xc97f1618, "security_inode_setattr" },
	{ 0x8d91ccaa, "__find_get_block" },
	{ 0x2da316aa, "filemap_fdatawrite_range" },
	{ 0x9b7562b2, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x141020b5, "__blockdev_direct_IO" },
	{ 0x5c9b43ff, "d_make_root" },
	{ 0x74c43363, "__bforget" },
	{ 0x1ac698e8, "sb_set_blocksize" },
	{ 0xe712920c, "block_truncate_page" },
	{ 0xc0f1b8ba, "write_dirty_buffer" },
	{ 0x9e14d4d5, "sync_filesystem" },
	{ 0xfd010d8c, "fsnotify" },
	{ 0x0eb0b5fd, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0x408f5bee, "from_vfsuid" },
	{ 0x0d426400, "inode_dio_wait" },
	{ 0xad7fb5e0, "iunique" },
	{ 0x037a0cba, "kfree" },
	{ 0xd9eacfe4, "cont_write_begin" },
	{ 0x6d81ed85, "iput" },
	{ 0x559435cc, "fs_param_is_enum" },
	{ 0x383ac2fe, "fs_param_is_s32" },
	{ 0xdd214a42, "iter_file_splice_write" },
	{ 0x57a2995e, "fs_param_is_bool" },
	{ 0xb45a6390, "generic_file_write_iter" },
	{ 0x08fe4934, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67815908, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x1d519d22, "fs_param_is_u32" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x96f29adf, "mnt_want_write_file" },
	{ 0x070f7896, "_printk" },
	{ 0x75f9077c, "block_invalidate_folio" },
	{ 0x25d6799e, "__breadahead" },
	{ 0x51051b6b, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2a253ab, "load_nls" },
	{ 0x7875e260, "generic_cont_expand_simple" },
	{ 0x4d0ad23b, "truncate_inode_pages_final" },
	{ 0x9a8747ab, "generic_file_mmap" },
	{ 0x876beb01, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0xdc19a47a, "ilookup" },
	{ 0xe5fc4227, "invalidate_inode_buffers" },
	{ 0x8bd34d23, "blk_finish_plug" },
	{ 0x8f2fe657, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7a6ee5e3, "mnt_drop_write_file" },
	{ 0x6a8b5382, "fs_param_is_gid" },
	{ 0xd32bdfe5, "inode_init_once" },
	{ 0x630119ed, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x6802c7a8, "__brelse" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x201ef43b, "generic_file_read_iter" },
	{ 0xe3a5857d, "inode_maybe_inc_iversion" },
	{ 0xc45ab8b8, "truncate_pagecache" },
	{ 0xe6dda1dd, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0f0878ae, "setattr_copy" },
	{ 0x569d523e, "__wait_on_buffer" },
	{ 0x14e3235f, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xa41380ea, "kmem_cache_alloc_lru_noprof" },
	{ 0xe7dfb047, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9e904a66, "mpage_writepages" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x92e43a32, "from_vfsgid" },
	{ 0x7e6ec9d8, "write_inode_now" },
	{ 0x5152e605, "memcmp" },
	{ 0x406634d4, "d_obtain_alias" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x76cc4fb7, "__bread_gfp" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x4669181a, "block_dirty_folio" },
	{ 0x6d4ff205, "mpage_read_folio" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc8add775, "__insert_inode_hash" },
	{ 0x791e872c, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x32b46672, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x405f4083, "__kmem_cache_create_args" },
	{ 0xdc4ca849, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x2917a636, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8d95ebee, "generic_encode_ino32_fh" },
	{ 0x2dca9b12, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa37270fe, "igrab" },
	{ 0xacd4bd06, "generic_read_dir" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1a18a202, "mpage_readahead" },
	{ 0xdc0f847a, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x4851081a, "init_user_ns" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x1191e841, "__lock_buffer" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2f3607dc, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7e8d3a3c, "generic_fh_to_parent" },
	{ 0xbb50f387, "__fs_parse" },
	{ 0x0b0e66c8, "filemap_splice_read" },
	{ 0x1a4c8abf, "from_kuid_munged" },
	{ 0xe95fcce8, "__generic_file_fsync" },
	{ 0x8b900e24, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x881e2ecc, "__mark_inode_dirty" },
	{ 0x9b4ead8e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb946faf6, "unload_nls" },
	{ 0x29f3a126, "up_read" },
	{ 0xe58af698, "mark_buffer_dirty_inode" },
	{ 0xd9760806, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x2b156089, "inode_set_ctime_to_ts" },
	{ 0x909bcc96, "fs_param_is_uid" },
	{ 0xb889cfab, "kmem_cache_destroy" },
	{ 0xe86641d9, "blkdev_issue_discard" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
