#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xa27388e7, "");
SYMBOL_CRC(jbd2_journal_start, 0xce6810cc, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x91c22f13, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x6e281241, "");
SYMBOL_CRC(jbd2__journal_restart, 0x4ffd3097, "");
SYMBOL_CRC(jbd2_journal_restart, 0x10e44d45, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xa3881cb3, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xe79786a6, "");
SYMBOL_CRC(jbd2_journal_extend, 0x98703e9b, "");
SYMBOL_CRC(jbd2_journal_stop, 0x20e1f69f, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x587a2dda, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xa82bda0c, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x5a0e142c, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xeb1bdf0a, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xbfe6e3f3, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xdc056b0d, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xff7ef748, "");
SYMBOL_CRC(jbd2_journal_forget, 0xf8fa1bdd, "");
SYMBOL_CRC(jbd2_journal_flush, 0x0f65a1ab, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x1ff00b0b, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x526b7cb9, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x21ab46f1, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x2245d437, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xdf868034, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xd743a751, "");
SYMBOL_CRC(jbd2_journal_load, 0xf54099d4, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x02838ad3, "");
SYMBOL_CRC(jbd2_journal_abort, 0x1d11cc5f, "");
SYMBOL_CRC(jbd2_journal_errno, 0x465a42d9, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xd88a4b61, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xbb613d9e, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xbd52afea, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x0aa8db41, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x17f77c22, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x890bad31, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x1df97fef, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x056b847b, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x40df1f3f, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xf210ed76, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x9a281a0a, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xa27b09b7, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xd544613f, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x5414c35c, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xbd7a4c14, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x9c4af4b0, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x9bc44dc9, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xde39f1be, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x3972ac7a, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x42a9d9b8, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x64dfe1a4, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x1268e566, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x3919e8c4, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xd80b7353, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x0ee771be, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xbb892656, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x61c41e6f, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x36573234, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x98e852b4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x8d68cee7, "bh_uptodate_or_lock" },
	{ 0x658aba34, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4d7e3520, "blk_start_plug" },
	{ 0x688f510d, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x0eb4fefa, "folio_unlock" },
	{ 0x969faf42, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6bdf0162, "bpf_trace_run6" },
	{ 0x22fea010, "mark_buffer_dirty" },
	{ 0x8d91ccaa, "__find_get_block" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x2da316aa, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x74c43363, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0f1b8ba, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x6d81ed85, "iput" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x69bd114a, "blockdev_superblock" },
	{ 0x60a82bdf, "proc_create_data" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x87f57a1a, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2ea43248, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc6a4b869, "alloc_buffer_head" },
	{ 0x71445136, "wake_up_process" },
	{ 0x00c7332d, "shrinker_free" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x7b351b18, "mutex_lock_io" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29061d98, "preempt_model_lazy" },
	{ 0x6d7057b5, "try_to_free_buffers" },
	{ 0xefd38bfd, "sync_blockdev" },
	{ 0x36ad1ce7, "free_buffer_head" },
	{ 0x241ddb8e, "shrinker_register" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x8bd34d23, "blk_finish_plug" },
	{ 0x8f2fe657, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x73b3e08d, "crc32_be_arch" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x05536501, "__kmap_local_page_prot" },
	{ 0x58a232ff, "bit_waitqueue" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6802c7a8, "__brelse" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x05240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc5251fd8, "__bh_read_batch" },
	{ 0xcacd4683, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x569d523e, "__wait_on_buffer" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe7dfb047, "kmem_cache_free" },
	{ 0x4ece4cfe, "__bh_read" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x4c70a10a, "blkdev_issue_zeroout" },
	{ 0xf8cff5e0, "filemap_fdatawait_range_keep_errors" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x87e5fcee, "freezing_slow_path" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0x52804346, "proc_mkdir" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x32b46672, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x405f4083, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e1b813b, "kthread_create_on_node" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x2dca9b12, "unlock_buffer" },
	{ 0xea683f27, "crc32c_le_arch" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x4b0f6a18, "__folio_put" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x1191e841, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x72976a9e, "truncate_inode_pages_range" },
	{ 0x2f3607dc, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3abc43c1, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x792fb529, "end_buffer_write_sync" },
	{ 0x312b931d, "seq_open" },
	{ 0xff807665, "bmap" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xb889cfab, "kmem_cache_destroy" },
	{ 0xe86641d9, "blkdev_issue_discard" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E2719417B2629E7F14CFF0D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
