#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0xc26587af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d83d5ee, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdd3ac512, "nlmclnt_proc" },
	{ 0x97248ff0, "nfs_writeback_update_inode" },
	{ 0x3e2931c6, "nfs_alloc_client" },
	{ 0x943bd9cb, "nfs_dentry_operations" },
	{ 0xf379249f, "xdr_write_pages" },
	{ 0x1097b6bb, "nfs_access_zap_cache" },
	{ 0x29453ff9, "nfs_wb_all" },
	{ 0xde28e253, "xdr_inline_decode" },
	{ 0x167d7cc7, "forget_all_cached_acls" },
	{ 0xa734aedd, "nfs_submount" },
	{ 0x5eb25807, "__tracepoint_nfs_xdr_status" },
	{ 0xb0c29d62, "nfs_mknod" },
	{ 0x4c902cad, "nfs_create_server" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc5c97484, "nfs_init_client" },
	{ 0x037a0cba, "kfree" },
	{ 0xec9021a1, "nfs_post_op_update_inode" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf3eeec68, "xdr_read_pages" },
	{ 0x33909b4c, "nfsacl_decode" },
	{ 0xe0dae0b0, "posix_acl_from_mode" },
	{ 0x50bbd003, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d8c4e5a, "nfs_mkdir" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf689f342, "nfs_revalidate_inode" },
	{ 0xe718ee24, "nfs_get_lock_context" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x85706e03, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x3b807f06, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x96c0c7a4, "nfs_get_client" },
	{ 0x6dded84f, "__free_pages" },
	{ 0xde274b1c, "nfs_file_operations" },
	{ 0x3afde590, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xbd46d9fc, "nfs_put_lock_context" },
	{ 0xa5d5bdfc, "nfs_rename" },
	{ 0xee8b1487, "nfs_lookup" },
	{ 0x2c41faee, "nfs_sysfs_link_rpc_client" },
	{ 0xd78f88dc, "nfsacl_encode" },
	{ 0x06641b23, "posix_acl_create" },
	{ 0x70fefef2, "get_nfs_open_context" },
	{ 0xf4dc4beb, "nfs_invalidate_atime" },
	{ 0xa622b393, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7ab204b7, "nfs_getattr" },
	{ 0xe259cfa3, "nfs_zap_acl_cache" },
	{ 0xe8537f7b, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3d3f7c7a, "rpc_bind_new_program" },
	{ 0x7c6bbe08, "register_nfs_version" },
	{ 0x12503153, "nfs_atomic_open_v23" },
	{ 0xaabc1ea4, "rpc_call_start" },
	{ 0x882e237c, "rpc_call_sync" },
	{ 0x5736144c, "rpc_prepare_reply_pages" },
	{ 0xe26b51b1, "nfs_fs_type" },
	{ 0xcfe8572a, "nfs_setattr" },
	{ 0xcf06445c, "xdr_terminate_string" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0xbbee6def, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xf86fe009, "make_kgid" },
	{ 0xdc4ca849, "from_kgid_munged" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0x19258cc7, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x09a0df4e, "nfs_rmdir" },
	{ 0xc68b68d2, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4d2e9fba, "nfs_async_iocounter_wait" },
	{ 0x66f687a9, "nfs_setattr_update_inode" },
	{ 0x8f9443f4, "nfs_sops" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x991847a3, "rpc_restart_call" },
	{ 0xb65896e7, "nfs_link" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x21318d3e, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xd5c61361, "put_nfs_open_context" },
	{ 0x7ed32142, "nfs_permission" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0xacbd2a24, "nfs_add_or_obtain" },
	{ 0x1a4c8abf, "from_kuid_munged" },
	{ 0xd0d8621b, "strlen" },
	{ 0x9921a373, "nfs_free_client" },
	{ 0xfcc7be75, "nfs_close_context" },
	{ 0x9171420f, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0x0e8ff8e0, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xb55b8f26, "nfs_symlink" },
	{ 0x02e67b7c, "nfs_unlink" },
	{ 0xddf1c5c6, "forget_cached_acl" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc,nfs_acl");


MODULE_INFO(srcversion, "4A0E13BAB44AED8D04EAD2E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
