#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21af1960, "inode_init_owner" },
	{ 0x1d277e28, "iomap_readahead" },
	{ 0x9080e1d6, "vfs_fsync_range" },
	{ 0x13c624cd, "setattr_prepare" },
	{ 0xfd146e8a, "filemap_migrate_folio" },
	{ 0x1db8c68d, "iget_locked" },
	{ 0x7aaf506a, "__bio_add_page" },
	{ 0x6b373a64, "iocb_bio_iopoll" },
	{ 0xecaf4724, "new_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe2a43e78, "filemap_map_pages" },
	{ 0x8cc1e10a, "iomap_file_buffered_write" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0xd73cdeae, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x53d9be60, "generic_error_remove_folio" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x5c9b43ff, "d_make_root" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1ac698e8, "sb_set_blocksize" },
	{ 0x9e14d4d5, "sync_filesystem" },
	{ 0xef387065, "d_splice_alias" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x0d426400, "inode_dio_wait" },
	{ 0x037a0cba, "kfree" },
	{ 0x6d81ed85, "iput" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x559435cc, "fs_param_is_enum" },
	{ 0xdd214a42, "iter_file_splice_write" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0x37fd100e, "register_filesystem" },
	{ 0x9cc879bd, "dquot_transfer" },
	{ 0xa3269577, "iomap_dirty_folio" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0e664f62, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x859ecfdf, "filemap_fdatawrite_range_kick" },
	{ 0xb28f42e6, "simple_inode_init_ts" },
	{ 0x85408b3b, "iomap_invalidate_folio" },
	{ 0x16454c50, "iomap_dio_rw" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x40c201f9, "kill_block_super" },
	{ 0xa8b2bfb1, "unlock_new_inode" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2155fb6b, "blkdev_zone_mgmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3b807f06, "make_kuid" },
	{ 0x313f3ff2, "fs_kobj" },
	{ 0x738803e6, "strnlen" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x6dded84f, "__free_pages" },
	{ 0x88ea7dc0, "iomap_page_mkwrite" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xd32bdfe5, "inode_init_once" },
	{ 0x96d6bfc0, "file_write_and_wait_range" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x201ef43b, "generic_file_read_iter" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0f0878ae, "setattr_copy" },
	{ 0xf27768cf, "file_update_time" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x14e3235f, "set_nlink" },
	{ 0xa41380ea, "kmem_cache_alloc_lru_noprof" },
	{ 0xe7dfb047, "kmem_cache_free" },
	{ 0x8f17ae51, "iomap_swapfile_activate" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x84f4a686, "kobject_init_and_add" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x6a06d2cc, "bio_init" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf86fe009, "make_kgid" },
	{ 0x405f4083, "__kmem_cache_create_args" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc6de70d3, "kobject_create_and_add" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x2917a636, "truncate_setsize" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0x2459e22e, "iomap_read_folio" },
	{ 0xacd4bd06, "generic_read_dir" },
	{ 0xb9831279, "kobject_del" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa732d849, "iomap_writepages" },
	{ 0x5e62271a, "inc_nlink" },
	{ 0xcfbd8968, "seq_write" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x7fa7dec7, "get_tree_bdev" },
	{ 0xe5fd820e, "touch_atime" },
	{ 0x5ce7b7e6, "blk_op_str" },
	{ 0xb973fe9e, "__percpu_down_read" },
	{ 0x1e1b2433, "generic_file_open" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0x2f3607dc, "blkdev_issue_flush" },
	{ 0x1ceaf1af, "rcuwait_wake_up" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd55ad8b6, "send_sig" },
	{ 0xbb50f387, "__fs_parse" },
	{ 0x0b0e66c8, "filemap_splice_read" },
	{ 0x8b900e24, "d_parent_ino" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x93e73649, "generic_file_llseek_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x54dee3a2, "filemap_fault" },
	{ 0x9b4ead8e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf08feeb7, "iomap_release_folio" },
	{ 0xe04e5990, "iomap_is_partially_uptodate" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xa34e5302, "submit_bio_wait" },
	{ 0x568c8ad2, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x2b156089, "inode_set_ctime_to_ts" },
	{ 0xb889cfab, "kmem_cache_destroy" },
	{ 0x059a8b79, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7811697D983F4E28D38EA89");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
