#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x747907b7, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x16011043, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0xdf3776cd, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x479e562c, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x92fe5e63, "_gpl");
SYMBOL_CRC(dccp_check_req, 0xeaaad926, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x00eb3ce7, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x534b4d30, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x119813a8, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xe61675d4, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x32dd0f9e, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0xa19c8a06, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x2d048bce, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x50348d53, "_gpl");
SYMBOL_CRC(dccp_connect, 0xe8e9e236, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xb2014700, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x8a9c41bc, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x5c9a1aaf, "_gpl");
SYMBOL_CRC(dccp_done, 0x93583e5a, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x43762a5e, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x5a662f1b, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x9975bfb0, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x875bb052, "_gpl");
SYMBOL_CRC(dccp_poll, 0xb41f0c21, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0xdab2b7cf, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x0a3ee384, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x74157865, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x9d43740b, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0xdc3fcbfd, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xea4239c8, "_gpl");
SYMBOL_CRC(dccp_close, 0x4a59c12e, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xf11c1718, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0x3c35955d, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x5603e719, "sock_wmalloc" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x1d2f0ff8, "skb_dequeue" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1a770359, "__kmalloc_node_track_caller_noprof" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x327b3f4b, "proc_dointvec_ms_jiffies" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9311fd30, "inet_csk_clear_xmit_timers" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x01a0ef4f, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe66bc85b, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x7e0ee1dd, "register_net_sysctl_sz" },
	{ 0xbedcae72, "inet_sock_destruct" },
	{ 0x882cb5a7, "inet_put_port" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0x070f7896, "_printk" },
	{ 0x30c71e85, "inet_csk_init_xmit_timers" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x15be8866, "sk_reset_timer" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0x9504c05f, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x534794e1, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd71de0fd, "ip6_mtu" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x2781dfeb, "sk_free" },
	{ 0x8ac9f13a, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0xe7dfb047, "kmem_cache_free" },
	{ 0x0c0e8b6d, "proc_doulongvec_minmax" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xa84456db, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x22c25927, "skb_copy_datagram_iter" },
	{ 0x41f0b9d1, "tcp_stream_memory_free" },
	{ 0xb5d1d38c, "skb_checksum" },
	{ 0x2bc95bd4, "memset" },
	{ 0xa0045bd0, "sk_wait_data" },
	{ 0xa6686fa7, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x32b46672, "kmem_cache_alloc_noprof" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2f556fe0, "inet_twsk_hashdance_schedule" },
	{ 0x405f4083, "__kmem_cache_create_args" },
	{ 0x03db1aef, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4c2e7d49, "inet_csk_listen_start" },
	{ 0x6c6511f1, "sk_free_unlock_clone" },
	{ 0x12143464, "sock_rfree" },
	{ 0x5fb85e5a, "ipv4_mtu" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x5ed7027a, "skb_set_owner_w" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0x993f1b71, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0x90b1e8ae, "inet_sk_set_state" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x132a241c, "dst_release" },
	{ 0xb11fd93b, "sk_stream_wait_connect" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0x2fc90bb3, "inet_csk_destroy_sock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0xba8c96e9, "sk_stop_timer" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xc858bc81, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x757125d9, "inet_csk_listen_stop" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xac99715e, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xb889cfab, "kmem_cache_destroy" },
	{ 0xef096d72, "inet_csk_complete_hashdance" },
	{ 0x28b15cfd, "release_sock" },
	{ 0xb96c15ad, "inet_csk_reqsk_queue_drop" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "055127683F33B3C8EADDE25");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
