#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0xff1adff3, "");
SYMBOL_CRC(gue_encap_hlen, 0x19741ae4, "");
SYMBOL_CRC(__fou_build_header, 0x64e547d3, "");
SYMBOL_CRC(__gue_build_header, 0x4310e92b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4b7f008, "__skb_checksum_complete" },
	{ 0x32d011ca, "ip_tunnel_encap_add_ops" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x07d50a24, "csum_partial" },
	{ 0x604a9bb4, "udp_sock_create4" },
	{ 0xe3ee55c6, "genlmsg_put" },
	{ 0x26c1af3d, "udp_set_csum" },
	{ 0x037a0cba, "kfree" },
	{ 0x76eb6074, "inet_offloads" },
	{ 0x0ae9a6aa, "inet_protos" },
	{ 0xc8c8724f, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x826e36f2, "__skb_get_hash_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x80211203, "netlink_unicast" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x51813ef6, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb0209f07, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xeb727934, "ip_tunnel_encap_del_ops" },
	{ 0xf09bb64c, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0x1341f339, "register_btf_kfunc_id_set" },
	{ 0x547bcbbd, "setup_udp_tunnel_sock" },
	{ 0x7ad92558, "udp_sock_create6" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x2fc9dac0, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x75a8e086, "genl_unregister_family" },
	{ 0xfb9b084d, "genl_register_family" },
	{ 0x98ed336c, "register_pernet_device" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "0FFA45A8F8B6865B2824539");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
