#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0x9807d274, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0x1f3821fd, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0x33a64aef, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0xee13a72d, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0xe5730510, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0xb7e48578, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0xa045e337, "_gpl");
SYMBOL_CRC(inet_diag_register, 0x7f8fed77, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0xdfe34eb2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x784471c4, "sock_diag_save_cookie" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x51813ef6, "nla_put" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x5dc14ed7, "sock_i_uid" },
	{ 0x1a4c8abf, "from_kuid_munged" },
	{ 0x4fb38cb7, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x5152e605, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2af21e81, "module_put" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa76982ba, "__netlink_dump_start" },
	{ 0x5429fa23, "sock_diag_unregister" },
	{ 0xc842ab78, "sock_diag_unregister_inet_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xaba43e22, "sock_diag_register" },
	{ 0x5710b2e0, "sock_diag_register_inet_compat" },
	{ 0xa80dbf17, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0x26a4c686, "inet6_lookup" },
	{ 0x5b69c3b5, "sock_diag_check_cookie" },
	{ 0xe483d5cf, "sock_gen_put" },
	{ 0xc4430842, "__inet_lookup_established" },
	{ 0xf03c0cc5, "__inet_lookup_listener" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xd700224c, "__nlmsg_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31f936db, "sock_diag_put_meminfo" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x75f4c7ce, "bpf_sk_storage_diag_put" },
	{ 0x738803e6, "strnlen" },
	{ 0x72e1ed99, "nla_reserve_64bit" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x80211203, "netlink_unicast" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2781dfeb, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C6793C36E2C09683FC8B80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
