#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x3a022fe9, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xe49c4e84, "");
SYMBOL_CRC(ieee802154_free_hw, 0xbb2fefa2, "");
SYMBOL_CRC(ieee802154_register_hw, 0xe0f0982f, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x8cac13db, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xd3b21d8b, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xf69e7180, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x3aca74f5, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x39e8e719, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33066ae8, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x688f510d, "bpf_trace_run4" },
	{ 0xb3390d12, "nl802154_beaconing_done" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x1d2f0ff8, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0xf659e9ab, "dev_alloc_name" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x165a9224, "ieee802154_mac_cmd_push" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xb633eff7, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x780bbce0, "netdev_warn" },
	{ 0x0f54a401, "crypto_aead_setauthsize" },
	{ 0x8eec6030, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0x0f1374a4, "crypto_skcipher_setkey" },
	{ 0x2b577412, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x725ea664, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x249a1564, "wpan_phy_unregister" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x3127606b, "alloc_netdev_mqs" },
	{ 0xcc719cc0, "nl802154_scan_done" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xce5192c1, "nl802154_scan_started" },
	{ 0x4d86c423, "crypto_skcipher_decrypt" },
	{ 0x738803e6, "strnlen" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x481b2a91, "skb_copy_expand" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x341fbd98, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x30f90b09, "cfg802154_get_free_short_addr" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x508b86fe, "wpan_phy_register" },
	{ 0xbf2c3fd4, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x418473c4, "crypto_aead_encrypt" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x80004499, "ieee802154_hdr_peek" },
	{ 0xe970f579, "wpan_phy_free" },
	{ 0x8dada1a8, "netif_receive_skb" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x133663bc, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0x459e9a12, "netif_tx_wake_queue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4638360d, "ieee802154_hdr_pull" },
	{ 0xa41f0d46, "nl802154_scan_event" },
	{ 0xf0aa039d, "crypto_alloc_sync_skcipher" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x0195cfd2, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xe1404d37, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x2749f0ab, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0032b367, "wpan_phy_new" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x0d2a3cff, "ieee802154_hdr_push" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7cb3f4aa, "cfg802154_device_is_parent" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x61340305, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf443749a, "register_netdevice" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "FC05EF9AD81C921F0BF8D21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
