#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x7f6bf402, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0x3cbbfe1d, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0x6344eaf6, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x119f34c5, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0x467ebfe5, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0x9221773e, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0xc447ed7a, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0xbc896f88, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0x9493bebd, "_gpl");
SYMBOL_CRC(ip_set_test, 0xafa6d48a, "_gpl");
SYMBOL_CRC(ip_set_add, 0xdafe0056, "_gpl");
SYMBOL_CRC(ip_set_del, 0xde80d463, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x8e1145bf, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0x42dee0f6, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0xa867d1d6, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x8aa89e38, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0xd62f83e9, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0xdb088b2a, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0xd4824238, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x537d5e13, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa76982ba, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0xd700224c, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x02452713, "nf_register_sockopt" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x68b3b246, "nfnetlink_subsys_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xa9fcbe43, "netlink_ack" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96dfb9f2, "register_pernet_subsys" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x1f9f3945, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5b361a90, "ipv6_skip_exthdr" },
	{ 0x738803e6, "strnlen" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x2af21e81, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc2aefaaf, "nfnetlink_unicast" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x51813ef6, "nla_put" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x55e2bddf, "ns_capable" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbe121599, "unregister_pernet_subsys" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x336123a7, "nfnetlink_subsys_unregister" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "B06F5D6440B874F2FB7952E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
