#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0xfcc9549b, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x4a7d5cd9, "");
SYMBOL_CRC(nfc_find_se, 0x4cc21632, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x9bcac0cc, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x951f1bc4, "");
SYMBOL_CRC(nfc_tm_data_received, 0x3b327f48, "");
SYMBOL_CRC(nfc_tm_activated, 0x01b0a93f, "");
SYMBOL_CRC(nfc_tm_deactivated, 0x9cce4299, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x642a0ba5, "");
SYMBOL_CRC(nfc_targets_found, 0x005e30b7, "");
SYMBOL_CRC(nfc_target_lost, 0x45edf851, "");
SYMBOL_CRC(nfc_driver_failure, 0x152a6540, "");
SYMBOL_CRC(nfc_add_se, 0x4e39d970, "");
SYMBOL_CRC(nfc_remove_se, 0x9c6f66bc, "");
SYMBOL_CRC(nfc_se_transaction, 0xdddff44d, "");
SYMBOL_CRC(nfc_se_connectivity, 0xfb10c53c, "");
SYMBOL_CRC(nfc_class, 0x8d349cbb, "");
SYMBOL_CRC(nfc_allocate_device, 0xdc35175c, "");
SYMBOL_CRC(nfc_register_device, 0x674e2269, "");
SYMBOL_CRC(nfc_unregister_device, 0xb7147a29, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x12f9cf29, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0xe536bab0, "");
SYMBOL_CRC(nfc_proto_register, 0x78cba2a5, "");
SYMBOL_CRC(nfc_proto_unregister, 0x4145e51d, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x4f63209b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe70b51eb, "security_sock_graft" },
	{ 0x1b96d3ec, "skb_free_datagram" },
	{ 0x85291047, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x822f0146, "class_dev_iter_next" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0x6678d509, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x94c48a18, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1d2f0ff8, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x0aae5874, "device_initialize" },
	{ 0x2136925e, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe3ee55c6, "genlmsg_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x81e99fd1, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7fe32327, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x04381788, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe66bc85b, "sk_error_report" },
	{ 0x7c421f18, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4a93abe6, "class_dev_iter_exit" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6f7398ab, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb68070ac, "sock_register" },
	{ 0x32d07836, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x24de4a7a, "put_device" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x0356f9e3, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0x2af21e81, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x64a78ee1, "__sock_recv_timestamp" },
	{ 0x50a0e1b9, "sock_no_shutdown" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x534794e1, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x0de07004, "skb_pull" },
	{ 0x2f0d8d62, "device_add" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x80211203, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2781dfeb, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe1c2f7ef, "sock_no_accept" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0xfd117f69, "sock_no_listen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x51813ef6, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x55e2bddf, "ns_capable" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xa84456db, "lock_sock_nested" },
	{ 0xc98f142e, "sock_no_bind" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x22c25927, "skb_copy_datagram_iter" },
	{ 0x046fd637, "rfkill_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xc44815a9, "class_dev_iter_init" },
	{ 0x48f49cfd, "sk_alloc" },
	{ 0xecdf111e, "device_del" },
	{ 0x48c5970c, "__sock_recv_wifi_status" },
	{ 0xe75b5360, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x79eb170f, "sock_no_mmap" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x03db1aef, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x91329da5, "skb_recv_datagram" },
	{ 0x993f1b71, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xd97d357c, "sock_no_getname" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa2bba2f8, "skb_copy" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x346f59ff, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x75a8e086, "genl_unregister_family" },
	{ 0xd0d8621b, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0xfb9b084d, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcb3303ee, "sock_init_data" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x28b15cfd, "release_sock" },
	{ 0xebb765df, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x28f65080, "class_find_device" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "EB67B394E5E36DFE5372C7C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
