#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xae2948f8, "");
SYMBOL_CRC(pn_sock_unhash, 0xa5af1998, "");
SYMBOL_CRC(phonet_stream_ops, 0x2213855d, "");
SYMBOL_CRC(pn_sock_get_port, 0x67f8dce7, "");
SYMBOL_CRC(phonet_header_ops, 0xeb588728, "");
SYMBOL_CRC(pn_skb_send, 0xbf8e0468, "");
SYMBOL_CRC(phonet_proto_register, 0x4920e780, "");
SYMBOL_CRC(phonet_proto_unregister, 0x774b6c92, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe70b51eb, "security_sock_graft" },
	{ 0x1b96d3ec, "skb_free_datagram" },
	{ 0x85291047, "sock_queue_rcv_skb_reason" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x5dc14ed7, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd700224c, "__nlmsg_put" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0xfb9f537c, "dev_add_pack" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x55a42616, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x192645d5, "___pskb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x81e99fd1, "sock_no_connect" },
	{ 0x74c451ca, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4049aeb5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0x96dfb9f2, "register_pernet_subsys" },
	{ 0x7c421f18, "skb_queue_purge_reason" },
	{ 0x7e0ee1dd, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6f7398ab, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb68070ac, "sock_register" },
	{ 0x32d07836, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x8d47c2ee, "netlink_capable" },
	{ 0x969c86c7, "rtnl_set_sk_err" },
	{ 0x0356f9e3, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2af21e81, "module_put" },
	{ 0x79ce53a3, "__sk_receive_skb" },
	{ 0x50a0e1b9, "sock_no_shutdown" },
	{ 0x534794e1, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x7cff30ba, "dev_remove_pack" },
	{ 0x30e7f987, "dev_get_by_index" },
	{ 0x2781dfeb, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa32a6d32, "dev_get_by_index_rcu" },
	{ 0xe1c2f7ef, "sock_no_accept" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0xfd117f69, "sock_no_listen" },
	{ 0x51813ef6, "nla_put" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x01ac8a82, "__rtnl_register_many" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa84456db, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x22c25927, "skb_copy_datagram_iter" },
	{ 0x48f49cfd, "sk_alloc" },
	{ 0xbe121599, "unregister_pernet_subsys" },
	{ 0xe75b5360, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x79eb170f, "sock_no_mmap" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0x2ceab378, "netif_rx" },
	{ 0x178ca79a, "sock_common_recvmsg" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd7b4e9c3, "sk_common_release" },
	{ 0x208d464e, "seq_pad" },
	{ 0x4fb38cb7, "sock_i_ino" },
	{ 0x748d4df1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x91329da5, "skb_recv_datagram" },
	{ 0x993f1b71, "sock_alloc_send_pskb" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x124a3d50, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1a4c8abf, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcb3303ee, "sock_init_data" },
	{ 0xb922e2a0, "sk_ioctl" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x28b15cfd, "release_sock" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "401DE45A1664A2E99D84E3C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
