#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xcc71bf3d, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x9aa460c6, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xddab7809, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b96d3ec, "skb_free_datagram" },
	{ 0x85291047, "sock_queue_rcv_skb_reason" },
	{ 0x064f6f0c, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x688f510d, "bpf_trace_run4" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe81eacd4, "kernel_bind" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3146e0f9, "__module_get" },
	{ 0x61d40072, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7fe32327, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe66bc85b, "sk_error_report" },
	{ 0x7c421f18, "skb_queue_purge_reason" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6f7398ab, "proto_unregister" },
	{ 0xb68070ac, "sock_register" },
	{ 0x32d07836, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x0356f9e3, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2af21e81, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x50a0e1b9, "sock_no_shutdown" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x534794e1, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xdf339cbf, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x2781dfeb, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe1c2f7ef, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0xfd117f69, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xa84456db, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x22c25927, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48f49cfd, "sk_alloc" },
	{ 0xe75b5360, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x79eb170f, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0x5ed7027a, "skb_set_owner_w" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1e6044a2, "sock_create_kern" },
	{ 0x00aa1603, "xa_find" },
	{ 0x91329da5, "skb_recv_datagram" },
	{ 0x993f1b71, "sock_alloc_send_pskb" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xf79d23b8, "sock_release" },
	{ 0xd4d31b2c, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0035619b, "kernel_sendmsg" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xcb3303ee, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x28b15cfd, "release_sock" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
