#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rds_cong_map_updated, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create_outgoing, "_gpl", "");
KSYMTAB_FUNC(rds_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(rds_for_each_conn_info, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_conn_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_info_register_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_deregister_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_message_addref, "_gpl", "");
KSYMTAB_FUNC(rds_message_put, "_gpl", "");
KSYMTAB_FUNC(rds_message_populate_header, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_rdma_dest_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_unmapped, "_gpl", "");
KSYMTAB_FUNC(rds_inc_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_path_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_put, "_gpl", "");
KSYMTAB_FUNC(rds_recv_incoming, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_reset, "_gpl", "");
KSYMTAB_FUNC(rds_send_xmit, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_atomic_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_ping, "_gpl", "");
KSYMTAB_DATA(rds_stats, "_gpl", "");
KSYMTAB_FUNC(rds_stats_info_copy, "_gpl", "");
KSYMTAB_DATA(rds_wq, "_gpl", "");
KSYMTAB_FUNC(rds_connect_path_complete, "_gpl", "");
KSYMTAB_FUNC(rds_connect_complete, "_gpl", "");
KSYMTAB_FUNC(rds_addr_cmp, "_gpl", "");
KSYMTAB_FUNC(rds_trans_register, "_gpl", "");
KSYMTAB_FUNC(rds_trans_unregister, "_gpl", "");
KSYMTAB_FUNC(rds_page_remainder_alloc, "_gpl", "");

SYMBOL_CRC(rds_cong_map_updated, 0x20c5e653, "_gpl");
SYMBOL_CRC(rds_conn_create, 0xe8340d41, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0xee2464ae, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0x3f0c1bed, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0x16d0d499, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0x55c7217f, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0x1cb7fc30, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0x1d90b2ac, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0x51889084, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0xc2e90eca, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0x6c22c235, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xc2dab779, "_gpl");
SYMBOL_CRC(rds_message_addref, 0xead97d19, "_gpl");
SYMBOL_CRC(rds_message_put, 0xc1b03e1f, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0x2b0d543c, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0x3176ebf9, "_gpl");
SYMBOL_CRC(rds_inc_init, 0x87e42014, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0x82245d42, "_gpl");
SYMBOL_CRC(rds_inc_put, 0xaa19073c, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0xbf2b82e3, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0xe4b647f5, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0x71a65f5d, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0x17cfae9c, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0xa14e0ef6, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0x82ad33ed, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0xe11914a3, "_gpl");
SYMBOL_CRC(rds_send_ping, 0xb043ea14, "_gpl");
SYMBOL_CRC(rds_stats, 0xdad700e1, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0xf4c257e8, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0x2b1afd07, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0xe27e159b, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0x51782b39, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0x8612dfb8, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x9dcbbbf0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25f2d4df, "pin_user_pages_fast" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd780e857, "__do_once_done" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5a33eba1, "unpin_user_pages_dirty_lock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xa8717329, "unpin_user_pages" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe360c3d4, "iov_iter_get_pages2" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0908049, "put_cmsg" },
	{ 0x7e0ee1dd, "register_net_sysctl_sz" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6f7398ab, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xb68070ac, "sock_register" },
	{ 0xf39eef33, "mm_account_pinned_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x6dded84f, "__free_pages" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x0356f9e3, "proto_register" },
	{ 0x2af21e81, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x05536501, "__kmap_local_page_prot" },
	{ 0x50a0e1b9, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5af8e078, "down_write" },
	{ 0x534794e1, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb293b20e, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2781dfeb, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe1c2f7ef, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xe7dfb047, "kmem_cache_free" },
	{ 0x58169218, "vprintk" },
	{ 0xfd117f69, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3e7cd500, "sock_recv_errqueue" },
	{ 0x1e801b18, "mm_unaccount_pinned_pages" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xb0209f07, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xa84456db, "lock_sock_nested" },
	{ 0x776f83ea, "copy_page_to_iter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48f49cfd, "sk_alloc" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xe75b5360, "sock_no_socketpair" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x7af8db47, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x32b46672, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x79eb170f, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x405f4083, "__kmem_cache_create_args" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5d69597, "copy_page_from_iter" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x4fb38cb7, "sock_i_ino" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4b0f6a18, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x29f3a126, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x98ed336c, "register_pernet_device" },
	{ 0xddf969ad, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcb3303ee, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb889cfab, "kmem_cache_destroy" },
	{ 0x28b15cfd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "30D6E06289DF622C355A944");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
