#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xe6ef33e7, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xce3e37b7, "_gpl");
SYMBOL_CRC(tls_get_record, 0x09d2f49e, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xf745b369, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x98435fa9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5396deb4, "sk_msg_free" },
	{ 0x770e4e4c, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e48a5c6, "tcp_read_sock" },
	{ 0x688f510d, "bpf_trace_run4" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xde27efd1, "sk_page_frag_refill" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77a51e52, "tcp_sendmsg_locked" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xf39c8579, "sk_psock_msg_verdict" },
	{ 0x6bdf0162, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe360c3d4, "iov_iter_get_pages2" },
	{ 0x192645d5, "___pskb_trim" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x3b40879d, "check_zeroed_user" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x90154b6e, "clean_acked_data_enable" },
	{ 0x81f6eb59, "skb_splice_bits" },
	{ 0xb633eff7, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x0f54a401, "crypto_aead_setauthsize" },
	{ 0x8eec6030, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9fcc8bf2, "sk_stream_error" },
	{ 0x2209918b, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x854784ab, "sk_msg_memcopy_from_iter" },
	{ 0xe66bc85b, "sk_error_report" },
	{ 0x96dfb9f2, "register_pernet_subsys" },
	{ 0xf0908049, "put_cmsg" },
	{ 0x0349e873, "__sk_flush_backlog" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe440fa25, "sk_psock_tls_strp_read" },
	{ 0x88d1d05a, "sk_msg_clone" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x81cd48fe, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7c680bf6, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xfc9af714, "tcp_recv_skb" },
	{ 0x341fbd98, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x418473c4, "crypto_aead_encrypt" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0xcacd4683, "bpf_trace_run5" },
	{ 0x2781dfeb, "sk_free" },
	{ 0x7306148c, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x953f74a2, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf1b5758b, "sk_stream_wait_memory" },
	{ 0x51813ef6, "nla_put" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3e7cd500, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xa84456db, "lock_sock_nested" },
	{ 0x3238c723, "sk_msg_return_zero" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x22c25927, "skb_copy_datagram_iter" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0x41f0b9d1, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xbe121599, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0xa598bd95, "sock_efree" },
	{ 0xdc7cf6f2, "iov_iter_bvec" },
	{ 0x59af117d, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7dad6575, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x47cfb666, "sk_msg_free_partial" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x19fae38d, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb277a795, "tcp_register_ulp" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0x6289a417, "sk_psock_drop" },
	{ 0x09c1900c, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x003e8f48, "skb_page_frag_refill" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x5bc7f3a5, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4b0f6a18, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x7cb73d47, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0x132a241c, "dst_release" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xdf69f227, "skb_copy_header" },
	{ 0x8ac54228, "sk_msg_trim" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x90ffea74, "netdev_sk_get_lowest_dev" },
	{ 0xdd4016ea, "sk_msg_alloc" },
	{ 0xaf79b6b1, "page_address" },
	{ 0xfa67276d, "_copy_from_iter_nocache" },
	{ 0x4aa19de8, "tcp_rate_check_app_limited" },
	{ 0x8efc6858, "tcp_poll" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x65db6402, "sk_msg_zerocopy_from_iter" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xc4e165b9, "skb_to_sgvec" },
	{ 0x29f3a126, "up_read" },
	{ 0xddf969ad, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x86a9dd31, "tcp_read_done" },
	{ 0x28b15cfd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A89E25AE9791618BE9E704E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
