#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x05fdbcb6, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x4ce0732d, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x4a641659, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x91dc6cd3, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xc6e37214, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xa5137511, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xd7c63f79, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x82f4d3fe, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xa6738b31, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xe3c7974f, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x294b5573, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x837e016f, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xe2b36b7e, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xda76e7e9, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x7cfa9e72, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xcce5ee33, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x5cac04e6, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x6fe43a7a, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x92551f0a, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x5d8c55a9, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x8aeafc79, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xc6075ea0, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x0394ad31, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0xfca7b7fe, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x2c7961f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe70b51eb, "security_sock_graft" },
	{ 0xcc5f1278, "sock_map_close" },
	{ 0x85291047, "sock_queue_rcv_skb_reason" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3b4eb8d4, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x3146e0f9, "__module_get" },
	{ 0x9fcc8bf2, "sk_stream_error" },
	{ 0x2209918b, "sk_msg_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd3033352, "ns_capable_noaudit" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x28177c90, "__put_cred" },
	{ 0xe66bc85b, "sk_error_report" },
	{ 0x7c421f18, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6f7398ab, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb68070ac, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x0356f9e3, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2af21e81, "module_put" },
	{ 0x5253425a, "sk_msg_is_readable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x2781dfeb, "sk_free" },
	{ 0xe1c2f7ef, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfd117f69, "sock_no_listen" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3e7cd500, "sock_recv_errqueue" },
	{ 0xa84456db, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x48f49cfd, "sk_alloc" },
	{ 0xe75b5360, "sock_no_socketpair" },
	{ 0x70e9c029, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x79eb170f, "sock_no_mmap" },
	{ 0x8bf97faf, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x539f0633, "nonseekable_open" },
	{ 0x6289a417, "sk_psock_drop" },
	{ 0x748d4df1, "__dev_queue_xmit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0962afc1, "sock_setsockopt" },
	{ 0xcb3303ee, "sock_init_data" },
	{ 0x28b15cfd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A21B3BFFA4B67A96F7BE09E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
