#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0xa185ae3f, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x7387aac1, "_gpl");
SYMBOL_CRC(af_alg_release, 0xa51e5b30, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x4ab366bc, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x0a7dc697, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0xb5b16fac, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x53cd4a51, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x4cc12142, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x195f7144, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xd1a52171, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0xceca8696, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0xc191335e, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x5c158842, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x3ad43f14, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x48f49cfd, "sk_alloc" },
	{ 0xcb3303ee, "sock_init_data" },
	{ 0x21675ba8, "sock_kmalloc" },
	{ 0x0356f9e3, "proto_register" },
	{ 0xb68070ac, "sock_register" },
	{ 0x6f7398ab, "proto_unregister" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x29f3a126, "up_read" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0xa84456db, "lock_sock_nested" },
	{ 0x28b15cfd, "release_sock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af21e81, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x7af8db47, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2781dfeb, "sk_free" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe70b51eb, "security_sock_graft" },
	{ 0x8bf97faf, "security_sk_clone" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x6b273243, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4b0f6a18, "__folio_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe41a82fc, "extract_iter_to_sg" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5af8e078, "down_write" },
	{ 0x037a0cba, "kfree" },
	{ 0xaa173b39, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ac9f13a, "sock_wake_async" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x6dded84f, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x070f7896, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x53065e9d, "key_put" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x46a29e08, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x81e99fd1, "sock_no_connect" },
	{ 0xe75b5360, "sock_no_socketpair" },
	{ 0xd97d357c, "sock_no_getname" },
	{ 0x346f59ff, "sock_no_ioctl" },
	{ 0xfd117f69, "sock_no_listen" },
	{ 0x50a0e1b9, "sock_no_shutdown" },
	{ 0x2136925e, "sock_no_sendmsg" },
	{ 0xf48d9baa, "sock_no_recvmsg" },
	{ 0x79eb170f, "sock_no_mmap" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
