#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x5affb91f, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x06ae7596, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x76f2cf87, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xf532ca46, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x6a8a7c83, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33066ae8, "crypto_skcipher_encrypt" },
	{ 0x50152ba6, "cryptd_alloc_aead" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x1ab1529c, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xd150671b, "crypto_register_aead" },
	{ 0x224dd4d8, "crypto_unregister_aead" },
	{ 0x037a0cba, "kfree" },
	{ 0x255ae6f0, "crypto_register_aeads" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x0f54a401, "crypto_aead_setauthsize" },
	{ 0x8eec6030, "crypto_aead_decrypt" },
	{ 0x0f1374a4, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4852e847, "crypto_unregister_aeads" },
	{ 0xbb3c6dd0, "cryptd_skcipher_child" },
	{ 0x4d86c423, "crypto_skcipher_decrypt" },
	{ 0xd47480a6, "cryptd_alloc_skcipher" },
	{ 0x341fbd98, "crypto_aead_setkey" },
	{ 0x68e15d3e, "crypto_register_skcipher" },
	{ 0x418473c4, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6b2282ed, "cryptd_aead_queued" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xe2529d35, "crypto_unregister_skcipher" },
	{ 0xcb60d52c, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd0237c76, "cryptd_skcipher_queued" },
	{ 0xf9eb7257, "cryptd_free_aead" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x0d0cbbf9, "crypto_unregister_skciphers" },
	{ 0x80c4cab1, "cryptd_free_skcipher" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "F70643DDB8B3C26A0417513");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
