#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xadb344e9, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x20924ac2, "_gpl");
SYMBOL_CRC(ahci_ops, 0x9a5a8a80, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xf3e54f52, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x434b373e, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xb70ade29, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x343e4f5e, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x2d796942, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xab67e6b2, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xe922f5b6, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x1dae6be8, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x67959f37, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x563f3283, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xa7e0b364, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x0a644cdf, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x81b4052d, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x6b341eb1, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xac0adbd0, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x9a0ce0e6, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x1b61e67f, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x28c6cd00, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x62329f20, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xb67b02fb, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x34b8ecd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2e58da71, "ata_link_next" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x47ef207c, "ata_wait_register" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdd4b4737, "ata_dev_set_feature" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x2924b0af, "ata_msleep" },
	{ 0x86af0662, "sata_link_scr_lpm" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xc0c12c3c, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x873249c8, "ata_std_qc_defer" },
	{ 0xa22b1d52, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1de651da, "_dev_warn" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0x8d89448d, "ata_port_classify" },
	{ 0x9c2142c3, "ata_qc_complete_multiple" },
	{ 0xd7e51fe1, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5e88a674, "sata_pmp_error_handler" },
	{ 0x47fa56bf, "ata_host_start" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x50687689, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa8f95b64, "ata_host_register" },
	{ 0xeb83d983, "ata_host_activate" },
	{ 0xf6fc8364, "ata_dummy_port_ops" },
	{ 0xbcf55bb3, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xbbb79971, "dmam_alloc_attrs" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x1802c7f9, "sata_link_hardreset" },
	{ 0xd9f7bc4d, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x90735fbb, "sata_lpm_ignore_phy_events" },
	{ 0x97facbe4, "ata_ehi_clear_desc" },
	{ 0xd510499a, "ata_ehi_push_desc" },
	{ 0x8d5a2f05, "sata_async_notification" },
	{ 0x6c519777, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5846413b, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0xc2614928, "sata_pmp_port_ops" },
	{ 0x075d5a3b, "dev_attr_sw_activity" },
	{ 0xdd8ed8b7, "dev_attr_unload_heads" },
	{ 0xd32df2f2, "dev_attr_ncq_prio_supported" },
	{ 0xb53aca95, "dev_attr_ncq_prio_enable" },
	{ 0x93e26155, "dev_attr_link_power_management_policy" },
	{ 0x6d190d46, "dev_attr_em_message_type" },
	{ 0xcc2f5a29, "dev_attr_em_message" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "0C6A7C1E0ADD2F318939B06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
