#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0xdc44187d, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xa0b9079d, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x1cfa4b9f, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x7752ded6, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x67e2bec1, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xdba1f2c3, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x6ea20c4e, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xbdaca8de, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x85279795, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x10097371, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x1a9b34eb, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x8b355223, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x3e47f22d, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xf0fe7a89, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x85c3a56a, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x441647cd, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xc1d71390, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x039260a8, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x5c83aa21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf07cd735, "regulator_disable" },
	{ 0x349c5056, "regulator_put" },
	{ 0x037a0cba, "kfree" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xd0e3e9a9, "devm_of_phy_get" },
	{ 0x6c3c90ea, "of_find_property" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0x8691893f, "regulator_enable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9f4abb61, "platform_get_irq" },
	{ 0x434b373e, "ahci_save_initial_config" },
	{ 0xb67b02fb, "ahci_set_em_messages" },
	{ 0x8d251c69, "ata_host_alloc_pinfo" },
	{ 0x34b9c070, "platform_get_resource" },
	{ 0x50687689, "ata_port_desc" },
	{ 0xf6fc8364, "ata_dummy_port_ops" },
	{ 0xab67e6b2, "ahci_reset_controller" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x1dae6be8, "ahci_init_controller" },
	{ 0x62329f20, "ahci_print_info" },
	{ 0x34b8ecd4, "ahci_host_activate" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0x7d1c023b, "dma_set_coherent_mask" },
	{ 0xe922f5b6, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x3ced077b, "phy_power_off" },
	{ 0x160b5a35, "phy_exit" },
	{ 0x572402f3, "ata_host_suspend" },
	{ 0x402d5e17, "phy_init" },
	{ 0x761a218c, "phy_set_mode_ext" },
	{ 0x6b572d8e, "phy_power_on" },
	{ 0x56662854, "ata_host_resume" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x771fefae, "devres_open_group" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x5a427a0e, "devres_add" },
	{ 0x3df6b739, "platform_get_resource_byname" },
	{ 0x1f568308, "devm_platform_ioremap_resource_byname" },
	{ 0xb2fc2c8f, "devm_clk_bulk_get_all" },
	{ 0x2cebd8bb, "devm_regulator_get" },
	{ 0x24d71e23, "devm_reset_control_array_get" },
	{ 0x569cc7d7, "of_get_next_child" },
	{ 0x8b2a0929, "devres_release_group" },
	{ 0x8700fa96, "devm_platform_ioremap_resource" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x5bf3e4bd, "of_device_is_available" },
	{ 0xcab158ba, "of_platform_device_create" },
	{ 0xffdf1c8f, "of_find_device_by_node" },
	{ 0x31773899, "regulator_get" },
	{ 0x05075827, "of_node_put" },
	{ 0xe84ea0cc, "devm_clk_get_optional" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xe043d7f5, "devres_remove_group" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x9a5a8a80, "ahci_ops" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "libahci,libata");


MODULE_INFO(srcversion, "2B03E6882AD44B7DDD5C22D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
