#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0x5bfde6c5, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0xb67b0576, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0x2e7aa90d, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0x7365f881, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0xb9290fdc, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0x1019aae9, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0x0ade58e4, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0xdb04aece, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x25d20e03, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0x08cfe8a2, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0x16237f48, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0x091f6d40, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0x8072a604, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0x9591931a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbb83c3a6, "request_firmware" },
	{ 0x0718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9e17716b, "__hci_cmd_sync" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf4af4f44, "hci_cmd_sync_queue" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x082a442e, "hci_devcd_register" },
	{ 0xd1956ee5, "__hci_cmd_send" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1a5acc3c, "usb_anchor_urb" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x06b1c057, "usb_unanchor_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x2e60bace, "memcpy" },
	{ 0x96df04de, "usb_autopm_get_interface" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xdd5b8efe, "usb_autopm_put_interface" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x037a0cba, "kfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x94dc3356, "hci_devcd_append" },
	{ 0x04b8e241, "hci_devcd_complete" },
	{ 0x49ab3d8c, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xc4ce03e5, "usb_disable_autosuspend" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0xa0e7b314, "hci_recv_diag" },
	{ 0x5ade0c84, "hci_recv_frame" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x6678d509, "skb_put" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x064f6f0c, "__skb_pad" },
	{ 0xb63e736e, "usb_control_msg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcd9eb46b, "usb_set_interface" },
	{ 0xa1334dc4, "hci_cmd_sync_cancel" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x738803e6, "strnlen" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "67B8B67D8E525736ED94B2D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
