#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0xec3cd798, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xebc0a541, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x5e0ebd51, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x916d370d, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x10752104, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x907ce07c, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0xf7432964, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x5288804a, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xabfd2b81, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x5e357224, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xd8fd33b3, "");
SYMBOL_CRC(drm_fbdev_dma_driver_fbdev_probe, 0x143a02a5, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xc39d9ed7, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x02de7fcd, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x92cd62dd, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0xd665c5ed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0xafeb9847, "drm_fb_helper_debug_enter" },
	{ 0x7f2ea7b3, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x014036ce, "drm_client_buffer_vmap" },
	{ 0x62fc8e8d, "drm_fb_helper_setcmap" },
	{ 0xec54451d, "drm_fb_helper_alloc_info" },
	{ 0xa1f3fbc3, "drm_fb_helper_unprepare" },
	{ 0x4ea1669d, "vm_get_page_prot" },
	{ 0x5a7f91e4, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x5bd6422b, "drm_fb_helper_fini" },
	{ 0xbeea5939, "dma_mmap_pages" },
	{ 0x288ce097, "drm_client_framebuffer_delete" },
	{ 0x54b88245, "dma_free_pages" },
	{ 0xf1531da2, "drm_client_framebuffer_create" },
	{ 0x58376119, "drm_fb_helper_deferred_io" },
	{ 0x2e0b2904, "drm_fb_helper_release_info" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x6a619fd7, "drm_driver_legacy_fb_format" },
	{ 0xd4ee5d95, "drm_fb_helper_fill_info" },
	{ 0xace0a492, "drm_gem_create_mmap_offset" },
	{ 0x3ee8616d, "fb_deferred_io_init" },
	{ 0x6ca24b77, "fb_deferred_io_cleanup" },
	{ 0x0482455a, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0x045dcacb, "fb_sys_write" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xf9f9c190, "sys_imageblit" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ee74285, "drm_atomic_helper_damage_iter_init" },
	{ 0x015de7d2, "drm_fb_helper_damage_range" },
	{ 0x745d93b4, "drm_fb_helper_blank" },
	{ 0xa6243fcd, "dma_alloc_pages" },
	{ 0x24aec7d8, "drm_gem_private_object_init" },
	{ 0xac5255ce, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x21aeb195, "drm_fb_helper_damage_area" },
	{ 0x7893f058, "sys_fillrect" },
	{ 0x2af21e81, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7fe60b99, "drm_gem_vm_close" },
	{ 0x23d1d5bf, "drm_gem_vm_open" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbca2f2bb, "drm_gem_object_release" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x1d9044bc, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x17b2a86c, "drm_gem_handle_create" },
	{ 0x5c0144b8, "drm_gem_fb_get_obj" },
	{ 0x8b9b9f3f, "__drm_dev_dbg" },
	{ 0x7ee013f2, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e86a4d3, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x0e90c768, "drm_client_release" },
	{ 0xc1c34fb0, "sys_copyarea" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa9fe7b12, "drm_client_buffer_vunmap" },
	{ 0x1b9b4734, "fb_sys_read" },
	{ 0x4b16a143, "drm_fb_helper_debug_leave" },
	{ 0xf184d1b4, "dma_buf_vmap_unlocked" },
	{ 0x5a2bea73, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x70064baa, "dma_get_sgtable_attrs" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x9bf2e59a, "drm_fb_helper_ioctl" },
	{ 0x6c3ed655, "drm_fb_helper_set_par" },
	{ 0xf83d4c58, "drm_prime_gem_destroy" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8A9447B0C3736203D7647EC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
