#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_regulator_init_cb, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0xff8c2014, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x41f2f5cd, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0xb8e2cfa8, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xbd45b904, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x1af79998, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0xe371cf93, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x1a4c2510, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x9242ab1c, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xd0b2ef4b, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xf4111668, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x54a252b0, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xb440ac52, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xaf33b5a7, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x907f5a5e, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x266f93df, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x878fb06f, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x338b73dd, "_gpl");
SYMBOL_CRC(pmbus_regulator_init_cb, 0x5f75b890, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x8da34a1f, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x4bc83034, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x904327ba, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x2d5897e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x554ea94c, "device_remove_file" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x52af4ed5, "devm_krealloc" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15612c65, "debugfs_create_dir" },
	{ 0x3c495648, "debugfs_remove" },
	{ 0xbcf3496d, "simple_attr_open" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd4622112, "devm_thermal_of_zone_register" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xabcc4211, "i2c_smbus_write_byte_data" },
	{ 0x9b2a18db, "i2c_smbus_read_byte_data" },
	{ 0xd449ffd3, "i2c_smbus_write_byte" },
	{ 0xa7a16293, "i2c_smbus_write_word_data" },
	{ 0x288e92a7, "i2c_smbus_read_word_data" },
	{ 0x0250acdf, "i2c_smbus_read_block_data" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x92e7eace, "rdev_get_dev" },
	{ 0x5e2d3dd5, "rdev_get_id" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x3c5dfc21, "thermal_zone_device_priv" },
	{ 0x0c41f954, "sysfs_notify" },
	{ 0x057071ea, "kobject_uevent" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0x950296b3, "regulator_notifier_call_chain" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x644e391c, "i2c_smbus_xfer" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0x19d21bd0, "device_create_file" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0x400a3f15, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x2e60bace, "memcpy" },
	{ 0x890fc4e2, "devm_hwmon_device_register_with_groups" },
	{ 0x21d097cb, "devm_regulator_register" },
	{ 0x3c728c20, "dev_err_probe" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xd34e98fa, "debugfs_create_file_full" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x5650d81e, "noop_llseek" },
	{ 0x1687aa5b, "simple_open" },
	{ 0x3d128cb1, "debugfs_attr_read" },
	{ 0x6927f2be, "debugfs_attr_write" },
	{ 0x05ecc312, "simple_attr_release" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "951FB24E6E2E97F24E8C7E2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
