#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i2c_handle_smbus_alert, "_gpl", "");
KSYMTAB_FUNC(i2c_new_slave_host_notify_device, "_gpl", "");
KSYMTAB_FUNC(i2c_free_slave_host_notify_device, "_gpl", "");
KSYMTAB_FUNC(i2c_register_spd, "_gpl", "");

SYMBOL_CRC(i2c_handle_smbus_alert, 0x1495238a, "_gpl");
SYMBOL_CRC(i2c_new_slave_host_notify_device, 0x0908d8fb, "_gpl");
SYMBOL_CRC(i2c_free_slave_host_notify_device, 0x1dd8f4a1, "_gpl");
SYMBOL_CRC(i2c_register_spd, 0x64ca395f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72aee2c5, "i2c_register_driver" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbbfae8f2, "i2c_smbus_read_byte" },
	{ 0x8809effe, "device_for_each_child" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e4fa13c, "i2c_verify_client" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1de651da, "_dev_warn" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x52bc7ccc, "__dev_fwnode" },
	{ 0x184e0bc8, "fwnode_irq_get_byname" },
	{ 0x11271188, "devm_gpiod_get" },
	{ 0x62d382d6, "gpiod_to_irq" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x6a6aa1d9, "i2c_del_driver" },
	{ 0xc881479e, "i2c_handle_smbus_host_notify" },
	{ 0xbd5fc55c, "i2c_slave_unregister" },
	{ 0x037a0cba, "kfree" },
	{ 0x5c5b3612, "i2c_unregister_device" },
	{ 0x1d94a218, "dmi_memdev_handle" },
	{ 0x95ef1ccc, "dmi_memdev_size" },
	{ 0xd8d68ab1, "dmi_memdev_type" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xad0a0696, "i2c_new_scanned_device" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xaeba96a5, "i2c_new_client_device" },
	{ 0x723adc4b, "i2c_slave_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:smbus_alert");

MODULE_INFO(srcversion, "31BC71BB2027844E2B26630");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
