#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0x54d928c0, "");
SYMBOL_CRC(mma9551_write_config_byte, 0x96dfdc75, "");
SYMBOL_CRC(mma9551_read_status_byte, 0x31508440, "");
SYMBOL_CRC(mma9551_read_config_word, 0x359178f8, "");
SYMBOL_CRC(mma9551_write_config_word, 0x90759551, "");
SYMBOL_CRC(mma9551_read_status_word, 0xd84c7274, "");
SYMBOL_CRC(mma9551_read_config_words, 0xcfb56706, "");
SYMBOL_CRC(mma9551_read_status_words, 0x997389b3, "");
SYMBOL_CRC(mma9551_write_config_words, 0x604c624f, "");
SYMBOL_CRC(mma9551_update_config_bits, 0x40f0be80, "");
SYMBOL_CRC(mma9551_gpio_config, 0x62d2dc2a, "");
SYMBOL_CRC(mma9551_read_version, 0x643ea6c5, "");
SYMBOL_CRC(mma9551_set_device_state, 0xdd019b29, "");
SYMBOL_CRC(mma9551_set_power_state, 0xfa163900, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0xa6649a93, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0xe74a3f8e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6818194b, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F38357F916DE1B541CADC2E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
