#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xa0d0cdd3, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x0252db41, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x6da5852b, "");
SYMBOL_CRC(rdma_res_to_id, 0x0cd5cb1c, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x4d4bd015, "");
SYMBOL_CRC(rdma_create_user_id, 0x7c6bf8a6, "");
SYMBOL_CRC(rdma_create_qp, 0xf99afa56, "");
SYMBOL_CRC(rdma_destroy_qp, 0xbaf03fc2, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x6bf761e7, "");
SYMBOL_CRC(rdma_destroy_id, 0x197bbb40, "");
SYMBOL_CRC(rdma_get_service_id, 0x7c494000, "");
SYMBOL_CRC(rdma_read_gids, 0x461dcf0e, "");
SYMBOL_CRC(rdma_set_service_type, 0x63d6eff7, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x9fb7fbb6, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xc3dd7a41, "");
SYMBOL_CRC(rdma_set_ib_path, 0xcd7c0942, "");
SYMBOL_CRC(rdma_resolve_route, 0x0c6bcc58, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xedbca807, "");
SYMBOL_CRC(rdma_set_afonly, 0xab2eba25, "");
SYMBOL_CRC(rdma_listen, 0x3d2c1e94, "");
SYMBOL_CRC(rdma_resolve_addr, 0x16a0fa77, "");
SYMBOL_CRC(rdma_bind_addr, 0xb2e17869, "");
SYMBOL_CRC(rdma_connect_locked, 0xc1ad77c4, "");
SYMBOL_CRC(rdma_connect, 0xf3c58e68, "");
SYMBOL_CRC(rdma_connect_ece, 0xf8d98e0a, "");
SYMBOL_CRC(rdma_accept, 0xfa5a6013, "");
SYMBOL_CRC(rdma_accept_ece, 0xb56db430, "");
SYMBOL_CRC(rdma_lock_handler, 0x9db4f77d, "");
SYMBOL_CRC(rdma_unlock_handler, 0x2465b6c5, "");
SYMBOL_CRC(rdma_notify, 0x83956c55, "");
SYMBOL_CRC(rdma_reject, 0x53501876, "");
SYMBOL_CRC(rdma_disconnect, 0x982f90c7, "");
SYMBOL_CRC(rdma_join_multicast, 0xa417089c, "");
SYMBOL_CRC(rdma_leave_multicast, 0x0c937ab3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8372c54, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1a9ace31, "iw_create_cm_id" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x65a4d9d8, "ib_unregister_client" },
	{ 0x1d9f2af8, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x0fd2795a, "ib_send_cm_sidr_rep" },
	{ 0x688f510d, "bpf_trace_run4" },
	{ 0x6f03d75c, "config_group_init" },
	{ 0x48ac00d1, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x6e7aff2b, "rdma_find_gid_by_port" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0xe03beed8, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x0c86f5cb, "ib_sa_register_client" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xcb138be7, "rdma_query_gid" },
	{ 0xa3e3dbda, "rt6_lookup" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x24bc92e5, "rdma_translate_ip" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0xb556f1f9, "rdma_dev_access_netns" },
	{ 0x0de30990, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa1ad5049, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72d86b60, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x96dfb9f2, "register_pernet_subsys" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x94b9b8dd, "ip_mc_inc_group" },
	{ 0x02dc7985, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x15ca805a, "ib_find_cached_pkey" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xdc66d008, "iw_cm_connect" },
	{ 0xbe74f63f, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x0c7eb950, "rdma_addr_cancel" },
	{ 0x575c79d9, "ib_cm_notify" },
	{ 0x738803e6, "strnlen" },
	{ 0x2c244938, "ib_sa_get_mcmember_rec" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x4598a396, "ib_register_client" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x99a7e567, "ib_sa_path_rec_get" },
	{ 0x7e406079, "ib_create_cm_id" },
	{ 0x0b96d987, "__ip_mc_dec_group" },
	{ 0x6cf10c3a, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x40c59a04, "ib_init_ah_from_mcmember" },
	{ 0xae8217e0, "rdma_destroy_ah_attr" },
	{ 0x5730388f, "ib_set_client_data" },
	{ 0x534794e1, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa7cce895, "ib_get_cached_pkey" },
	{ 0x2d399bd3, "configfs_register_subsystem" },
	{ 0x9833c119, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x98970148, "rdma_put_gid_attr" },
	{ 0x5bb38b2f, "config_group_init_type_name" },
	{ 0x30e7f987, "dev_get_by_index" },
	{ 0x53d30ee3, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa32a6d32, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa881e740, "ib_send_cm_rep" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xf1231dff, "iw_cm_disconnect" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0x1a557750, "ib_destroy_qp_user" },
	{ 0xbe121599, "unregister_pernet_subsys" },
	{ 0xbfb47813, "ib_cm_init_qp_attr" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x0b0e44c2, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7050743c, "rdma_restrack_set_name" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x47410001, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x3d6cac68, "ib_get_cached_port_state" },
	{ 0xe528dd2a, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe4a77668, "rdma_restrack_del" },
	{ 0x1ae9bd1b, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0x056cfa6d, "__put_net" },
	{ 0xc6c3f656, "rdma_restrack_parent_name" },
	{ 0xe78f0f1e, "iw_cm_accept" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb8cf2fb1, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3a8cba0, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x421001e9, "iw_cm_init_qp_attr" },
	{ 0x132a241c, "dst_release" },
	{ 0x8141d55d, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbb6672dd, "ib_send_cm_dreq" },
	{ 0xe30c5afa, "ib_send_cm_req" },
	{ 0x71d22c74, "ib_create_qp_kernel" },
	{ 0x1d8fa472, "ib_sa_join_multicast" },
	{ 0x16bc06fd, "roce_gid_type_mask_support" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5594ec9e, "rdma_get_gid_attr" },
	{ 0x67b85d02, "rdma_restrack_new" },
	{ 0xc94ed511, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x35f73f0a, "iw_cm_listen" },
	{ 0x5ee852d4, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x792dcca1, "rdma_copy_src_l2_addr" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x64783cc8, "rdma_resolve_ip" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm,configfs");


MODULE_INFO(srcversion, "33687F450EB7128D7AB4B60");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
