#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_clt_get_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_put_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_open, "", "");
KSYMTAB_FUNC(rtrs_clt_close, "", "");
KSYMTAB_FUNC(rtrs_clt_request, "", "");
KSYMTAB_FUNC(rtrs_clt_rdma_cq_direct, "", "");
KSYMTAB_FUNC(rtrs_clt_query, "", "");

SYMBOL_CRC(rtrs_clt_get_permit, 0xead97c5f, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x5750c7ab, "");
SYMBOL_CRC(rtrs_clt_open, 0x4883425a, "");
SYMBOL_CRC(rtrs_clt_close, 0xb5c3c012, "");
SYMBOL_CRC(rtrs_clt_request, 0x287dac77, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x6cb236f9, "");
SYMBOL_CRC(rtrs_clt_query, 0x98cecf3d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x926b41e5, "rtrs_addr_to_str" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa0d0cdd3, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x94c48a18, "dev_set_name" },
	{ 0x67029a33, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x32b0a394, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x16a0fa77, "rdma_resolve_addr" },
	{ 0x0aae5874, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x79f4b959, "rtrs_post_recv_empty" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xd0e3f712, "ib_dereg_mr_user" },
	{ 0xd0ccd9e5, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa0935165, "rtrs_iu_post_rdma_write_imm" },
	{ 0xe9437937, "rtrs_iu_post_send" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x982f90c7, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xee5a1458, "rtrs_rdma_dev_pd_init" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x14480c44, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d4bd015, "__rdma_create_kernel_id" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x24de4a7a, "put_device" },
	{ 0x9602acda, "rtrs_rdma_dev_pd_deinit" },
	{ 0xeaa0e473, "ib_register_event_handler" },
	{ 0x738803e6, "strnlen" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x0c6bcc58, "rdma_resolve_route" },
	{ 0xc2a4ec1f, "ib_unregister_event_handler" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x6d621d89, "rtrs_iu_free" },
	{ 0xdd77dd6b, "ib_map_mr_sg" },
	{ 0x849fc675, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x534794e1, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2f0d8d62, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xff3c02c8, "kobj_sysfs_ops" },
	{ 0xd0da8e2b, "rtrs_cq_qp_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0x7a8830ff, "rtrs_iu_post_recv" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x84f4a686, "kobject_init_and_add" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd14f4159, "sysfs_remove_file_self" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0xecdf111e, "device_del" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x110199e0, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc1ad77c4, "rdma_connect_locked" },
	{ 0xedbca807, "rdma_set_reuseaddr" },
	{ 0xc6de70d3, "kobject_create_and_add" },
	{ 0xe0f9c582, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0xb9831279, "kobject_del" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x197bbb40, "rdma_destroy_id" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd226981f, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x057071ea, "kobject_uevent" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb01fb42a, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb7f0cf56, "dma_unmap_sg_attrs" },
	{ 0x1ca85292, "rtrs_cq_qp_create" },
	{ 0xe0785c27, "rtrs_ib_dev_put" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7ef287bc, "rtrs_init_hb" },
	{ 0x0252db41, "rdma_consumer_reject_data" },
	{ 0xf8dcfb64, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xa8bb5935, "rtrs_send_hb_ack" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf9768222, "rtrs_iu_alloc" },
	{ 0xed0d3c8b, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x2f4fcf18, "dma_map_sg_attrs" },
	{ 0x92b57248, "flush_work" },
	{ 0x059a8b79, "kobject_put" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "B526B836AB82D195650C8B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
