#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_iu_alloc, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_free, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_recv, "_gpl", "");
KSYMTAB_FUNC(rtrs_post_recv_empty, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_send, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_rdma_write_imm, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_create, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_destroy, "_gpl", "");
KSYMTAB_FUNC(rtrs_send_hb_ack, "_gpl", "");
KSYMTAB_FUNC(rtrs_init_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_start_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_stop_hb, "_gpl", "");
KSYMTAB_FUNC(sockaddr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_sockaddr, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_init, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_deinit, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_put, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_find_or_add, "", "");

SYMBOL_CRC(rtrs_iu_alloc, 0xf9768222, "_gpl");
SYMBOL_CRC(rtrs_iu_free, 0x6d621d89, "_gpl");
SYMBOL_CRC(rtrs_iu_post_recv, 0x7a8830ff, "_gpl");
SYMBOL_CRC(rtrs_post_recv_empty, 0x79f4b959, "_gpl");
SYMBOL_CRC(rtrs_iu_post_send, 0xe9437937, "_gpl");
SYMBOL_CRC(rtrs_iu_post_rdma_write_imm, 0xa0935165, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_create, 0x1ca85292, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_destroy, 0xd0da8e2b, "_gpl");
SYMBOL_CRC(rtrs_send_hb_ack, 0xa8bb5935, "_gpl");
SYMBOL_CRC(rtrs_init_hb, 0x7ef287bc, "_gpl");
SYMBOL_CRC(rtrs_start_hb, 0xd226981f, "_gpl");
SYMBOL_CRC(rtrs_stop_hb, 0xf8dcfb64, "_gpl");
SYMBOL_CRC(sockaddr_to_str, 0xe0f9c582, "");
SYMBOL_CRC(rtrs_addr_to_str, 0x926b41e5, "");
SYMBOL_CRC(rtrs_addr_to_sockaddr, 0x67029a33, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_init, 0xee5a1458, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_deinit, 0x9602acda, "");
SYMBOL_CRC(rtrs_ib_dev_put, 0xe0785c27, "");
SYMBOL_CRC(rtrs_ib_dev_find_or_add, 0x14480c44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x8a27d432, "__ib_alloc_pd" },
	{ 0xc87b9809, "dma_unmap_page_attrs" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xf99afa56, "rdma_create_qp" },
	{ 0x49f26466, "kstrndup" },
	{ 0x534794e1, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x863f5911, "ib_cq_pool_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x76f7f4c5, "__ib_alloc_cq" },
	{ 0x83956c55, "rdma_notify" },
	{ 0x6b95647d, "inet_pton_with_scope" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbaf03fc2, "rdma_destroy_qp" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54e3367b, "ib_cq_pool_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xd05d4866, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdcd74a2c, "ib_dealloc_pd_user" },
	{ 0x349cba85, "strchr" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ib_core,rdma_cm");


MODULE_INFO(srcversion, "6BB5F36E141843009D358B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
