#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_destroy, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(md_idle_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_frozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_unfrozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_rdev_limits, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_new_rdev, "_gpl", "");
KSYMTAB_FUNC(mddev_update_io_opt, "_gpl", "");
KSYMTAB_FUNC(md_init_stacking_limits, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_free_cloned_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");

SYMBOL_CRC(md_cluster_ops, 0xe3b648ae, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0xe82f6c8a, "");
SYMBOL_CRC(mddev_suspend, 0x7a318647, "_gpl");
SYMBOL_CRC(mddev_resume, 0xe624d863, "_gpl");
SYMBOL_CRC(md_flush_request, 0xecaa1d89, "");
SYMBOL_CRC(mddev_init, 0xa6262078, "_gpl");
SYMBOL_CRC(mddev_destroy, 0x2d03eb47, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x152e95a7, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x3cb68eb1, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x6e8b57ff, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x4b50f9ec, "_gpl");
SYMBOL_CRC(sync_page_io, 0x77a4179c, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0xbed99ee4, "");
SYMBOL_CRC(md_integrity_register, 0xac8584d5, "");
SYMBOL_CRC(md_update_sb, 0xbbf99af2, "");
SYMBOL_CRC(md_rdev_init, 0x1b0834ac, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0xf2cee4c7, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0x20c81669, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0x5ab6a5d0, "_gpl");
SYMBOL_CRC(mddev_stack_rdev_limits, 0xf21b5c89, "_gpl");
SYMBOL_CRC(mddev_stack_new_rdev, 0xfe7d8bbc, "_gpl");
SYMBOL_CRC(mddev_update_io_opt, 0xf776331e, "_gpl");
SYMBOL_CRC(md_init_stacking_limits, 0x1bd0d71a, "_gpl");
SYMBOL_CRC(md_run, 0x93b8f26d, "_gpl");
SYMBOL_CRC(md_start, 0x7f4605c5, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x471e5544, "_gpl");
SYMBOL_CRC(md_stop, 0xcf6a2479, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0xc741b126, "");
SYMBOL_CRC(md_wakeup_thread, 0x88baf7f5, "");
SYMBOL_CRC(md_register_thread, 0xdabdea06, "");
SYMBOL_CRC(md_unregister_thread, 0x18d91ca9, "");
SYMBOL_CRC(md_error, 0xa82abe8e, "");
SYMBOL_CRC(register_md_personality, 0x48296447, "");
SYMBOL_CRC(unregister_md_personality, 0x27d555f2, "");
SYMBOL_CRC(register_md_cluster_operations, 0x7fae12be, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xf09e7d90, "");
SYMBOL_CRC(md_write_start, 0x81f59657, "");
SYMBOL_CRC(md_write_inc, 0xc65e80cb, "");
SYMBOL_CRC(md_write_end, 0x2f3232da, "");
SYMBOL_CRC(md_submit_discard_bio, 0xa78c484f, "_gpl");
SYMBOL_CRC(md_account_bio, 0x7c4c7310, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x37385904, "_gpl");
SYMBOL_CRC(md_allow_write, 0xe55f9f20, "_gpl");
SYMBOL_CRC(md_do_sync, 0x067de931, "_gpl");
SYMBOL_CRC(md_check_recovery, 0xe821cc44, "");
SYMBOL_CRC(md_reap_sync_thread, 0x75f48995, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x631d4218, "");
SYMBOL_CRC(md_finish_reshape, 0x2d1fda0b, "");
SYMBOL_CRC(rdev_set_badblocks, 0x6ccfb80a, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x2dfcaf1d, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x69a1728d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc5b3f0f, "set_capacity_and_notify" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x2b270a42, "set_disk_ro" },
	{ 0x64e47cd3, "__blk_alloc_disk" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x55e88381, "alloc_page_buffers" },
	{ 0xc9825415, "percpu_ref_is_zero" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7aaf506a, "__bio_add_page" },
	{ 0x4d7e3520, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x47c36f54, "proc_create" },
	{ 0xf11d43f9, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8235805b, "memmove" },
	{ 0x969faf42, "seq_release" },
	{ 0x9a146c37, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0xc59062d9, "badblocks_set" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5d802226, "queue_limits_stack_bdev" },
	{ 0x533df7bc, "fget" },
	{ 0x98ab1299, "sysfs_unbreak_active_protection" },
	{ 0x6423ac50, "invalidate_mapping_pages" },
	{ 0x0ed6cd71, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xf8838f00, "badblocks_exit" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x05309e7f, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xd156275c, "kernfs_notify" },
	{ 0x2ea43248, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x4bc73936, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x71445136, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xa4942c32, "bio_clone_blkg_association" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x0e069aea, "bioset_integrity_create" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1ff2dbca, "put_disk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdddb9d57, "percpu_ref_resurrect" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x5d127cd8, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x892114c6, "unregister_sysctl_table" },
	{ 0x3c9f9e37, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xefd38bfd, "sync_blockdev" },
	{ 0x36ad1ce7, "free_buffer_head" },
	{ 0x738803e6, "strnlen" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x8bd34d23, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x98884fe2, "submit_bio" },
	{ 0x2af21e81, "module_put" },
	{ 0xfe7a4ac6, "bio_start_io_acct" },
	{ 0x8ee474c5, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x00632780, "work_busy" },
	{ 0xe167d076, "bioset_exit" },
	{ 0x05536501, "__kmap_local_page_prot" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xd3c0282a, "flush_signals" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0x4a65afa1, "bio_put" },
	{ 0x2fa81464, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaad78ede, "fput" },
	{ 0x8ced3bf7, "kobject_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x897e958a, "sysfs_remove_link" },
	{ 0x15eca580, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7bbc1977, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x60843b7f, "blk_sync_queue" },
	{ 0x1cf1d300, "seq_file_path" },
	{ 0xd7ad7537, "kernfs_find_and_get_ns" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x7b793916, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x13e6a9ec, "__blk_trace_note_message" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xaf501223, "del_gendisk" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0xdacefab3, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xdb069643, "bdev_file_open_by_dev" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6e879e29, "bd_unlink_disk_holder" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6a06d2cc, "bio_init" },
	{ 0x419f71ae, "register_sysctl_sz" },
	{ 0x009c6c83, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xaf1a2746, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e1b813b, "kthread_create_on_node" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb9831279, "kobject_del" },
	{ 0xe421a1b3, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0x94ac1588, "bioset_init" },
	{ 0x3cdacf83, "file_path" },
	{ 0x262341bb, "kernfs_put" },
	{ 0x405218da, "sysfs_break_active_protection" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x4b0f6a18, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xfbcc09ec, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x057071ea, "kobject_uevent" },
	{ 0x626fa62e, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2dc1ce2f, "bd_link_disk_holder" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0xf5218d21, "queue_limits_commit_update" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc04e20c3, "percpu_ref_switch_to_atomic_sync" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0xd0f6fd36, "file_bdev" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x36bbd897, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x312b931d, "seq_open" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x2fe6e141, "badblocks_clear" },
	{ 0xff807665, "bmap" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1f6edb01, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3fc7672, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xa34e5302, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x92639069, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x92b57248, "flush_work" },
	{ 0x059a8b79, "kobject_put" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D81903D80F672184208CBFD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
