#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0xe5e81fac, "");
SYMBOL_CRC(cx88_querycap, 0xa35cbf40, "");
SYMBOL_CRC(cx88_enum_input, 0xc78c004b, "");
SYMBOL_CRC(cx88_set_freq, 0x02319ac2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x00e3088c, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe3d946bf, "vb2_dma_sg_memops" },
	{ 0x278f3cd7, "cx88_reset" },
	{ 0x5a6c2eca, "v4l2_ctrl_poll" },
	{ 0x3c47a2e7, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xee23f1d6, "cx88_wakeup" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x391a414a, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x4e2a4d30, "v4l2_ctrl_add_handler" },
	{ 0xa55bdc45, "v4l2_i2c_new_subdev_board" },
	{ 0xe79f7d7e, "cx88_set_scale" },
	{ 0x878aa762, "__pci_register_driver" },
	{ 0xa824a6a1, "cx88_shutdown" },
	{ 0x79ac47d8, "cx88_vdev_init" },
	{ 0x497f6c4d, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x17548f83, "vb2_ioctl_querybuf" },
	{ 0xf5ab7b08, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5aeddeea, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7df1585e, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5403a0d6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x71445136, "wake_up_process" },
	{ 0x96b5fce9, "cx88_core_get" },
	{ 0x3c28aad5, "cx88_get_stereo" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe24bc669, "cx88_ir_stop" },
	{ 0x43be5f9c, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f310764, "video_devdata" },
	{ 0x685e5657, "cx88_set_tvnorm" },
	{ 0xe5c13622, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x604f0d5b, "v4l2_ctrl_find" },
	{ 0xcc196561, "cx88_ir_start" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xd41c2203, "__v4l2_ctrl_s_ctrl" },
	{ 0x78a45afc, "vb2_plane_cookie" },
	{ 0xc3c2b41e, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1cc047ea, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc444cec0, "v4l2_fh_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x03fb3a77, "cx88_set_stereo" },
	{ 0xc41f35a5, "vb2_buffer_done" },
	{ 0xba56eda3, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd7009c83, "video_unregister_device" },
	{ 0xdacefab3, "kthread_stop" },
	{ 0xaeba96a5, "i2c_new_client_device" },
	{ 0x032b413f, "vb2_ioctl_qbuf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xbbc5c0d1, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x4ad44068, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x794a15aa, "vb2_fop_read" },
	{ 0x5f50da47, "cx88_sram_channel_dump" },
	{ 0x1e1b813b, "kthread_create_on_node" },
	{ 0x3c4e1026, "cx88_sram_channel_setup" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8647b5f9, "__video_register_device" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x8b0c05ce, "vb2_ioctl_streamon" },
	{ 0x2b1928b2, "vb2_fop_poll" },
	{ 0x3a479c1e, "v4l2_ctrl_new_std" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0xfecfa13f, "v4l2_i2c_new_subdev" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x41ef6942, "cx88_newstation" },
	{ 0x512387e4, "v4l2_event_unsubscribe" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeacfc386, "vb2_ioctl_reqbufs" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,cx88xx,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3AE15AA80EB64ED0E15F34A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
