#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0x16cac9bd, "");
SYMBOL_CRC(go7007_read_addr, 0x3a6b57c0, "");
SYMBOL_CRC(go7007_boot_encoder, 0x27d3d85c, "");
SYMBOL_CRC(go7007_register_encoder, 0x452e4245, "");
SYMBOL_CRC(go7007_parse_video_stream, 0x5619dc12, "");
SYMBOL_CRC(go7007_alloc, 0x6c6010e3, "");
SYMBOL_CRC(go7007_update_board, 0xbbb8c7e6, "");
SYMBOL_CRC(go7007_snd_init, 0x7d72b323, "");
SYMBOL_CRC(go7007_snd_remove, 0x603e55ef, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x00e3088c, "vb2_queue_init" },
	{ 0x3c47a2e7, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8f9bf515, "v4l2_device_put" },
	{ 0x391a414a, "vb2_ioctl_streamoff" },
	{ 0x8235805b, "memmove" },
	{ 0xb4bf5c21, "snd_pcm_new" },
	{ 0x594c3e48, "snd_card_register" },
	{ 0xa55bdc45, "v4l2_i2c_new_subdev_board" },
	{ 0x25bc467b, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbb83c3a6, "request_firmware" },
	{ 0x84784193, "v4l2_ctrl_handler_init_class" },
	{ 0x497f6c4d, "param_array_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x17548f83, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5aeddeea, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x1f310764, "video_devdata" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xe5c13622, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x48282e88, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x36169970, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9feda805, "__v4l2_ctrl_grab" },
	{ 0xc3c2b41e, "vb2_ioctl_dqbuf" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x14ff06e0, "v4l2_ctrl_new_custom" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x12d75082, "snd_card_free_when_closed" },
	{ 0xc41f35a5, "vb2_buffer_done" },
	{ 0x515ef241, "vb2_plane_vaddr" },
	{ 0xba56eda3, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0c98343c, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4b66ec66, "v4l2_event_subscribe" },
	{ 0x032b413f, "vb2_ioctl_qbuf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xbbc5c0d1, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x384a7cde, "snd_device_new" },
	{ 0x22e00d66, "vb2_vmalloc_memops" },
	{ 0x737bf7c1, "snd_pcm_set_managed_buffer_all" },
	{ 0x348c1f1c, "param_ops_charp" },
	{ 0x3212cb45, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x794a15aa, "vb2_fop_read" },
	{ 0xb0b4d237, "v4l2_device_register" },
	{ 0xe09c8694, "i2c_add_adapter" },
	{ 0x3cf972ef, "snd_card_disconnect" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0x8647b5f9, "__video_register_device" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b0c05ce, "vb2_ioctl_streamon" },
	{ 0x2b1928b2, "vb2_fop_poll" },
	{ 0x3a479c1e, "v4l2_ctrl_new_std" },
	{ 0x498783f6, "v4l2_ctrl_g_ctrl" },
	{ 0x8c4fbf4d, "v4l2_ctrl_handler_free" },
	{ 0xd34af192, "v4l2_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x316f2ace, "v4l2_subdev_call_wrappers" },
	{ 0xfed77dd4, "snd_pcm_period_elapsed" },
	{ 0xce1e4fa5, "v4l2_ctrl_log_status" },
	{ 0xbae23c93, "v4l2_event_queue" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0xefd74245, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x512387e4, "v4l2_event_unsubscribe" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xeacfc386, "vb2_ioctl_reqbufs" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,snd-pcm,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "95F2385FF693831B88047D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
