#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0x1ba6a45a, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0x6563b93c, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x5d4463f0, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x961b7238, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0xee7805f4, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x9b6a9274, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0xd3dca798, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0xd5496505, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0xd78320ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xfcc63690, "fwnode_property_read_u32_array" },
	{ 0xf6afc239, "fwnode_property_present" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x070f7896, "_printk" },
	{ 0x028a636d, "fwnode_graph_parse_endpoint" },
	{ 0x037a0cba, "kfree" },
	{ 0x1ff266af, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x52bc7ccc, "__dev_fwnode" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0x1de651da, "_dev_warn" },
	{ 0xeebab7d0, "fwnode_property_get_reference_args" },
	{ 0x0a273bdb, "__v4l2_async_nf_add_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x132eab9b, "fwnode_get_next_child_node" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7d537858, "fwnode_property_read_u64_array" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x5f2cb51b, "v4l2_async_subdev_nf_init" },
	{ 0xfa95ea6e, "v4l2_subdev_get_privacy_led" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x7d29be0b, "v4l2_subdev_put_privacy_led" },
	{ 0x5a8c4764, "v4l2_async_nf_cleanup" },
	{ 0xbcd51c7f, "is_acpi_data_node" },
	{ 0x48fcb8fc, "v4l2_async_nf_register" },
	{ 0x309c1826, "__v4l2_async_register_subdev" },
	{ 0xbd4936ba, "v4l2_async_nf_unregister" },
	{ 0x39a9365f, "fwnode_graph_get_port_parent" },
	{ 0x7948e649, "fwnode_graph_get_remote_port_parent" },
	{ 0xf3f6e2cf, "fwnode_get_name" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x62e7450e, "fwnode_graph_get_remote_endpoint" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "C24F7B8EF619B9F522BFBDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
