#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_uhs2_dump_regs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_clear_set_irqs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_remove_host, "_gpl", "");

SYMBOL_CRC(sdhci_uhs2_dump_regs, 0x67aa6912, "_gpl");
SYMBOL_CRC(sdhci_uhs2_reset, 0x3dbf6b8e, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_power, 0x146c3379, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_timeout, 0x22fb2433, "_gpl");
SYMBOL_CRC(sdhci_uhs2_clear_set_irqs, 0x639721de, "_gpl");
SYMBOL_CRC(sdhci_uhs2_irq, 0x44417c2a, "_gpl");
SYMBOL_CRC(sdhci_uhs2_add_host, 0x91d37f88, "_gpl");
SYMBOL_CRC(sdhci_uhs2_remove_host, 0x462f14ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd039e1b8, "__sdhci_set_timeout" },
	{ 0x9e5b5a05, "mmc_regulator_set_ocr" },
	{ 0xfcf2c5f7, "mmc_regulator_set_vqmmc2" },
	{ 0x03082f95, "sdhci_get_vdd_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc2c9e0f7, "sdhci_remove_host" },
	{ 0x8ba72144, "sdhci_setup_host" },
	{ 0x4779c368, "__sdhci_add_host" },
	{ 0x0a5b9be8, "sdhci_cleanup_host" },
	{ 0x35f18563, "regulator_get_current_limit" },
	{ 0x7f005712, "sdhci_data_line_cmd" },
	{ 0x33d00c49, "sdhci_initialize_data" },
	{ 0x581d08cf, "sdhci_prepare_dma" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xad7846d1, "sdhci_mod_timer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x289f9271, "sdhci_present_error" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb9dc3b1a, "sdhci_dumpregs" },
	{ 0xf03bd957, "sdhci_finish_mrq" },
	{ 0x6ff977f1, "sdhci_request" },
	{ 0x04413c71, "__sdhci_finish_mrq" },
	{ 0x0b2575c2, "__sdhci_finish_data_common" },
	{ 0x2c33543c, "mmc_command_done" },
	{ 0x7fc48690, "sdhci_needs_reset" },
	{ 0xd36d179a, "sdhci_request_done_dma" },
	{ 0x73a04a46, "sdhci_do_reset" },
	{ 0xab317282, "mmc_request_done" },
	{ 0x2310072f, "mmc_detect_change" },
	{ 0x9b1d369c, "sdhci_thread_irq" },
	{ 0x3ee3b87c, "sdhci_complete_work" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1e145787, "sdhci_set_ios_common" },
	{ 0x0ba61ed5, "sdhci_set_clock" },
	{ 0xfcb81d7f, "sdhci_enable_preset_value" },
	{ 0xe88c59a1, "sdhci_set_ios" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");


MODULE_INFO(srcversion, "299B41F5CD50B61E53A4431");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
