#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x04626122, "");
SYMBOL_CRC(vnic_dev_get_res, 0x6721dda3, "");
SYMBOL_CRC(vnic_dev_unregister, 0x003a1756, "");
SYMBOL_CRC(vnic_dev_register, 0xe8243b07, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0xfbe22171, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0xace73105, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8dab765, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd72a8031, "pci_find_ext_capability" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0x6678d509, "skb_put" },
	{ 0x6dfa5e7f, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc3dd4414, "pci_enable_device_mem" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0xc1ca74f2, "pci_iomap" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5ff1611c, "unregister_netdev" },
	{ 0xc87b9809, "dma_unmap_page_attrs" },
	{ 0x878aa762, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc8394800, "pci_disable_msi" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x1e205108, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xd7b699c9, "netif_napi_add_weight_locked" },
	{ 0x780bbce0, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5403a0d6, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0x4b45a999, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0x67ad18b9, "eth_type_trans" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0xbd5c9b9e, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc4314ab7, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x450fa1f9, "__hw_addr_unsync_dev" },
	{ 0xef6d08a6, "napi_gro_receive" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf459212b, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x849fc675, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xa665e96f, "pci_enable_msi" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe2d54fa4, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb78eccb7, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd7d8e9bb, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5aae4496, "dev_close" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x1d9044bc, "dma_alloc_attrs" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x1a7927c8, "napi_enable" },
	{ 0x8dada1a8, "netif_receive_skb" },
	{ 0x51813ef6, "nla_put" },
	{ 0x9d1cb423, "register_netdev" },
	{ 0x133663bc, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd345bb16, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x3e9ba4a5, "netif_set_xps_queue" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x459e9a12, "netif_tx_wake_queue" },
	{ 0x0b19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2fcf967c, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d1c023b, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x0bb09af4, "rps_may_expire_flow" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x51ba7500, "call_netdevice_notifiers" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7c784e33, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0xd8a712a9, "__hw_addr_sync_dev" },
	{ 0xb02daa80, "pci_disable_sriov" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x47e21b18, "netif_carrier_on" },
	{ 0xd2726a1f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x1f96650e, "__skb_flow_dissect" },
	{ 0xc8267cbe, "__napi_schedule_irqoff" },
	{ 0x25eea646, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0c7f053, "napi_disable" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2a3cdb24, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x9aaf41d3, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A6EAA62954819219AD5B96");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
