#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x0e152020, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xc6b4d1e1, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x0fc8d037, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x543e8163, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x8cd3dcda, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x3fb1db53, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x2b73dce2, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x2ff72f29, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x3520b6bc, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xc2b74aa0, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xdb41e514, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x7c214d9d, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x2a0ad163, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xaf964e63, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xaeaaa3ba, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x6b536a5e, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xacb9fbdf, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xc7ce9750, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xf8604449, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x7058ca1b, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x9623fe97, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xef7f58e4, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x3324146d, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x3b298e0c, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xa985392c, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x6f114132, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xc1dabe14, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x8040ba20, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xcefa2ad2, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xfa0f2a86, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x0084e3a2, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x7986e541, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xb06aab1e, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x76326ba4, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x31338bc5, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xef39e60e, "");
SYMBOL_CRC(mlx4_test_async, 0x77c67390, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x30ce107a, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x8a24a4f9, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xf7c839d8, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xc1c4ca17, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x711aa280, "");
SYMBOL_CRC(mlx4_assign_eq, 0x21793b99, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xfe419505, "");
SYMBOL_CRC(mlx4_release_eq, 0xd114ba24, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x55af02c1, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xfb72cd37, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xa549e3d8, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x53bdda60, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x9c7a1912, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xce317a0a, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x843e3025, "");
SYMBOL_CRC(mlx4_wol_read, 0xca881cd2, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x2b867e4e, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x20f675f4, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x3639908a, "");
SYMBOL_CRC(set_phv_bit, 0x8cc4b3d3, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xf029fc31, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xf8c893b6, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xb062fbf3, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xbefebbcb, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x2b395d6a, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xc26b5887, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x79c48ba9, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x173be94a, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xceb769ce, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x05d24522, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xf834e636, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x02ba08f5, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xa5440d1d, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x151e3588, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x682ef201, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xd0a01e0a, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xc8c312a6, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xe4adb5b0, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x411a0fb5, "");
SYMBOL_CRC(mlx4_read_clock, 0x70b41eaa, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x90726721, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xb2866024, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x7da96253, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xba980279, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x3920ce18, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xf893ec2f, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x15b276b7, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x98661469, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xd9fac8b5, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x9bcb4086, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x911f3464, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xa4f00682, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xc2b14799, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xf4cb0a79, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x539908db, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x16b15a8c, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xd9245c65, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xc3be981e, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x4484f58a, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x136f7c3b, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xb820d478, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xf0f91cc9, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x72f12ef3, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x946d04da, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xf2833727, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0xf4a25614, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xb1172a44, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x4d8c0544, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x63a07386, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xb96d610f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x920293ae, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x628e6045, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xd1c78ff8, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x5e9d450f, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xcff5a4ef, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xc04be141, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x24635897, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x12199486, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x3248c027, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xacfac2ae, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x050447ce, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x8d015d97, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x9167fd55, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x77d20123, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xab568d00, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x2e0760e6, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x56fd34ca, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xa86e5d68, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x40a0d3d9, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xd7d7380e, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x2fb5f764, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x1af20299, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x3bef361c, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xa15509bf, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xfa21bcb1, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x9c954f4b, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xf6f5097e, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x2e2a1f2d, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x10f427db, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xbfa55bbd, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x3042f3f1, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xf6f2500c, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x1f40727e, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x9a3deca1, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xc804d08a, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xf25e0239, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x6e6ceb92, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xf432b295, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x1e02d09c, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xf939cc13, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xbae455b9, "");
SYMBOL_CRC(mlx4_get_module_info, 0x0d42f286, "");
SYMBOL_CRC(mlx4_max_tc, 0x508cbc90, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x9555e8ce, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xa257cdf8, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x69488884, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xc22fd27d, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x6dbabc9d, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x26085149, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x1ce8dc77, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x5e0c07ee, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xba63b303, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x047f9198, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xbcb3d57d, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xbe904b82, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xd6c94873, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x4294895b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54e331b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4a9bbe76, "pcie_capability_write_word" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a3c9c6b, "devl_region_create" },
	{ 0x074e3983, "devlink_unregister" },
	{ 0xa245615a, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x95bd5340, "auxiliary_device_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x49ce4bfb, "devlink_region_snapshot_id_get" },
	{ 0x967ff476, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x878aa762, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x7c312bff, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x497f6c4d, "param_array_ops" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb7f787e7, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x4841b6ae, "pci_sriov_get_totalvfs" },
	{ 0x0964242c, "devlink_register" },
	{ 0x6412b761, "devlink_port_type_clear" },
	{ 0x2870058d, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4c6c3ddc, "param_ops_byte" },
	{ 0x2d158ced, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0b8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5403a0d6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x130a8c67, "iomap_free" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x07e360b3, "auxiliary_driver_unregister" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0xb7328645, "__alloc_pages_noprof" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x71af07e6, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe0879074, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x24de4a7a, "put_device" },
	{ 0xc4314ab7, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x738803e6, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6dded84f, "__free_pages" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x19d21bd0, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x849fc675, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x5af8e078, "down_write" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0x534794e1, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x189a130c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41f1a06a, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb70d2cfa, "iomap_create_wc" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x1d9044bc, "dma_alloc_attrs" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x05ae6cb8, "devl_params_register" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0xecdf111e, "device_del" },
	{ 0x66a7947e, "devl_param_driverinit_value_set" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x3c89808e, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x45d5c7d7, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xa952200a, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d1c023b, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0x9b725006, "devl_assert_locked" },
	{ 0xe57d6d34, "pcie_print_link_status" },
	{ 0x1e74b0b3, "devl_port_unregister" },
	{ 0xf816c0af, "devl_param_driverinit_value_get" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6e2b7b1f, "devlink_priv" },
	{ 0xb02daa80, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd2726a1f, "pci_disable_msix" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0x740b597f, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xb7f0cf56, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd0d8621b, "strlen" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0xe9ec4b86, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x2a3cdb24, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x554ea94c, "device_remove_file" },
	{ 0x2f4fcf18, "dma_map_sg_attrs" },
	{ 0xdd0f9929, "devl_param_value_changed" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FD3B380A8BE9456BE066421");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
