#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_fc_local_create, "", "");
KSYMTAB_FUNC(mlx5_fc_local_destroy, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x3fc19eb4, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x5ac445a6, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x09c79caa, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xc3e50d41, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x5efd9abf, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x68ab5317, "");
SYMBOL_CRC(mlx5_cmd_check, 0xcf9fe99a, "");
SYMBOL_CRC(mlx5_cmd_do, 0xa3589605, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x006dc449, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x7224d4fe, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xc1e1ded8, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x5cfd8157, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x9e0ccc28, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xd0de118b, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xbd208af7, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x7f3402c8, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x9bfa0afa, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xd22ec482, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x693ca9bf, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xc36d4ace, "");
SYMBOL_CRC(mlx5_eq_enable, 0xccf5d8a1, "");
SYMBOL_CRC(mlx5_eq_disable, 0x4ea92f36, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xf08cdd25, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x839c58c4, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xd277949e, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x0b95a3f5, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x6ee345a6, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xfa271240, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x8d494f30, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x073ccea1, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xf54fd4ef, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x2c5b6369, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x64397f07, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xdc9f5931, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x7d505262, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x6c6e7854, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x1a7d9f4c, "");
SYMBOL_CRC(mlx5_create_cq, 0xc26e823e, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x34e128ae, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xe1a98292, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x90903b84, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xaa03035a, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x7acaa104, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x5cf8f863, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x50cbad81, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xeea0505e, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x58982a37, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x25160f27, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xed410c38, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xe3e5f28e, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xf133f2c3, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xe483057f, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x5c822471, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xbde93f6b, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x8b14f4e7, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x3e67db36, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xb57603c9, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x9f88c6e8, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x8a3014b8, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x3126368e, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xd642e914, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x4ac70425, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x4e7ca004, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x23e3d822, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x4a4be08b, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xc7b1cb8e, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x00221dac, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x42136816, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xd85e9ff0, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x0e03fa05, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x18b5e08a, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x3494e68c, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x92a069c3, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x3646e414, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xf3c82ce9, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x39bcc71c, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xf341a1a9, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x4db80443, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x42f572df, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xa695dcb3, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x30cb31bd, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x8494e7dc, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xadf3f445, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xabe40ac1, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x68d4ff1b, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xa3b4ff87, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x2018cc14, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x66b56497, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xdc83599e, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x72592c69, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x8ec2b9e3, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x589d22a3, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x80bfb3c4, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xed35ab12, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xae59ffa5, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x21045015, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x8dbc381e, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x175ec461, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x5690d4e2, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x52c87118, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x979b7fd6, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x54bace74, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xad94dbda, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xe0d46a59, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x1b71612e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x098046d0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xb878c8df, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xe3e01d71, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xd5e7a410, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x7ddcdc78, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xccb681de, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x8b76eabf, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xeee2ee1e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x60c580c0, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xdccde2d4, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x5dea1714, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x0850ce0b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x833ba01b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x1fd1219c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xd6f98155, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x968c6a67, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x1fbafbab, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x29d4a5a1, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xc239f29a, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x70394a76, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xca832f7a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x75d3c36e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x7b891757, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x02a6b9cc, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x9a9ca84b, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x19d9f710, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xd3a9dbce, "");
SYMBOL_CRC(mlx5_flow_table_id, 0x89a0a736, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xdf8fcc07, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xcb44643f, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xbd9b0771, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x755fe936, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x59c6f63b, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x98f05a08, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x4ca15b1b, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x4441b5a1, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xcd7b6be2, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x128815ab, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x4f4b1687, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x2db1c36a, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x37917b63, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xa82b5383, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x3be16838, "");
SYMBOL_CRC(mlx5_fc_create, 0xdaf28e47, "");
SYMBOL_CRC(mlx5_fc_id, 0x83f46209, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x2ec11f8e, "");
SYMBOL_CRC(mlx5_fc_query, 0xdb33ebb8, "");
SYMBOL_CRC(mlx5_fc_local_create, 0xdab8612a, "");
SYMBOL_CRC(mlx5_fc_local_destroy, 0xc2f86118, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xee3ed91c, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x78d23c6b, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xde0aa89f, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xb4975c66, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x832cf236, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xec801dbd, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x59e8fc6f, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xfde3a5d8, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x504e14e3, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xba8dc9f2, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x8971bc3b, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x3991d005, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xad650f9a, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x1520fef3, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x434df15c, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x52d71b6d, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x60d5f9e5, "");
SYMBOL_CRC(mlx5_notifier_register, 0xc52e691b, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xda698a8b, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x686698a7, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x58a304fd, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x7dc7d027, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x3443f8fe, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x9bc673a8, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xc35bda1d, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x19182ed8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x0e945749, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb00c991b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xa18938dd, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x78f76f4a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x02c371df, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd1e3d889, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x354470e6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x774c09b4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xc49033bd, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xeeb7b170, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xc3906da2, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xa356d496, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xaea4a079, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x1684df20, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x2871247d, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x8b3d2e76, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x26aef7ba, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x73d59b6e, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x78a4ffb7, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x5c6ed5d0, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x69b490a6, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x7906c835, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xc10e7917, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x9605eeb5, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xaddf721c, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x5933a5d7, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xa2c3dbb4, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xe412f84b, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x028ebb43, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x778b34c9, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xab898640, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x48b5069a, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xccbf0d23, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xbbbc0edb, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x3bf08bed, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x7caaac6b, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x2303d742, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x56ecbadb, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x53a11b0c, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x23e2431a, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x4d102f88, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x2369cacd, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xb687d45b, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xe6737768, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x43536a65, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39f5283b, "free_fib_info" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x25eea646, "napi_schedule_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xeab23e43, "devlink_port_attrs_pci_vf_set" },
	{ 0x037a0cba, "kfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x41f22e37, "xsk_clear_tx_need_wakeup" },
	{ 0xcacd4683, "bpf_trace_run5" },
	{ 0x2fcf967c, "__netif_napi_del_locked" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7d281265, "dcb_ieee_delapp" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xff9cb481, "pci_iov_get_pf_drvdata" },
	{ 0x09da0ba4, "xa_set_mark" },
	{ 0xe7dfb047, "kmem_cache_free" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x837685f1, "xp_raw_get_data" },
	{ 0x02c81caa, "blocking_notifier_call_chain" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xf816c0af, "devl_param_driverinit_value_get" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xedc03953, "iounmap" },
	{ 0x023967b1, "xas_find" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xffb7c514, "ida_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x4880a569, "flow_rule_match_enc_control" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x6a533f99, "netdev_update_features" },
	{ 0xc4430842, "__inet_lookup_established" },
	{ 0x09d2f49e, "tls_get_record" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x00aa2b73, "devlink_trap_report" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7d1c023b, "dma_set_coherent_mask" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x5403a0d6, "pci_unregister_driver" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0dc1a78c, "bin2hex" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x74d92429, "flow_rule_match_enc_ip" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x192645d5, "___pskb_trim" },
	{ 0x347c0f6d, "flow_rule_match_tcp" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xbd5c9b9e, "napi_complete_done" },
	{ 0x6927f2be, "debugfs_attr_write" },
	{ 0x05ae6cb8, "devl_params_register" },
	{ 0x5d32d106, "skb_add_rx_frag_netmem" },
	{ 0x24d273d1, "add_timer" },
	{ 0x6e2b7b1f, "devlink_priv" },
	{ 0x44b4e1d1, "xp_alloc_batch" },
	{ 0x1af267f8, "int_pow" },
	{ 0x878aa762, "__pci_register_driver" },
	{ 0xdfe4950d, "pci_msix_vec_count" },
	{ 0x558d4412, "bpf_prog_add" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x15612c65, "debugfs_create_dir" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x108141fa, "pcie_capability_read_word" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xd1ae1c8e, "debugfs_create_x32" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x686823aa, "devl_port_fn_devlink_set" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x29f3a126, "up_read" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0xce3a9c89, "dev_printk_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x01281003, "devlink_fmsg_binary_put" },
	{ 0xfb9f537c, "dev_add_pack" },
	{ 0xb8dab765, "alloc_etherdev_mqs" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x21177694, "pci_msix_alloc_irq_at" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0xc385c545, "ptp_clock_unregister" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6dfa5e7f, "skb_tstamp_tx" },
	{ 0xacbd9c4d, "ipv6_find_hdr" },
	{ 0x47e21b18, "netif_carrier_on" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x459e9a12, "netif_tx_wake_queue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0x7fbd1425, "auxiliary_device_sysfs_irq_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x534794e1, "init_net" },
	{ 0x2a3cdb24, "pci_enable_sriov" },
	{ 0xf745b369, "tls_validate_xmit_skb" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0x23f18a70, "ktime_get_snapshot" },
	{ 0x3c495648, "debugfs_remove" },
	{ 0x3e9ba4a5, "netif_set_xps_queue" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1e74b0b3, "devl_port_unregister" },
	{ 0x189a130c, "__auxiliary_device_add" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x00c77da3, "netdev_master_upper_dev_get_rcu" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xde80cd09, "ioremap" },
	{ 0x0745a981, "xa_erase" },
	{ 0x81657f61, "xdp_do_redirect" },
	{ 0x08b69646, "psample_sample_packet" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x738803e6, "strnlen" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xddc5a516, "devlink_port_attrs_set" },
	{ 0xdea3e449, "flow_rule_match_mpls" },
	{ 0x849fc675, "__dma_sync_single_for_cpu" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb8cbffa2, "flow_rule_match_enc_ports" },
	{ 0x5e7b0b0d, "rhltable_init_noprof" },
	{ 0x80284e76, "devl_resources_unregister" },
	{ 0x418c08e7, "page_pool_put_unrefed_netmem" },
	{ 0x6678d509, "skb_put" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0xfc5793f5, "xp_dma_map" },
	{ 0x5d303e0a, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc0993d2e, "hwmon_device_unregister" },
	{ 0xd70fefd5, "__xdp_rxq_info_reg" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x074e3983, "devlink_unregister" },
	{ 0x132a241c, "dst_release" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xe3aa6b60, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x8bb1ecb1, "udp4_hwcsum" },
	{ 0x9d788642, "xp_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x9318273b, "xdp_master_redirect" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x01b6865c, "xa_get_mark" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xc282cf87, "secpath_set" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0x5af8e078, "down_write" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x618911fc, "numa_node" },
	{ 0x349cba85, "strchr" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x455bddf2, "unregister_netdevice_notifier_net" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa952200a, "devl_unlock" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0xb4d6cc65, "pci_cfg_access_lock" },
	{ 0x688f510d, "bpf_trace_run4" },
	{ 0xf7ee8b64, "pcie_bandwidth_available" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xcb684551, "ptp_schedule_worker" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x8cdd2467, "param_ops_uint" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xc30df913, "ptp_find_pin" },
	{ 0x3f643fe0, "flow_rule_match_ip" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x50934764, "pci_request_regions" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0xcf2a6966, "up" },
	{ 0x35118798, "pci_enable_ptm" },
	{ 0x0e664f62, "down_read_trylock" },
	{ 0xee2756d5, "metadata_dst_alloc" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x619deb41, "xsk_tx_release" },
	{ 0x15830f68, "devl_trap_groups_register" },
	{ 0x1ee678d1, "pcie_capability_clear_and_set_word_locked" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xd345bb16, "ethtool_op_get_link" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xa6257a2f, "complete" },
	{ 0x05e29ca2, "bitmap_from_arr64" },
	{ 0x3fe595ac, "xsk_tx_completed" },
	{ 0x1dc204df, "page_pool_put_unrefed_page" },
	{ 0x07e360b3, "auxiliary_driver_unregister" },
	{ 0x72126e5e, "devl_resource_register" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x83ddb24d, "pci_msix_can_alloc_dyn" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x4b45a999, "netdev_err" },
	{ 0xe3970d66, "udp_tunnel_nic_ops" },
	{ 0x130c6b3d, "flow_rule_match_eth_addrs" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x2fdf9b34, "flow_rule_match_enc_keyid" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x5152e605, "memcmp" },
	{ 0x72592123, "page_pool_get_stats" },
	{ 0xc5999edf, "bpf_prog_inc" },
	{ 0xb1855dc5, "hwmon_device_register_with_info" },
	{ 0x46582c7e, "pci_enable_atomic_ops_to_root" },
	{ 0x738d8ebc, "flow_rule_match_ct" },
	{ 0xd0d8621b, "strlen" },
	{ 0xef6d08a6, "napi_gro_receive" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x8915bcc1, "netdev_lower_get_next" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72936199, "netdev_set_tc_queue" },
	{ 0x861a03a6, "debugfs_create_atomic_t" },
	{ 0x52c8fdba, "register_netdevice_notifier_dev_net" },
	{ 0x50b3edce, "debugfs_create_u32" },
	{ 0x3a7a676f, "flow_rule_match_ipv4_addrs" },
	{ 0xd1980120, "bpf_prog_put" },
	{ 0x00632780, "work_busy" },
	{ 0x9d1cb423, "register_netdev" },
	{ 0xd7d8e9bb, "netif_set_real_num_rx_queues" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x1de651da, "_dev_warn" },
	{ 0xb7328645, "__alloc_pages_noprof" },
	{ 0x403b7839, "atomic64_dec_return_cx8" },
	{ 0xd57e225c, "xfrm_replay_seqhi" },
	{ 0x0de07004, "skb_pull" },
	{ 0x4841b6ae, "pci_sriov_get_totalvfs" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2870058d, "devlink_free" },
	{ 0xcd279169, "nla_find" },
	{ 0xf7b00d64, "skb_coalesce_rx_frag" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x3c89808e, "__kmalloc_cache_node_noprof" },
	{ 0x9709dbc5, "current_work" },
	{ 0x9022d293, "metadata_dst_free" },
	{ 0xb889cfab, "kmem_cache_destroy" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0xb02daa80, "pci_disable_sriov" },
	{ 0x83808641, "flow_rule_match_enc_opts" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1e956fab, "page_pool_update_nid" },
	{ 0x1a48c95d, "devl_health_reporter_create" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x2ab5badc, "ip_route_output_flow" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8b732f91, "ptp_clock_register" },
	{ 0x2d88b355, "napi_build_skb" },
	{ 0x0b0882e5, "pci_find_capability" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaa43d5bd, "page_pool_destroy" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x3be10ec2, "flow_block_cb_free" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x0195cfd2, "__dynamic_netdev_dbg" },
	{ 0xbc8e150f, "xsk_tx_peek_desc" },
	{ 0x6c88f5c9, "flow_rule_match_ports" },
	{ 0xb5d1d38c, "skb_checksum" },
	{ 0x15684c00, "xdp_set_features_flag" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4869716b, "__inet6_lookup_established" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaa2a72bf, "__iowrite64_copy" },
	{ 0xe3bb092f, "page_pool_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0xb7f787e7, "devlink_alloc_ns" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xb78171c6, "devlink_port_register_with_ops" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x0111e989, "ip6_dst_hoplimit" },
	{ 0x7c784e33, "netif_carrier_off" },
	{ 0x7722dba8, "single_open" },
	{ 0xbf1e7dee, "devlink_port_attrs_pci_pf_set" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0e73ed44, "devl_traps_unregister" },
	{ 0x4dd10fb1, "devl_port_health_reporter_create" },
	{ 0xecdf111e, "device_del" },
	{ 0xca5242db, "pci_msix_free_irq" },
	{ 0x6cf10c3a, "vlan_dev_real_dev" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x9c8345ea, "dev_get_port_parent_id" },
	{ 0x81e9406b, "xsk_set_rx_need_wakeup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x24de4a7a, "put_device" },
	{ 0xdda430b4, "single_release" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0x66a7947e, "devl_param_driverinit_value_set" },
	{ 0x0b19b445, "ioread8" },
	{ 0xbcf3496d, "simple_attr_open" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x809912bb, "qdisc_reset" },
	{ 0x8b26d340, "flow_indr_dev_unregister" },
	{ 0x1108cb5d, "xsk_clear_rx_need_wakeup" },
	{ 0x17b280cf, "__kmalloc_node_noprof" },
	{ 0xd7b699c9, "netif_napi_add_weight_locked" },
	{ 0xbd0d5c1d, "netdev_port_same_parent_id" },
	{ 0x1c9fd445, "flow_rule_match_ipv6_addrs" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x40ca681e, "register_netdevice_notifier_net" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xcccc4de6, "netdev_master_upper_dev_get" },
	{ 0xb2ef7f61, "flow_rule_match_icmp" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa32a6d32, "dev_get_by_index_rcu" },
	{ 0x0f905d83, "pci_iov_vf_id" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x9aaf41d3, "netdev_info" },
	{ 0x5d34455a, "devlink_port_health_reporter_create" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf9459a99, "debugfs_create_size_t" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x418fcc7c, "skb_vlan_pop" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0x307ca5dd, "napi_consume_skb" },
	{ 0xe2e29057, "netif_device_attach" },
	{ 0x781039c5, "devl_register" },
	{ 0xaa173b39, "up_write" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xf59a4848, "irq_get_irq_data" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf6319d3e, "bpf_warn_invalid_xdp_action" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xb78eccb7, "netif_set_real_num_tx_queues" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0x7306148c, "skb_store_bits" },
	{ 0x6626afca, "down" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0xe9c01426, "xsk_uses_need_wakeup" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x3db09023, "devlink_health_reporter_create" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x90ee9713, "net_dim" },
	{ 0x5ff1611c, "unregister_netdev" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xe9b3f296, "__napi_schedule" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x740b597f, "__auxiliary_driver_register" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x2667f2d7, "__neigh_create" },
	{ 0xe0879074, "priv_to_devlink" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xf83f84a0, "devl_rate_leaf_destroy" },
	{ 0x748d4df1, "__dev_queue_xmit" },
	{ 0x405f4083, "__kmem_cache_create_args" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x1eeb63f9, "xp_dma_unmap" },
	{ 0xd7269dd9, "vlan_dev_vlan_proto" },
	{ 0x6cf966f2, "xdp_convert_zc_to_xdp_frame" },
	{ 0x14a091d6, "flow_rule_match_vlan" },
	{ 0x29af538e, "netdev_set_num_tc" },
	{ 0xc3c49dd4, "netdev_reset_tc" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x8aaef3c8, "devlink_port_unregister" },
	{ 0x8902b979, "xdp_rxq_info_unused" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x070f7896, "_printk" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x0bb09af4, "rps_may_expire_flow" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9b725006, "devl_assert_locked" },
	{ 0xe57d6d34, "pcie_print_link_status" },
	{ 0x3692d0b3, "xfrm_state_check_expire" },
	{ 0x49d2b50c, "devlink_remote_reload_actions_performed" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xd34e98fa, "debugfs_create_file_full" },
	{ 0xe2d54fa4, "softnet_data" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x133663bc, "free_netdev" },
	{ 0x780bbce0, "netdev_warn" },
	{ 0x17a9bbaf, "xdp_rxq_info_unreg" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x5bd3359c, "devl_traps_register" },
	{ 0xe76fb033, "bpf_trace_run7" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xa5081172, "call_switchdev_notifiers" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0x135d0bb0, "flow_indr_block_cb_alloc" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xb7f3aa38, "devl_nested_devlink_set" },
	{ 0x3d128cb1, "debugfs_attr_read" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0xe243b141, "neigh_lookup" },
	{ 0xe9af7397, "__xa_set_mark" },
	{ 0x30e7f987, "dev_get_by_index" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x967ff476, "devl_lock" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0x27734c13, "auxiliary_device_sysfs_irq_add" },
	{ 0x312b931d, "seq_open" },
	{ 0x263b6573, "pci_cfg_access_unlock" },
	{ 0x39ebde5a, "eth_get_headlen" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x2cfff72e, "register_fib_notifier" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2a028371, "request_firmware_direct" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0x87294273, "netif_queue_set_napi" },
	{ 0x1e1ee384, "__ethtool_get_link_ksettings" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0xc2552440, "flow_rule_match_basic" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xec9852ae, "napi_alloc_skb" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x7cff30ba, "dev_remove_pack" },
	{ 0xa2b7bcbc, "netif_set_tso_max_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6f9b9702, "netif_schedule_queue" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd0c7f053, "napi_disable" },
	{ 0x2c230b65, "ptp_clock_index" },
	{ 0x76b25191, "netdev_pick_tx" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x9d403fb6, "flow_block_cb_alloc" },
	{ 0xedbd4c53, "devlink_port_attrs_pci_sf_set" },
	{ 0xdc044a74, "flow_block_cb_lookup" },
	{ 0x7c312bff, "pci_num_vf" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xece784c2, "rb_first" },
	{ 0x38dbbb07, "ipv6_stub" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x22d47170, "xp_alloc" },
	{ 0xa5c3c563, "__dev_get_by_index" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc87b9809, "dma_unmap_page_attrs" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xd113a501, "xsk_set_tx_need_wakeup" },
	{ 0x82ba93ff, "xp_raw_get_dma" },
	{ 0x71eec546, "skb_ext_add" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xbf14f89d, "pci_reset_bus" },
	{ 0x0728a89e, "mlxfw_firmware_flash" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd6cdf354, "flow_rule_match_meta" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x32b46672, "kmem_cache_alloc_noprof" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x07d50a24, "csum_partial" },
	{ 0x8972768c, "atomic64_dec_if_positive_cx8" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x969faf42, "seq_release" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0x95bd5340, "auxiliary_device_init" },
	{ 0xc7e2edcf, "devl_rate_leaf_create" },
	{ 0x1d9044bc, "dma_alloc_attrs" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x71a9daaf, "devl_rate_nodes_destroy" },
	{ 0x1f96650e, "__skb_flow_dissect" },
	{ 0x5db91e55, "dcb_ieee_setapp" },
	{ 0x2d63d694, "ptp_clock_event" },
	{ 0xd96d84da, "xdp_rxq_info_is_reg" },
	{ 0x337b4495, "netif_carrier_event" },
	{ 0x00aa1603, "xa_find" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xc043d64e, "pci_disable_ptm" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6638d158, "unregister_fib_notifier" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa245615a, "dma_pool_create" },
	{ 0x0ddb7161, "flow_indr_dev_register" },
	{ 0xa63c6481, "debugfs_create_u64" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8deb4af8, "xdp_return_frame_bulk" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0x7a5453fc, "page_pool_alloc_pages" },
	{ 0xa5534517, "xp_set_rxq_info" },
	{ 0x499c2773, "netif_device_detach" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x01c9f01e, "pcie_relaxed_ordering_enabled" },
	{ 0x05ecc312, "simple_attr_release" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xac0f6d10, "xdp_return_frame" },
	{ 0x9297d3ec, "devl_unregister" },
	{ 0x6dded84f, "__free_pages" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x54d43992, "devlink_net" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x862258db, "timecounter_init" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xd8ad0b89, "unregister_netdevice_notifier_dev_net" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa5510c21, "xdp_rxq_info_reg_mem_model" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x5d75c666, "flow_rule_match_control" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2a8d8076, "netdev_printk" },
	{ 0x41f1a06a, "devl_port_register_with_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe483d5cf, "sock_gen_put" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x67ad18b9, "eth_type_trans" },
	{ 0xe2439ee3, "debugfs_create_u8" },
	{ 0x1a7927c8, "napi_enable" },
	{ 0x896b9e86, "devl_trap_groups_unregister" },
	{ 0xdd745464, "cancel_work" },
	{ 0x539967cf, "flow_rule_match_cvlan" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0xc195c0e9, "ndo_dflt_bridge_getlink" },
	{ 0x692ecd7c, "__neigh_event_send" },
	{ 0xb26b9566, "flow_block_cb_setup_simple" },
	{ 0x931feb36, "neigh_destroy" },
	{ 0x81b36ef8, "arp_tbl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb3b70d4b, "xp_can_alloc" },
	{ 0x0e786ce7, "trace_seq_printf" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x45d5c7d7, "devl_params_unregister" },
	{ 0x1687aa5b, "simple_open" },
	{ 0x4fc19ad2, "vlan_dev_vlan_id" },
	{ 0x0964242c, "devlink_register" },
	{ 0x07235dc8, "dev_get_iflink" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "tls,ptp,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");

MODULE_INFO(srcversion, "051AD64A324DFE97EB209D7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
