#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(phy_inband_caps, "_gpl", "");
KSYMTAB_FUNC(phy_config_inband, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_eee_tx_clock_stop_capable, "_gpl", "");
KSYMTAB_FUNC(phy_eee_rx_clock_stop, "_gpl", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_eee_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_connect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_disconnect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_disable_eee, "_gpl", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(phy_get_tx_amplitude_gain, "_gpl", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_add_phy, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_del_phy, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(of_mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_ethtool_cable_result_code, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_tdr_distance, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0xf36ba144, "");
SYMBOL_CRC(phy_get_rate_matching, 0xbce6cd0a, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x9260a300, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x35f5e126, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x5de90359, "");
SYMBOL_CRC(phy_mii_ioctl, 0xc633b13e, "");
SYMBOL_CRC(phy_do_ioctl, 0xefeb50e6, "");
SYMBOL_CRC(phy_do_ioctl_running, 0xeb23f1d6, "");
SYMBOL_CRC(phy_queue_state_machine, 0x70f41faa, "");
SYMBOL_CRC(phy_trigger_machine, 0x87ab4604, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0xe9d64a5e, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x1ed0ae1c, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xf97eee3a, "");
SYMBOL_CRC(phy_start_cable_test, 0x8d7b79f9, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x65ebddee, "");
SYMBOL_CRC(phy_config_aneg, 0x63ea6ae8, "");
SYMBOL_CRC(phy_inband_caps, 0x2e3cb4be, "_gpl");
SYMBOL_CRC(phy_config_inband, 0x2124ac70, "");
SYMBOL_CRC(_phy_start_aneg, 0x21488bdf, "");
SYMBOL_CRC(phy_start_aneg, 0xf10312f3, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x3e679b28, "");
SYMBOL_CRC(phy_speed_down, 0x9e28fe96, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x008775c7, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x8dafc680, "_gpl");
SYMBOL_CRC(phy_error, 0x83b15421, "");
SYMBOL_CRC(phy_request_interrupt, 0xaa0c7e5f, "");
SYMBOL_CRC(phy_free_interrupt, 0xe983c0c4, "");
SYMBOL_CRC(phy_stop, 0x2171d1c1, "");
SYMBOL_CRC(phy_start, 0xc95d666f, "");
SYMBOL_CRC(phy_mac_interrupt, 0x59b18358, "");
SYMBOL_CRC(phy_eee_tx_clock_stop_capable, 0x24e0e012, "_gpl");
SYMBOL_CRC(phy_eee_rx_clock_stop, 0x62c3f428, "_gpl");
SYMBOL_CRC(phy_init_eee, 0x50974f6b, "");
SYMBOL_CRC(phy_get_eee_err, 0x97ee2448, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x9c075567, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0xef478d44, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x4d8e6a0d, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0xa59d79e4, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x307d2ac6, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x8d1b5f6b, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x0708d884, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x42a7c621, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0xf223c9e8, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x46d8091c, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0xab55a831, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x434b6bea, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x353a3856, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x381e5242, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xcb18ed1d, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x5aba9d33, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x6b9c9b4f, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x2e04c418, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0xec2c6148, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0xd9f26eae, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0xf0dcfa51, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x9c060dbc, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_eee_aneg, 0x34abbb03, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0xe85916a2, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x82418f1d, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0xb1bf9f35, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x69b68399, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xd1f0f7f0, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x82516d3f, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x9f748425, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x89c5a30a, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xb273d1e3, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x51e3c042, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x122687c1, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x51da0b54, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x9bb0964d, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x3c90e1a1, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0xc26c8f41, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x75c2741b, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x07b0da81, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x9796532c, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0xe3939498, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x1caecf00, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xe5266f33, "");
SYMBOL_CRC(phy_read_mmd, 0xcbc90d14, "");
SYMBOL_CRC(__phy_write_mmd, 0xf1676b4a, "");
SYMBOL_CRC(phy_write_mmd, 0x54284a0a, "");
SYMBOL_CRC(__phy_package_read_mmd, 0x3cef9bec, "");
SYMBOL_CRC(phy_package_read_mmd, 0x3ab91696, "");
SYMBOL_CRC(__phy_package_write_mmd, 0xb238b301, "");
SYMBOL_CRC(phy_package_write_mmd, 0xca365ed5, "");
SYMBOL_CRC(phy_modify_changed, 0xb3da961a, "_gpl");
SYMBOL_CRC(__phy_modify, 0x5d4dd2f2, "_gpl");
SYMBOL_CRC(phy_modify, 0x2ecbb8d7, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x4b6f406d, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0xab572528, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x81990359, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0xa974861c, "_gpl");
SYMBOL_CRC(phy_save_page, 0xf3bae8c4, "_gpl");
SYMBOL_CRC(phy_select_page, 0x04287f39, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xc2b944ac, "_gpl");
SYMBOL_CRC(phy_read_paged, 0xa55589b6, "");
SYMBOL_CRC(phy_write_paged, 0x7cad3806, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x6371a2b3, "");
SYMBOL_CRC(phy_modify_paged, 0x62d3ec38, "");
SYMBOL_CRC(phy_basic_features, 0xd48100b5, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xd0c31656, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0xf1a5eed0, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x01b60fb7, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x134458cd, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x7778b582, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0xeb5c36fd, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0xc1e39790, "_gpl");
SYMBOL_CRC(phy_device_free, 0x957b7cb4, "");
SYMBOL_CRC(phy_register_fixup, 0xad9df13c, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xb45b5415, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0xd84c90b2, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x3a5350f8, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xcf3e0533, "");
SYMBOL_CRC(get_phy_device, 0xfead3da4, "");
SYMBOL_CRC(phy_device_register, 0xd72680f6, "");
SYMBOL_CRC(phy_device_remove, 0xc0ece349, "");
SYMBOL_CRC(phy_get_c45_ids, 0x7f8cb47f, "");
SYMBOL_CRC(phy_find_first, 0xa6d5162d, "");
SYMBOL_CRC(phy_connect_direct, 0x4fedfad9, "");
SYMBOL_CRC(phy_connect, 0x076dafe1, "");
SYMBOL_CRC(phy_disconnect, 0x784d8d62, "");
SYMBOL_CRC(phy_init_hw, 0x5cc2a2cd, "");
SYMBOL_CRC(phy_attached_info, 0x049007b9, "");
SYMBOL_CRC(phy_attached_info_irq, 0x306a4873, "");
SYMBOL_CRC(phy_attached_print, 0x117f41d6, "");
SYMBOL_CRC(phy_sfp_connect_phy, 0x34e36c0e, "");
SYMBOL_CRC(phy_sfp_disconnect_phy, 0x942fcd9b, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x77a1713e, "");
SYMBOL_CRC(phy_attach_direct, 0x69f46d9b, "");
SYMBOL_CRC(phy_attach, 0x21799e61, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x65c14aca, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0xdb62277a, "_gpl");
SYMBOL_CRC(phy_package_join, 0xdf6a9772, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0xe327d15a, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x0663112d, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0xc2f024f9, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0x4baf0f8c, "_gpl");
SYMBOL_CRC(phy_detach, 0x853d222c, "");
SYMBOL_CRC(phy_suspend, 0xa311f024, "");
SYMBOL_CRC(__phy_resume, 0xe6d0fc5b, "");
SYMBOL_CRC(phy_resume, 0xc1fd4334, "");
SYMBOL_CRC(phy_loopback, 0x0a7e2216, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x5962c9ff, "");
SYMBOL_CRC(genphy_setup_forced, 0xe1bb465a, "");
SYMBOL_CRC(genphy_read_master_slave, 0x299f68c3, "");
SYMBOL_CRC(genphy_restart_aneg, 0x10bd6cbc, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xe2634a83, "");
SYMBOL_CRC(__genphy_config_aneg, 0x78251a44, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x0bff00cc, "");
SYMBOL_CRC(genphy_aneg_done, 0x3e1147d2, "");
SYMBOL_CRC(genphy_update_link, 0x33930d71, "");
SYMBOL_CRC(genphy_read_lpa, 0x8124d20f, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x2b0a267a, "");
SYMBOL_CRC(genphy_read_status, 0xe4366f85, "");
SYMBOL_CRC(genphy_c37_read_status, 0xca544854, "");
SYMBOL_CRC(genphy_soft_reset, 0x15c9fa1b, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x3413e386, "");
SYMBOL_CRC(genphy_read_abilities, 0xc58c376c, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x28445ffa, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x7a8d6770, "");
SYMBOL_CRC(genphy_suspend, 0xfaf0a383, "");
SYMBOL_CRC(genphy_resume, 0x9393f348, "");
SYMBOL_CRC(genphy_loopback, 0x50d05a34, "");
SYMBOL_CRC(phy_remove_link_mode, 0x355ba5af, "");
SYMBOL_CRC(phy_advertise_supported, 0xb235aaf7, "");
SYMBOL_CRC(phy_advertise_eee_all, 0xc1914b47, "_gpl");
SYMBOL_CRC(phy_support_eee, 0xb2bb7ae4, "");
SYMBOL_CRC(phy_disable_eee, 0x0783dae5, "_gpl");
SYMBOL_CRC(phy_support_sym_pause, 0x1c3d96d2, "");
SYMBOL_CRC(phy_support_asym_pause, 0x92a80148, "");
SYMBOL_CRC(phy_set_sym_pause, 0xce6be2d8, "");
SYMBOL_CRC(phy_set_asym_pause, 0x06b7eae5, "");
SYMBOL_CRC(phy_validate_pause, 0x7933fe7a, "");
SYMBOL_CRC(phy_get_pause, 0xfe8b2e0d, "");
SYMBOL_CRC(phy_get_internal_delay, 0x56b2ede7, "");
SYMBOL_CRC(phy_get_tx_amplitude_gain, 0xeddcf941, "_gpl");
SYMBOL_CRC(fwnode_mdio_find_device, 0x2a45cee9, "");
SYMBOL_CRC(fwnode_phy_find_device, 0xf8916a2e, "");
SYMBOL_CRC(device_phy_find_device, 0x680092a1, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x06352146, "_gpl");
SYMBOL_CRC(phy_driver_register, 0xdd540d83, "");
SYMBOL_CRC(phy_drivers_register, 0xe4e09828, "");
SYMBOL_CRC(phy_driver_unregister, 0xfd25bbd7, "");
SYMBOL_CRC(phy_drivers_unregister, 0x3c34f94a, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(phy_link_topo_add_phy, 0xb05e6255, "_gpl");
SYMBOL_CRC(phy_link_topo_del_phy, 0x6f540a7d, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0xb3449df8, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x02b8c207, "");
SYMBOL_CRC(mdiobus_get_phy, 0x9caf6669, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x026a5e5b, "");
SYMBOL_CRC(mdiobus_alloc_size, 0xa4d5bf6d, "");
SYMBOL_CRC(mdio_find_bus, 0x66019b6c, "");
SYMBOL_CRC(of_mdio_find_bus, 0xde615e39, "");
SYMBOL_CRC(mdiobus_scan_c22, 0xf7c68061, "");
SYMBOL_CRC(__mdiobus_register, 0x8df8878a, "");
SYMBOL_CRC(mdiobus_unregister, 0xe3eeee43, "");
SYMBOL_CRC(mdiobus_free, 0x31016eaf, "");
SYMBOL_CRC(__mdiobus_read, 0xee576c10, "");
SYMBOL_CRC(__mdiobus_write, 0x336ae4bc, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x8d707c27, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x8f7a0717, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x93fdf1d6, "");
SYMBOL_CRC(mdiobus_read_nested, 0x118d8b13, "");
SYMBOL_CRC(mdiobus_read, 0x64b527a5, "");
SYMBOL_CRC(mdiobus_c45_read, 0x56f14d10, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x09acadb3, "");
SYMBOL_CRC(mdiobus_write_nested, 0x34982a71, "");
SYMBOL_CRC(mdiobus_write, 0xf448bcf4, "");
SYMBOL_CRC(mdiobus_c45_write, 0x65f391c2, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x091a25c6, "");
SYMBOL_CRC(__mdiobus_modify, 0x7a49c0d2, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xbdebdb8d, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x2c17b9de, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x6b4ed157, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xccf59664, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x45e1b55e, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x508a7447, "");
SYMBOL_CRC(mdio_device_create, 0x7a12bd7d, "");
SYMBOL_CRC(mdio_device_register, 0xa81578ea, "");
SYMBOL_CRC(mdio_device_remove, 0x07e608aa, "");
SYMBOL_CRC(mdio_device_reset, 0x3c6b1f86, "");
SYMBOL_CRC(mdio_driver_register, 0x95d0b03d, "");
SYMBOL_CRC(mdio_driver_unregister, 0x5965f9c5, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x32857a38, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0xa0b90d6c, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0xfdbb41e6, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_ethtool_cable_result_code, 0x2721b932, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_tdr_distance, 0xa0fec1cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9128f2b1, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x4ab87324, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x05075827, "of_node_put" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x6e423017, "sysfs_create_file_ns" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x94c48a18, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x840aa8f7, "device_match_of_node" },
	{ 0xb60e9755, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6bdf0162, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x4533e1b4, "gpiod_set_value_cansleep" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x0aae5874, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x037a0cba, "kfree" },
	{ 0xf794175f, "of_get_parent" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0x2d158ced, "get_device" },
	{ 0x4ea226c7, "of_get_next_available_child" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x5a8cf4f9, "device_match_fwnode" },
	{ 0x7bf87124, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x22191f35, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x24de4a7a, "put_device" },
	{ 0xd8003836, "sysfs_remove_file_ns" },
	{ 0x738803e6, "strnlen" },
	{ 0x7289e29d, "device_property_read_u32_array" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x2af21e81, "module_put" },
	{ 0x8ee474c5, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9820fab8, "of_get_child_by_name" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xff738d88, "phylib_stubs" },
	{ 0xa0835a0b, "of_match_device" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0x2f0d8d62, "device_add" },
	{ 0x897e958a, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x58169218, "vprintk" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xbcd51c7f, "is_acpi_data_node" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x8cac23dd, "of_property_read_string" },
	{ 0xf7bc79fb, "sfp_bus_add_upstream" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c3c90ea, "of_find_property" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xd51062dd, "led_trigger_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x73454776, "device_register" },
	{ 0xecdf111e, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xf3b2047f, "device_bind_driver" },
	{ 0x1de651da, "_dev_warn" },
	{ 0xb06b709f, "of_device_uevent_modalias" },
	{ 0x5250556f, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0b433cd, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6b00edd3, "netdev_alert" },
	{ 0xfbf8ae0a, "ethnl_cable_test_alloc" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x815f8930, "fwnode_find_reference" },
	{ 0x1ff266af, "fwnode_property_read_string" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6fb534dc, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1d3c31b4, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7c784e33, "netif_carrier_off" },
	{ 0xb8d73521, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x212244db, "led_trigger_register" },
	{ 0x47e21b18, "netif_carrier_on" },
	{ 0xe9965b18, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5a1834cb, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0xf5ef250f, "sysfs_create_link_nowarn" },
	{ 0xdb687010, "of_node_name_eq" },
	{ 0x3c728c20, "dev_err_probe" },
	{ 0xe7f0a168, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x04f963c7, "led_trigger_event" },
	{ 0x65579d8a, "device_release_driver" },
	{ 0x55e828a5, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6c3cbb57, "gpiod_set_consumer_name" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x71c3b9b5, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe5515291, "driver_register" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x52bc7ccc, "__dev_fwnode" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x9aaf41d3, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb709e456, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x28f65080, "class_find_device" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "73A98EA01F7DE9B8B2445F7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
