#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x888f0046, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x27e3f270, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x1cda1dc4, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xa4d34a13, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x9cb147b0, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xb4b1e0a3, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xb7f9c6a7, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x63515d28, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x06cde1c2, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xa430d23e, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xcc961018, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xfeec34a1, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x407b9571, "_gpl");
SYMBOL_CRC(usbnet_open, 0x940f058a, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xe32ffab2, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x6c4d6b5d, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x535ed425, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xecf2213d, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x066bc231, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xe67965ba, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x8e0784b6, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x5ca9ddf7, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x01484f05, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x96ef55c9, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xd2537e0b, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x5b22e2e7, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x82716a0a, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xfb8f069a, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xd17c6716, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xfbc2760d, "");
SYMBOL_CRC(usbnet_manage_power, 0x2a08f8d6, "");
SYMBOL_CRC(usbnet_link_change, 0x6fd1fd4b, "");
SYMBOL_CRC(usbnet_read_cmd, 0xe9944b0c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x48a83bd3, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xdcbae0e6, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x89dc757b, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xdb294594, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcd9eb46b, "usb_set_interface" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8bb8932f, "usb_string" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2ceab378, "netif_rx" },
	{ 0x67ad18b9, "eth_type_trans" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0x0195cfd2, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7c421f18, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc3fefc7e, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1e8d8ed3, "usb_unlink_urb" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0x4b45a999, "netdev_err" },
	{ 0xcb05f2f5, "mii_ethtool_get_link_ksettings" },
	{ 0xfd643abd, "mii_ethtool_set_link_ksettings" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xce4664b6, "mii_nway_restart" },
	{ 0x037a0cba, "kfree" },
	{ 0x5ff1611c, "unregister_netdev" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x1b517f4b, "usb_get_from_anchor" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0x133663bc, "free_netdev" },
	{ 0x9aaf41d3, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x499c2773, "netif_device_detach" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe2e29057, "netif_device_attach" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb63e736e, "usb_control_msg" },
	{ 0x2e60bace, "memcpy" },
	{ 0x96df04de, "usb_autopm_get_interface" },
	{ 0xdd5b8efe, "usb_autopm_put_interface" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xf3d4ebbd, "mii_link_ok" },
	{ 0xd345bb16, "ethtool_op_get_link" },
	{ 0x84dcc088, "usb_autopm_put_interface_async" },
	{ 0x47e21b18, "netif_carrier_on" },
	{ 0x7c784e33, "netif_carrier_off" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1d2f0ff8, "skb_dequeue" },
	{ 0xb8dab765, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x9d1cb423, "register_netdev" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x72a216cd, "usb_check_bulk_endpoints" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x420eabe4, "mem_section" },
	{ 0x66d22ec0, "usb_autopm_get_interface_async" },
	{ 0x6dfa5e7f, "skb_tstamp_tx" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x1a5acc3c, "usb_anchor_urb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x459e9a12, "netif_tx_wake_queue" },
	{ 0x9ec4dd34, "usb_autopm_get_interface_no_resume" },
	{ 0x6678d509, "skb_put" },
	{ 0x2d351f49, "usb_clear_halt" },
	{ 0xfdbd4283, "eth_mac_addr" },
	{ 0x1e205108, "eth_validate_addr" },
	{ 0xd05743ec, "ethtool_op_get_ts_info" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "17BD597195840FF5B32BAEB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
