#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x7901944f, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xfcc389ac, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x83ba76ec, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x4dd8e862, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xa4b7f008, "__skb_checksum_complete" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0xd700224c, "__nlmsg_put" },
	{ 0x8c76bcf0, "netdev_adjacent_change_commit" },
	{ 0xfdbd4283, "eth_mac_addr" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa5081172, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x0111e989, "ip6_dst_hoplimit" },
	{ 0xe276e5b4, "param_ops_ushort" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x07d50a24, "csum_partial" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x604a9bb4, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8f978c78, "udp_tunnel6_xmit_skb" },
	{ 0x32d50c58, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9aa016c4, "__unregister_nexthop_notifier" },
	{ 0x7654f38c, "netif_inherit_tso_max" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x1e205108, "eth_validate_addr" },
	{ 0x94a74822, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x67d3b73a, "rtnl_create_link" },
	{ 0x2b577412, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xc8c8724f, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9d822627, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc4e7da2f, "udp_tunnel_drop_rx_port" },
	{ 0x93fe0e60, "netdev_upper_dev_link" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0x96dfb9f2, "register_pernet_subsys" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0x67ad18b9, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7375c60a, "nla_put_nohdr" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x72c52d02, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xebce7aa2, "eth_gro_complete" },
	{ 0x969c86c7, "rtnl_set_sk_err" },
	{ 0x2d8b28a5, "eth_gro_receive" },
	{ 0x2f266fad, "rtnl_configure_link" },
	{ 0x7de52a57, "skb_tunnel_check_pmtu" },
	{ 0xaa1ff1ad, "udp_tunnel_dst_lookup" },
	{ 0x5772d957, "rtnl_unicast" },
	{ 0x2d870ff8, "peernet2id" },
	{ 0x826e36f2, "__skb_get_hash_net" },
	{ 0x6d530716, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xa5c3c563, "__dev_get_by_index" },
	{ 0xc43a689c, "rtnl_link_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x38dbbb07, "ipv6_stub" },
	{ 0x0de07004, "skb_pull" },
	{ 0x4f213152, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa32a6d32, "dev_get_by_index_rcu" },
	{ 0xb25bffe8, "gro_cells_receive" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x845289bb, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0x01ac8a82, "__rtnl_register_many" },
	{ 0x133663bc, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5ca990fd, "ip_mc_join_group" },
	{ 0x747b5262, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xa84456db, "lock_sock_nested" },
	{ 0xd345bb16, "ethtool_op_get_link" },
	{ 0x2c4f7e46, "nexthop_find_by_id" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x751ce088, "arp_create" },
	{ 0x1e1ee384, "__ethtool_get_link_ksettings" },
	{ 0x769708f0, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xbe121599, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xe6b1401e, "netdev_adjacent_change_abort" },
	{ 0xf09bb64c, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd707b90a, "udp_tunnel6_dst_lookup" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x8e1a66c5, "__iptunnel_pull_header" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2ceab378, "netif_rx" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x547bcbbd, "setup_udp_tunnel_sock" },
	{ 0x7ad92558, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x0195cfd2, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x79dcc778, "skb_scrub_packet" },
	{ 0xcf14bde0, "nexthop_select_path" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9022d293, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x931feb36, "neigh_destroy" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0x2a0f6c98, "udp_tun_rx_dst" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x124a3d50, "rtnl_notify" },
	{ 0x39ae95fb, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdab9df8a, "__netif_rx" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0xee2756d5, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x132a241c, "dst_release" },
	{ 0x81b36ef8, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x813e43fb, "udp_tunnel_notify_del_rx_port" },
	{ 0xdac446ea, "register_nexthop_notifier" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe796b489, "ip_mc_leave_group" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x53cc9ade, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xd70f1010, "gro_find_receive_by_type" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x9aaf41d3, "netdev_info" },
	{ 0xe243b141, "neigh_lookup" },
	{ 0x28b15cfd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf443749a, "register_netdevice" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "8BECAFC07594B97920FC638");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
