#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath12k_core_suspend, "", "");
KSYMTAB_FUNC(ath12k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath12k_core_resume_early, "", "");
KSYMTAB_FUNC(ath12k_core_resume, "", "");

SYMBOL_CRC(ath12k_core_suspend, 0x21f008a2, "");
SYMBOL_CRC(ath12k_core_suspend_late, 0xbba5ec01, "");
SYMBOL_CRC(ath12k_core_resume_early, 0xcf24454b, "");
SYMBOL_CRC(ath12k_core_resume, 0x065f5047, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x05bcc50a, "of_graph_get_remote_endpoint" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x70e3fb9f, "ieee80211_gtk_rekey_notify" },
	{ 0xa1a898c8, "device_set_wakeup_enable" },
	{ 0x108141fa, "pcie_capability_read_word" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x0de13a19, "regulatory_set_wiphy_regd_sync" },
	{ 0x03de14ea, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc801ee32, "pci_request_region" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x3f525070, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8cdd2467, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x05075827, "of_node_put" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x6678d509, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x9d020603, "firmware_request_nowarn" },
	{ 0x7012466b, "mhi_power_down_keep_dev" },
	{ 0xb965eec8, "qmi_handle_init" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0xc1ca74f2, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0x0fef9144, "mhi_device_put" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9d76cdf4, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0xc07403f2, "wiphy_work_flush" },
	{ 0x4fd9f263, "mhi_sync_power_up" },
	{ 0x72c8d2bb, "mhi_power_down" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x1d2f0ff8, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x122e0fdb, "mhi_pm_resume" },
	{ 0xb7e950c3, "ieee80211_free_hw" },
	{ 0xc87b9809, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x878aa762, "__pci_register_driver" },
	{ 0x8822238b, "pci_assign_resource" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcccdeb54, "ieee80211_beacon_loss" },
	{ 0x037a0cba, "kfree" },
	{ 0x93585c81, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x93e7c908, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x44a17513, "ieee80211_register_hw" },
	{ 0xd7b699c9, "netif_napi_add_weight_locked" },
	{ 0x7df77683, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xac019a16, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0x3b1eecc8, "mhi_register_controller" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa5a37084, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5403a0d6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbad167f5, "of_graph_get_endpoint_by_regs" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0xb0fd5f52, "ieee80211_tx_status_skb" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0x07ceeac9, "panic_notifier_list" },
	{ 0x25d0cb5b, "qmi_send_request" },
	{ 0xbd5c9b9e, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x64b98f1e, "ieee80211_handle_wake_tx_queue" },
	{ 0x070f7896, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x449ed1cc, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xafbad75d, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xe9b3f296, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x23230d27, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xb58732e5, "qmi_txn_wait" },
	{ 0x11090cde, "mhi_pm_suspend" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0x263598be, "ieee80211_get_channel_khz" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4e23209d, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x418b5fc2, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6a4e5f94, "crypto_shash_setkey" },
	{ 0x0de07004, "skb_pull" },
	{ 0x33aa4d09, "mhi_device_get_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x215e1e9a, "qmi_txn_cancel" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf59a4848, "irq_get_irq_data" },
	{ 0xde92d2b7, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x666209a7, "ieee80211_remain_on_channel_expired" },
	{ 0x1ee678d1, "pcie_capability_clear_and_set_word_locked" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x1d9044bc, "dma_alloc_attrs" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x1a7927c8, "napi_enable" },
	{ 0x120253bb, "ieee80211_wake_queues" },
	{ 0x133663bc, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa2a94a6f, "qmi_txn_init" },
	{ 0x2e750209, "ieee80211_report_low_ack" },
	{ 0x3a628009, "ieee80211_beacon_get_template" },
	{ 0x20fc2962, "crypto_shash_update" },
	{ 0xa07d0b29, "wiphy_work_queue" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa03275b9, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6b0e617b, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4109016e, "mhi_free_controller" },
	{ 0xfcc9f885, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xda3114ba, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xa6e33c64, "wiphy_work_cancel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6dc19f28, "ieee80211_beacon_free_ema_list" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0x29718980, "ieee80211_iterate_stations_mtx" },
	{ 0x9d3330ca, "ieee80211_ready_on_channel" },
	{ 0x0ed825b1, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0xe3330810, "qmi_handle_release" },
	{ 0xec7fc316, "skb_cow_data" },
	{ 0x2fcf967c, "__netif_napi_del_locked" },
	{ 0x24b6f079, "of_graph_get_port_parent" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d1c023b, "dma_set_coherent_mask" },
	{ 0x7feb3dcd, "mhi_alloc_controller" },
	{ 0x48843341, "skb_realloc_headroom" },
	{ 0x77de02c8, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8a104258, "mhi_unregister_controller" },
	{ 0x6b7217d1, "ieee80211_vif_to_wdev" },
	{ 0xf1775b34, "alloc_netdev_dummy" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xcb6b2d04, "ieee80211_scan_completed" },
	{ 0xc0012aad, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x74624b10, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xa9dcf915, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xedfec121, "pskb_put" },
	{ 0x5fb0c02f, "ieee80211_unregister_hw" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0xa1193ea2, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xf6baaa49, "mhi_download_rddm_image" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x25eea646, "napi_schedule_prep" },
	{ 0xf48a6472, "ieee80211_set_active_links" },
	{ 0xd0d8621b, "strlen" },
	{ 0xd0c7f053, "napi_disable" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xa3ef89eb, "cfg80211_chandef_dfs_cac_time" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd6d452fe, "crypto_alloc_shash" },
	{ 0x6cad8da0, "pci_write_config_word" },
	{ 0x9f5a305b, "ieee80211_beacon_get_template_ema_list" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4280d16f, "pci_release_region" },
	{ 0x0fc3a48b, "mhi_prepare_for_power_up" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0x34327668, "qmi_add_lookup" },
	{ 0xffd2d5f7, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0xd503696b, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers,mhi");

MODULE_ALIAS("pci:v000017CBd00001109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001107sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E53A861759218FA8A74A865");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
