#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x9487cdaf, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x19632bfe, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0xdc11c914, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x3dfe6ebf, "_gpl");
SYMBOL_CRC(p54_rx, 0x4982cf58, "_gpl");
SYMBOL_CRC(p54_init_common, 0xb48945b8, "_gpl");
SYMBOL_CRC(p54_register_common, 0x1b1cc231, "_gpl");
SYMBOL_CRC(p54_free_common, 0x3299795e, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xe520bfdc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6678d509, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1d2f0ff8, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb7e950c3, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcccdeb54, "ieee80211_beacon_loss" },
	{ 0xe070f9f9, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0x44a17513, "ieee80211_register_hw" },
	{ 0x3991d7f1, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xac019a16, "ieee80211_get_hdrlen_from_skb" },
	{ 0x81780794, "__ieee80211_get_radio_led_name" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xc80b648a, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x212a3474, "__ieee80211_get_tx_led_name" },
	{ 0x7c421f18, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x64b98f1e, "ieee80211_handle_wake_tx_queue" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x449ed1cc, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x9aff0047, "__ieee80211_get_rx_led_name" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x418b5fc2, "ieee80211_queue_delayed_work" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xaacc9e27, "sort" },
	{ 0x0de07004, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa03275b9, "ieee80211_free_txskb" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6b0e617b, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x3abaee42, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x7b25155c, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xaa866ed0, "ieee80211_stop_queue" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x03db1aef, "skb_unlink" },
	{ 0x77de02c8, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1f4876e1, "__ieee80211_get_assoc_led_name" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0x5fb0c02f, "ieee80211_unregister_hw" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9076ac3f, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0xe9ec4b86, "_dev_printk" },
	{ 0xce32daed, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x4068ee7c, "ieee80211_rx_irqsafe" },
	{ 0xebb765df, "skb_queue_head" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
