#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0xd60f04e7, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0x7a7a438d, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x0eb17d17, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x8a6998fe, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0xd46e9f0c, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x99eaa48a, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xc92a6985, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x0d0ad422, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x61d24ee4, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x0955a760, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0xb363a4f6, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0xe562404b, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x042fd686, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xf0825159, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x12135980, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xe114a8d6, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x2496c6f1, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xcda7ad6d, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x9f143654, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x535aeb0f, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x2ebf63ee, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x4aa12c5b, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x352efcb6, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xb8c2421f, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x6bceffe9, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x0d2ab658, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x7442e957, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0xd2ff086c, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0x4369832f, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x00f22fff, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0xdc2f7530, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b30abd8, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xe793c5ec, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xac75ca60, "mt76_update_channel" },
	{ 0x07c0db2d, "ieee80211_sta_register_airtime" },
	{ 0xabcf8962, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x0398fc39, "mt76_connac_mcu_sta_tlv" },
	{ 0xa1a898c8, "device_set_wakeup_enable" },
	{ 0xecea507d, "mt76_tx_worker_run" },
	{ 0xc644876f, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x910a6b53, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbcf3496d, "simple_attr_open" },
	{ 0xa6f754e2, "ieee80211_iterate_interfaces" },
	{ 0x6927f2be, "debugfs_attr_write" },
	{ 0x185672f9, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x27d43f4d, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9d020603, "firmware_request_nowarn" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x22512a94, "mt76_tx_status_skb_get" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0xaee6c526, "mt76_tx_status_lock" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x6e580c50, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x89a69842, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb7e950c3, "ieee80211_free_hw" },
	{ 0xdb1cdb0b, "mt76_connac_mcu_set_channel_domain" },
	{ 0x9e9fa83e, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3cd20450, "mt76_release_buffered_frames" },
	{ 0xbb83c3a6, "request_firmware" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x04779662, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17ee919d, "__tracepoint_mac_txdone" },
	{ 0xd9903b3e, "mt76_connac_pm_wake" },
	{ 0x4e6c5654, "mt76_get_rate" },
	{ 0xfcabf0e6, "mt76_wake_tx_queue" },
	{ 0xc35955e1, "ieee80211_tx_status_ext" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xa18648e7, "mt76_connac_mcu_chip_config" },
	{ 0x690927d3, "mt76_get_antenna" },
	{ 0x037a0cba, "kfree" },
	{ 0xfb5d164c, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x3488a7bf, "__mt76_tx_complete_skb" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x20adad47, "mt76_set_stream_caps" },
	{ 0x3991d7f1, "ieee80211_emulate_change_chanctx" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xac019a16, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x16301c13, "mt76_connac_mcu_update_arp_filter" },
	{ 0x24a5f99f, "mt76_connac_mcu_set_vif_ps" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xbeb8deb6, "mt76_mcu_rx_event" },
	{ 0xa3df8154, "mt76_alloc_phy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc669b563, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6208246, "mt76_wcid_init" },
	{ 0xcd1bfe53, "mt76_tx_status_check" },
	{ 0x71445136, "wake_up_process" },
	{ 0x37de15a1, "mt76_connac_free_pending_tx_skbs" },
	{ 0x7c421f18, "skb_queue_purge_reason" },
	{ 0xb655e118, "mt76_connac_power_save_sched" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x98704298, "cfg80211_reg_check_beaconing" },
	{ 0x72cd6fd3, "ieee80211_send_bar" },
	{ 0xed6bc9fa, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x216a5f7b, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe7ddda07, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc3889c72, "mt76_tx" },
	{ 0xddca455c, "mt76_wcid_add_poll" },
	{ 0xe9b3f296, "__napi_schedule" },
	{ 0x738803e6, "strnlen" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x251b44ef, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x07abdfb4, "mt76_wcid_key_setup" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0xb50f4dcf, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x199de99b, "mt76_rx" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xf2cd7187, "mt76_connac_mcu_sched_scan_req" },
	{ 0x25068906, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x3039d248, "mt76_connac_mcu_uni_add_bss" },
	{ 0x79912c86, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4e23209d, "wiphy_to_ieee80211_hw" },
	{ 0x3d128cb1, "debugfs_attr_read" },
	{ 0xc9281b71, "mt76_connac_mcu_hw_scan" },
	{ 0x138b1a91, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x418b5fc2, "ieee80211_queue_delayed_work" },
	{ 0x4477e5d2, "mt76_eeprom_init" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1687aa5b, "simple_open" },
	{ 0x0de07004, "skb_pull" },
	{ 0xc666e2ea, "debugfs_create_file_unsafe" },
	{ 0x622c9844, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x05ecc312, "simple_attr_release" },
	{ 0x8b2ea35e, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x80c04bb3, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652032cb, "mac_pton" },
	{ 0x666209a7, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x120253bb, "ieee80211_wake_queues" },
	{ 0x3eb95ade, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3a628009, "ieee80211_beacon_get_template" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x21b4d051, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4524d81d, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x11b79119, "__mt76_mcu_msg_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x58976601, "mt76_connac_pm_dequeue_skbs" },
	{ 0xf65fb8f8, "mt76_connac_mcu_set_pm" },
	{ 0x238bb107, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x890fc4e2, "devm_hwmon_device_register_with_groups" },
	{ 0x3abaee42, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x1df0ef99, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50b3edce, "debugfs_create_u32" },
	{ 0x7b25155c, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x7b77f391, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x30449217, "mt76_sta_state" },
	{ 0x9d3330ca, "ieee80211_ready_on_channel" },
	{ 0x0ed825b1, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86ac5ff1, "mt76_connac_mcu_del_wtbl_all" },
	{ 0x6a73d850, "mt76_connac_mcu_init_download" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf8adb83a, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x426939ba, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x55e75e34, "mt76_get_rate_power_limits" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0xd5275b08, "ieee80211_sched_scan_results" },
	{ 0xcb6b2d04, "ieee80211_scan_completed" },
	{ 0xc0012aad, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x0eb90fd7, "mt76_insert_ccmp_hdr" },
	{ 0x5d5624d2, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1cf245f8, "mt76_sw_scan_complete" },
	{ 0x92002f2a, "mt76_rx_aggr_start" },
	{ 0xcfbd8968, "seq_write" },
	{ 0xea9d88e6, "mt76_connac_mcu_start_firmware" },
	{ 0x86cbda62, "____mt76_poll_msec" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x608b3bd5, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa9704f80, "mt76_connac_mcu_rdd_cmd" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x55abc7ff, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6739739c, "mt76_get_sar_power" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x13bc71ab, "mt76_unregister_phy" },
	{ 0xd34e98fa, "debugfs_create_file_full" },
	{ 0x347173d3, "mt76_register_phy" },
	{ 0xdcacf2f1, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xf08ab7ac, "mt76_put_txwi" },
	{ 0x4f5cbcb8, "mt76_wcid_cleanup" },
	{ 0xa1193ea2, "ieee80211_radar_detected" },
	{ 0x505f0e0b, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88f853b5, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xdda430b4, "single_release" },
	{ 0xe5c2b763, "mt76_sw_scan" },
	{ 0xeb2ac303, "mt76_queues_read" },
	{ 0xd1f580e0, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x54e381a9, "mt76_sta_pre_rcu_remove" },
	{ 0x23aa208e, "mt76_register_debugfs_fops" },
	{ 0x97b364f6, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x7e6698fa, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0xc92c6d8a, "mt76_connac_mcu_sta_ba" },
	{ 0x931f2b96, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x1778b81d, "ieee80211_queue_work" },
	{ 0x25eea646, "napi_schedule_prep" },
	{ 0xe2eb5da6, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x9c2c29da, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x51d440fa, "__mt76_poll" },
	{ 0xebea9578, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2439ee3, "debugfs_create_u8" },
	{ 0x7722dba8, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x9b4ead8e, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xce32daed, "ieee80211_emulate_remove_chanctx" },
	{ 0xcfb83352, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8e796d1d, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "920BD3EE78CE45EF33571D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
