#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x0df0af36, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xa483e6de, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x83ccea86, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x458e0891, "_gpl");
SYMBOL_CRC(mt76x0_set_channel, 0x8b47c5ee, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xc1dfe61a, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xe36e2363, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x9aa61a78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac75ca60, "mt76_update_channel" },
	{ 0xc644876f, "mt76_init_sar_power" },
	{ 0xc8193deb, "mt76x02_phy_adjust_vga_gain" },
	{ 0xbd9beef8, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d126e72, "mt76x02_mac_shared_key_setup" },
	{ 0x5f92ecdc, "mt76x02_ext_pa_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb6a89783, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x7183414e, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x418b5fc2, "ieee80211_queue_delayed_work" },
	{ 0x4477e5d2, "mt76_eeprom_init" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcfab2abb, "mt76x02_mac_setaddr" },
	{ 0x64868b00, "mt76_register_device" },
	{ 0xa65352dd, "mt76x02_phy_set_bw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc19d16e4, "mt76x02_phy_set_band" },
	{ 0xa7e85e7c, "mt76x02_init_device" },
	{ 0x5ab4c33f, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xfe08bf42, "mt76x02_phy_set_rxpath" },
	{ 0x8a9e78ae, "mt76x02_edcca_init" },
	{ 0x21b4d051, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x286fb767, "mt76x02_get_lna_gain" },
	{ 0x1e33b22d, "mt76x02_init_debugfs" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3e36d072, "mt76x02_mac_cc_reset" },
	{ 0x6fded11f, "mt76x02_init_agc_gain" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x86cbda62, "____mt76_poll_msec" },
	{ 0x69ce5dc1, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe65e70d0, "mt76x02_config_mac_addr_list" },
	{ 0x6739739c, "mt76_get_sar_power" },
	{ 0x0147476f, "mt76x02_eeprom_copy" },
	{ 0xca1e963e, "mt76x02_mcu_calibrate" },
	{ 0x0908285c, "mt76x02_mcu_function_select" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2332c5d6, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x630283e2, "mt76x02_mac_wcid_setup" },
	{ 0x51d440fa, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf638d879, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xcfb83352, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "5DC9561920B69322101AB5F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
