#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0xc606d55d, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x0f1055ac, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xbd785f23, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xf81bed81, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0xa7eb120d, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xb0198272, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x8d71ac11, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0xa00b32ff, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xeff9289a, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0xd61900f6, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xf980eba2, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x06cf5b7c, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0xf0d68cdb, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xf0fea9ec, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x5a72562f, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0xf2f51746, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x9d14c472, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0xb89d7a99, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x5211ded8, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x348db43b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc644876f, "mt76_init_sar_power" },
	{ 0xc8193deb, "mt76x02_phy_adjust_vga_gain" },
	{ 0xbd9beef8, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f92ecdc, "mt76x02_ext_pa_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb6a89783, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7183414e, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x4477e5d2, "mt76_eeprom_init" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5ab4c33f, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x3eb95ade, "mt76_mcu_send_and_get_msg" },
	{ 0x21b4d051, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x286fb767, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6739739c, "mt76_get_sar_power" },
	{ 0x0147476f, "mt76x02_eeprom_copy" },
	{ 0xca1e963e, "mt76x02_mcu_calibrate" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2332c5d6, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xcfb83352, "mt76_get_min_avg_rssi" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "80F7976F489C71A568DEF6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
