#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7925_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7925_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt7925_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7925_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_regval, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt7925_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(__mt7925_start, "_gpl", "");
KSYMTAB_FUNC(mt7925_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7925_ops, "_gpl", "");
KSYMTAB_FUNC(mt7925_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7925_register_device, "_gpl", "");

SYMBOL_CRC(mt7925_mac_write_txwi, 0x5067db06, "_gpl");
SYMBOL_CRC(mt7925_txwi_free, 0x5b8af78a, "_gpl");
SYMBOL_CRC(mt7925_rx_check, 0x1a442e51, "_gpl");
SYMBOL_CRC(mt7925_queue_rx_skb, 0xfca43ace, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_prepare_skb, 0x6ac7df6f, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_complete_skb, 0x25b5547a, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_status_data, 0x6ae6d179, "_gpl");
SYMBOL_CRC(mt7925_mcu_parse_response, 0x86155207, "_gpl");
SYMBOL_CRC(mt7925_mcu_regval, 0x5d0bc82c, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_deep_sleep, 0x66ec88d2, "_gpl");
SYMBOL_CRC(mt7925_run_firmware, 0x64c56ee1, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_eeprom, 0xc644db55, "_gpl");
SYMBOL_CRC(mt7925_mcu_hw_scan, 0x6fc09ba0, "_gpl");
SYMBOL_CRC(mt7925_mcu_sched_scan_req, 0x07a27102, "_gpl");
SYMBOL_CRC(mt7925_mcu_cancel_hw_scan, 0x6636563e, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_channel_domain, 0xf80365ce, "_gpl");
SYMBOL_CRC(mt7925_mcu_fill_message, 0x4f790f32, "_gpl");
SYMBOL_CRC(__mt7925_start, 0x6d79f73e, "_gpl");
SYMBOL_CRC(mt7925_roc_abort_sync, 0xcd19bc6e, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_add, 0xa0a67a88, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_event, 0xa8410737, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_remove, 0x15fad906, "_gpl");
SYMBOL_CRC(mt7925_ops, 0x23d51a39, "_gpl");
SYMBOL_CRC(mt7925_regd_update, 0xd7b11167, "_gpl");
SYMBOL_CRC(mt7925_mac_init, 0x0c57745a, "_gpl");
SYMBOL_CRC(mt7925_register_device, 0x7774c99d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b30abd8, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x07c0db2d, "ieee80211_sta_register_airtime" },
	{ 0x1e9a2a3e, "mt792x_init_wcid" },
	{ 0x95edc76b, "mt792x_init_acpi_sar" },
	{ 0xc644876f, "mt76_init_sar_power" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0x910a6b53, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xbcf3496d, "simple_attr_open" },
	{ 0xa6f754e2, "ieee80211_iterate_interfaces" },
	{ 0xfa0fce27, "mt792x_stop" },
	{ 0x49991459, "mt76_connac_get_ch_power" },
	{ 0x6927f2be, "debugfs_attr_write" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x56285739, "mt76_connac_get_phy_mode_v2" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x22512a94, "mt76_tx_status_skb_get" },
	{ 0x77a81582, "mt792x_tx_worker" },
	{ 0xb58aa02b, "mt792x_flush" },
	{ 0xaee6c526, "mt76_tx_status_lock" },
	{ 0x124f0ac8, "mt792x_rx_get_wcid" },
	{ 0x1d2f0ff8, "skb_dequeue" },
	{ 0x42128a8c, "mt76_connac_gen_ppe_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9e9fa83e, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3cd20450, "mt76_release_buffered_frames" },
	{ 0xbb83c3a6, "request_firmware" },
	{ 0x04779662, "mt76_get_txpower" },
	{ 0x6e681d66, "mt76_connac_mcu_sta_uapsd" },
	{ 0x90ca78ac, "mt76_tx_status_skb_add" },
	{ 0xd9903b3e, "mt76_connac_pm_wake" },
	{ 0x4e6c5654, "mt76_get_rate" },
	{ 0x2d28fe3e, "mt792x_pm_wake_work" },
	{ 0xfcabf0e6, "mt76_wake_tx_queue" },
	{ 0xb2951093, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x690927d3, "mt76_get_antenna" },
	{ 0x1e7fa571, "mt792x_set_coverage_class" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x3488a7bf, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x20adad47, "mt76_set_stream_caps" },
	{ 0xfd1079e9, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xac019a16, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7ddc866e, "mt792x_mac_work" },
	{ 0xd617fbfc, "mt76_connac2_tx_check_aggr" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xbeb8deb6, "mt76_mcu_rx_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6208246, "mt76_wcid_init" },
	{ 0x71445136, "wake_up_process" },
	{ 0x37de15a1, "mt76_connac_free_pending_tx_skbs" },
	{ 0xd1275711, "mt792x_sta_statistics" },
	{ 0x7c421f18, "skb_queue_purge_reason" },
	{ 0xb655e118, "mt76_connac_power_save_sched" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb7328645, "__alloc_pages_noprof" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x216a5f7b, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe7ddda07, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc249d913, "mt792x_get_et_sset_count" },
	{ 0xddca455c, "mt76_wcid_add_poll" },
	{ 0xfb46d572, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x701c43bb, "mt792x_init_acpi_sar_power" },
	{ 0x472c8de5, "mt792x_set_wakeup" },
	{ 0x07abdfb4, "mt76_wcid_key_setup" },
	{ 0xe99fe91d, "mt76_connac_mcu_set_gtk_rekey" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x199de99b, "mt76_rx" },
	{ 0x9fc9a633, "mt792x_load_firmware" },
	{ 0xee31d2e7, "mt792x_get_et_stats" },
	{ 0x3039d248, "mt76_connac_mcu_uni_add_bss" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4e23209d, "wiphy_to_ieee80211_hw" },
	{ 0x3d128cb1, "debugfs_attr_read" },
	{ 0xc402aee0, "mt792x_mac_link_bss_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x138b1a91, "mt76_tx_status_skb_done" },
	{ 0x418b5fc2, "ieee80211_queue_delayed_work" },
	{ 0xda12c19d, "devm_kmemdup" },
	{ 0x32d82281, "devm_kfree" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x0de07004, "skb_pull" },
	{ 0x64868b00, "mt76_register_device" },
	{ 0x0abf9cac, "mt792x_get_stats" },
	{ 0x622c9844, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x05ecc312, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x666209a7, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x120253bb, "ieee80211_wake_queues" },
	{ 0x3eb95ade, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3a628009, "ieee80211_beacon_get_template" },
	{ 0x163cc478, "mt792x_pm_stats" },
	{ 0x21b4d051, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4524d81d, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x11b79119, "__mt76_mcu_msg_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4ce1cdce, "mt76_connac_get_he_phy_cap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x238bb107, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x890fc4e2, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x64928437, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd539d74c, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x452110a2, "mt792x_tx" },
	{ 0x631c5810, "mt792x_get_et_strings" },
	{ 0x30449217, "mt76_sta_state" },
	{ 0x9d3330ca, "ieee80211_ready_on_channel" },
	{ 0x0ed825b1, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0xe7213c23, "mt792x_remove_interface" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x470ae79e, "mt76_connac3_mac_decode_he_radiotap" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa7de6e25, "mt76_connac2_mac_tx_rate_val" },
	{ 0xf8adb83a, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xcacbbd06, "mt792x_queues_read" },
	{ 0x101310f4, "mt792x_queues_acq" },
	{ 0x55e75e34, "mt76_get_rate_power_limits" },
	{ 0xd5275b08, "ieee80211_sched_scan_results" },
	{ 0xcb6b2d04, "ieee80211_scan_completed" },
	{ 0xc0012aad, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x658a9398, "mt792x_config_mac_addr_list" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x0eb90fd7, "mt76_insert_ccmp_hdr" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0xdeec09c9, "mt792x_tx_stats_show" },
	{ 0xae7d0f3a, "mt76_connac_mcu_set_suspend_mode" },
	{ 0x92002f2a, "mt76_rx_aggr_start" },
	{ 0x4b0f6a18, "__folio_put" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xed074a4d, "ieee80211_set_active_links_async" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x55abc7ff, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6739739c, "mt76_get_sar_power" },
	{ 0x64846ec4, "mt76_connac_mcu_sta_he_tlv_v2" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xbe17e51f, "mt792x_mac_init_band" },
	{ 0xd34e98fa, "debugfs_create_file_full" },
	{ 0x24d08ea0, "mt76_skb_adjust_pad" },
	{ 0xf08ab7ac, "mt76_put_txwi" },
	{ 0x4f5cbcb8, "mt76_wcid_cleanup" },
	{ 0x1fc39fe6, "mt792x_init_wiphy" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88f853b5, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xdda430b4, "single_release" },
	{ 0xd92b2260, "mt76_connac3_mac_decode_eht_radiotap" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xeb2ac303, "mt76_queues_read" },
	{ 0x54e381a9, "mt76_sta_pre_rcu_remove" },
	{ 0x23aa208e, "mt76_register_debugfs_fops" },
	{ 0x39304786, "cfg80211_get_iftype_ext_capa" },
	{ 0xab118a65, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x115cea1f, "__mt76_set_tx_blocked" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x1778b81d, "ieee80211_queue_work" },
	{ 0x6d9fed4f, "mt792x_mac_reset_counters" },
	{ 0x307ca5dd, "napi_consume_skb" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x51d440fa, "__mt76_poll" },
	{ 0xebea9578, "mt76_rx_aggr_stop" },
	{ 0x7722dba8, "single_open" },
	{ 0xc54322c2, "mt76_connac_get_phy_mode" },
	{ 0x8e796d1d, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x0a144b66, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6297fe6f, "mt792x_pm_power_save_work" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt792x-lib,mt76,cfg80211");


MODULE_INFO(srcversion, "568C59E50204DA1ABD313C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
