#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0xf11790e5, "");
SYMBOL_CRC(rtw_pci_probe, 0xc53593f5, "");
SYMBOL_CRC(rtw_pci_remove, 0x974ddbb1, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xe257723b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45ba768c, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x067f0c25, "rtw_tx_queue_mapping" },
	{ 0x108141fa, "pcie_capability_read_word" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x6678d509, "skb_put" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0xc1ca74f2, "pci_iomap" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0x1d2f0ff8, "skb_dequeue" },
	{ 0xb7e950c3, "ieee80211_free_hw" },
	{ 0xc87b9809, "dma_unmap_page_attrs" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xd7b699c9, "netif_napi_add_weight_locked" },
	{ 0xfe9a53ee, "dev_kfree_skb_irq_reason" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0xc80b648a, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0xbd5c9b9e, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x449ed1cc, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9ff784ce, "devm_free_irq" },
	{ 0xe9b3f296, "__napi_schedule" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0x66862bd3, "rtw_chip_info_setup" },
	{ 0xa16ce207, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x849fc675, "__dma_sync_single_for_cpu" },
	{ 0x450200f2, "rtw_unregister_hw" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x0de07004, "skb_pull" },
	{ 0x608255e3, "rtw_tx_fill_tx_desc" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x1d9044bc, "dma_alloc_attrs" },
	{ 0x1a7927c8, "napi_enable" },
	{ 0x698a3ef2, "rtw_core_init" },
	{ 0x133663bc, "free_netdev" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6b0e617b, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfcc9f885, "pci_iounmap" },
	{ 0xa7759369, "rtw_update_rx_freq_from_ie" },
	{ 0xe2b33850, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa866ed0, "ieee80211_stop_queue" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0xa667bbe8, "rtw_rx_stats" },
	{ 0x4aac931b, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x2fcf967c, "__netif_napi_del_locked" },
	{ 0xbaaa66d3, "rtw_register_hw" },
	{ 0xf1775b34, "alloc_netdev_dummy" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5fb0c02f, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc1d64910, "rtw_core_deinit" },
	{ 0xf1c8bffb, "rtw_ops" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x25eea646, "napi_schedule_prep" },
	{ 0xd0c7f053, "napi_disable" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x3aedfb4d, "rtw_power_mode_change" },
	{ 0x0badab89, "rtw_tx_write_data_h2c_get" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x76f00919, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xea19ccbd, "rtw_rx_query_rx_desc" },
	{ 0xd503696b, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "322EB391D5675A24A6104DF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
