#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_phy_rpt_be, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx_set, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx_clr, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_ant_gain_pwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(__rtw89_mgnt_chan_get, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x52776b1a, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x65d4822c, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x16c72fc0, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x6beceea5, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x18ff4349, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xb4bf15c3, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x2c25b039, "");
SYMBOL_CRC(rtw89_core_rx, 0xd98b8bf4, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xf0f38a39, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x94009d48, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x17d21077, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0xacb6d493, "");
SYMBOL_CRC(rtw89_check_quirks, 0x44b7c1bc, "");
SYMBOL_CRC(rtw89_core_init, 0x5cd05899, "");
SYMBOL_CRC(rtw89_core_deinit, 0xd54fde77, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xf4070d6b, "");
SYMBOL_CRC(rtw89_core_register, 0x0654819c, "");
SYMBOL_CRC(rtw89_core_unregister, 0x3e12ec33, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x4223385a, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xbee722fc, "");
SYMBOL_CRC(rtw89_ops, 0x96148cff, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xb0dbeb63, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x448a8849, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x4d2c9101, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xda6aa6ec, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xb3e08e54, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x058516d3, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xc0d549ac, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xdfbd6bc3, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x08d88887, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x40b7924c, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0xe4fbe622, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xd4ade68c, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x9bd90bc4, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x413fee22, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x2463cb97, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0xbc9b34cc, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0xcfbaba2d, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0xc738e16a, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0xafa4e263, "");
SYMBOL_CRC(rtw89_mac_cfg_phy_rpt_be, 0x93211432, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0x986249c8, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x8df6f2f0, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0xb78b0aec, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x1bdad4ae, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x22e74466, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x09de6090, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x185d65bc, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x0eaf4298, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0xdcc33e56, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x5c488064, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xf93a7382, "");
SYMBOL_CRC(rtw89_phy_write32_idx_set, 0x76c2f3b0, "");
SYMBOL_CRC(rtw89_phy_write32_idx_clr, 0x45a4d3ce, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xbeb4767d, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x37098eac, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x09f4b56c, "");
SYMBOL_CRC(rtw89_phy_ant_gain_pwr_offset, 0xa7aeff9f, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xe8fbf6ca, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x850aed7e, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x54dd3490, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0xf42eeb5b, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x4620608f, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x09caf541, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0xc40443d3, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x3e870710, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x9cb4f870, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0xc7d54685, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x5c57e89f, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x15a9422d, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x4e88d13f, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x37287222, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0xbadb984b, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x0b6ce506, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0xc079efd6, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0x217366d3, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xd5089377, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x18266448, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x1cef2e2d, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0xdb227093, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x3259f52a, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0xe6238dd5, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x69fa9da4, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x2ea37d1d, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x0f423809, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0xfaa64662, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x60a0b7a5, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x3d05fc6c, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xf168d36b, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x68ef9d84, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x1815e868, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x59f1401f, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x49ef53ef, "");
SYMBOL_CRC(__rtw89_mgnt_chan_get, 0x0f9cb7d3, "");
SYMBOL_CRC(rtw89_ser_notify, 0x2a906722, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f296547, "ieee80211_stop_tx_ba_session" },
	{ 0x70e3fb9f, "ieee80211_gtk_rekey_notify" },
	{ 0xa1a898c8, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0x04d82296, "ieee80211_report_wowlan_wakeup" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe5d88197, "__ieee80211_schedule_txq" },
	{ 0x127d5258, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6325e0a4, "cfg80211_bss_iter" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb7e950c3, "ieee80211_free_hw" },
	{ 0x76a1ab52, "ieee80211_probereq_get" },
	{ 0xf68f05b3, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbb83c3a6, "request_firmware" },
	{ 0x279a6231, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb2951093, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe070f9f9, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x26259e8b, "ieee80211_nullfunc_get" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x1f02de1c, "ieee80211_pspoll_get" },
	{ 0x44a17513, "ieee80211_register_hw" },
	{ 0x3991d7f1, "ieee80211_emulate_change_chanctx" },
	{ 0xd7b699c9, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7df77683, "ieee80211_restart_hw" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x61e94681, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe9b3f296, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xb9784e55, "ieee80211_set_key_rx_seq" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0x1264295e, "skb_queue_tail" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4e23209d, "wiphy_to_ieee80211_hw" },
	{ 0x519b67cd, "ieee80211_gtk_rekey_add" },
	{ 0x418b5fc2, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0xd9e06c08, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x666209a7, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x1a7927c8, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0xc8742a95, "ieee80211_sta_pspoll" },
	{ 0x120253bb, "ieee80211_wake_queues" },
	{ 0x133663bc, "free_netdev" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x8bf9faf3, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa03275b9, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4524d81d, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6b0e617b, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xe22312ad, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x3abaee42, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x7b25155c, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x9d3330ca, "ieee80211_ready_on_channel" },
	{ 0x0ed825b1, "ieee80211_stop_queues" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x03db1aef, "skb_unlink" },
	{ 0x2fcf967c, "__netif_napi_del_locked" },
	{ 0x77de02c8, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xddc5e4d0, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf1775b34, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xcb6b2d04, "ieee80211_scan_completed" },
	{ 0xc0012aad, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x5fb0c02f, "ieee80211_unregister_hw" },
	{ 0xcfbd8968, "seq_write" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x9076ac3f, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa2bba2f8, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x08b8852f, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x1778b81d, "ieee80211_queue_work" },
	{ 0x25eea646, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0xd0c7f053, "napi_disable" },
	{ 0x0b67e7d9, "ieee80211_sta_ps_transition" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0xce32daed, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xd503696b, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "CAF7692A57BCB507CFB06ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
