#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_update_cc, "_gpl", "");
KSYMTAB_FUNC(nvmet_alloc_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_put, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x843c602c, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x38a61b82, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xed917118, "_gpl");
SYMBOL_CRC(nvmet_cq_create, 0xf270869c, "_gpl");
SYMBOL_CRC(nvmet_sq_create, 0xf56e9aad, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x08218f1a, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x8c933578, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x6c195f3f, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x66a744ea, "_gpl");
SYMBOL_CRC(nvmet_req_transfer_len, 0xb7418fd2, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x5bba4445, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x77845b68, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x2bfaff49, "_gpl");
SYMBOL_CRC(nvmet_update_cc, 0xfe11b4f1, "_gpl");
SYMBOL_CRC(nvmet_alloc_ctrl, 0x47593cb5, "_gpl");
SYMBOL_CRC(nvmet_ctrl_put, 0xb52eb347, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xb5acb13f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5471257e, "filp_open" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe25342c4, "bdev_file_open_by_path" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4d7e3520, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6f03d75c, "config_group_init" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xb5c3440e, "nvme_auth_extract_key" },
	{ 0x0e786ce7, "trace_seq_printf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x899c82ef, "pci_dev_put" },
	{ 0xa08e930d, "blk_rq_append_bio" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x17b280cf, "__kmalloc_node_noprof" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x748e03ca, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf2a6966, "up" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdf40cdae, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x2747c56f, "nvme_command_effects" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x3146e0f9, "__module_get" },
	{ 0x2d158ced, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72d86b60, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x15784f97, "nvme_passthru_end" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xe4e205d6, "sg_zero_buffer" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x070f7896, "_printk" },
	{ 0x1bdd95ed, "crypto_alloc_kpp" },
	{ 0x2dca66f5, "vfs_fallocate" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdddb9d57, "percpu_ref_resurrect" },
	{ 0x2155fb6b, "blkdev_zone_mgmt" },
	{ 0x2f109faf, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x24de4a7a, "put_device" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x51d03405, "blk_mq_free_request" },
	{ 0x8bd34d23, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0xb9cf4c3a, "nvme_auth_hmac_hash_len" },
	{ 0x98884fe2, "submit_bio" },
	{ 0x2af21e81, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x255870d7, "nvme_auth_gen_pubkey" },
	{ 0x49f26466, "kstrndup" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x53065e9d, "key_put" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0x4a65afa1, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x2fa81464, "bio_endio" },
	{ 0x66a4bbab, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0xaad78ede, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6a4e5f94, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2d399bd3, "configfs_register_subsystem" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0xdd56729a, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x5bb38b2f, "config_group_init_type_name" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x05630fa7, "bio_integrity_add_page" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x04b012b6, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x7b793916, "bio_chain" },
	{ 0x0e745735, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe04b38a0, "bio_add_page" },
	{ 0x20fc2962, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb81c35d9, "nvme_find_get_ns" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfa715d52, "bio_integrity_alloc" },
	{ 0x195cec7d, "sg_miter_start" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x1f0da484, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6a06d2cc, "bio_init" },
	{ 0x2bc95bd4, "memset" },
	{ 0xdc7cf6f2, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x405f4083, "__kmem_cache_create_args" },
	{ 0x7c6454a2, "nvme_passthru_start" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0a0ebc08, "__xa_cmpxchg" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x0745a981, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x74624b10, "crypto_shash_final" },
	{ 0xe421a1b3, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x0dc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf9c86cd0, "filp_close" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2f3607dc, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x21093849, "nvme_ctrl_from_file" },
	{ 0xd0f6fd36, "file_bdev" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xc5dc4bed, "nvme_init_request" },
	{ 0x09da0ba4, "xa_set_mark" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4addf7d8, "nvme_execute_rq" },
	{ 0x00dd9e14, "key_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x144e0bf1, "nvme_put_ns" },
	{ 0xd6d452fe, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbfac70e2, "nvme_auth_gen_privkey" },
	{ 0xc3fc7672, "bio_alloc_bioset" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xd2b0516c, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xee36f425, "nvme_get_features" },
	{ 0xa34e5302, "submit_bio_wait" },
	{ 0x568c8ad2, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x92639069, "__blkdev_issue_discard" },
	{ 0x78f26318, "fs_bio_set" },
	{ 0x98ea0c68, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb889cfab, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "configfs,nvme-auth,nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "B96F0E6BF8295CE84B66155");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
