#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x0d1134ff, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xa696c647, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x8acccfa6, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x75710d48, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xd8d9e06b, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x23d1df6f, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xe0afca20, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x5377a7bf, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x9f26398b, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x86c07f0d, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x6cbc6fd6, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x6df9473b, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x5e05b212, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x765ec18b, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x73ff3f8f, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0xac294c9e, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x7da622c4, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x101209fc, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xa01c873f, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x64a9dc7e, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x85710c80, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x9150b083, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xf3dd3b22, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xe5138488, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x5b8ba438, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x371be41f, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x2922a688, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x4d113cbf, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x1dff6282, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0xfdf90a7b, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x76523a97, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x3338d594, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x6637db5c, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xf2730d1e, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xab363514, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x7d8e02bf, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0xc04565c2, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x0de2963c, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x50e566b9, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xa99b2dc5, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x271ed0fa, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x56130b82, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xe8199065, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x658f4723, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x070f7896, "_printk" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6cf10c3a, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd1184655, "iscsi_host_remove" },
	{ 0x899c82ef, "pci_dev_put" },
	{ 0x096dfef4, "iscsi_host_free" },
	{ 0x488c6f2c, "iscsi_host_alloc" },
	{ 0x10d44c8b, "pci_dev_get" },
	{ 0xefaa2b3f, "iscsi_host_add" },
	{ 0x76f06cf6, "scsi_host_put" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x28890af6, "cxgbi_ppm_init" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xe69d465b, "iscsi_conn_queue_xmit" },
	{ 0xac99715e, "__kfree_skb" },
	{ 0x7b08f3dc, "iscsi_tcp_cleanup_task" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x174782b5, "cxgbi_ppm_ppod_release" },
	{ 0xb7f0cf56, "dma_unmap_sg_attrs" },
	{ 0x037a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x25ab6719, "iscsi_tcp_conn_setup" },
	{ 0x88cf67b9, "iscsi_session_setup" },
	{ 0x99b7844e, "iscsi_tcp_r2tpool_alloc" },
	{ 0xdb5f39d8, "iscsi_session_teardown" },
	{ 0x4b1b1c8c, "iscsi_tcp_r2tpool_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc1eb01af, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9ec4b86, "_dev_printk" },
	{ 0x96898769, "sysfs_format_mac" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26716d46, "iscsi_host_get_param" },
	{ 0x5152e605, "memcmp" },
	{ 0xb1744b7d, "iscsi_unregister_transport" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd1d569da, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x96487f19, "iscsi_register_transport" },
	{ 0x534794e1, "init_net" },
	{ 0x3621b336, "ip6_route_output_flags" },
	{ 0xd19b47db, "iscsi_tcp_set_max_r2t" },
	{ 0x6f5d056a, "iscsi_set_param" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x178a9a4c, "cxgbi_ppm_ppods_reserve" },
	{ 0x2f4fcf18, "dma_map_sg_attrs" },
	{ 0x6ecaa63c, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfb0bff59, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x5052d2f0, "iscsi_tcp_recv_skb" },
	{ 0xc6913c3e, "iscsi_lookup_endpoint" },
	{ 0x392268d9, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x4c7fa0f1, "iscsi_tcp_hdr_recv_prep" },
	{ 0x81207ba1, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6678d509, "skb_put" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x05536501, "__kmap_local_page_prot" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x420eabe4, "mem_section" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x132a241c, "dst_release" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4fc8a1d7, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4b0f6a18, "__folio_put" },
	{ 0x2af21e81, "module_put" },
	{ 0x312ee680, "iscsi_destroy_endpoint" },
	{ 0xb4338c27, "ipv6_dev_get_saddr" },
	{ 0x3b807f06, "make_kuid" },
	{ 0x2ab5badc, "ip_route_output_flow" },
	{ 0x931feb36, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x4689cd70, "iscsi_create_endpoint" },
	{ 0xd687b00a, "__ip_dev_find" },
	{ 0xc06cf05d, "iscsi_itt_to_ctask" },
	{ 0x8cdd2467, "param_ops_uint" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
