#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xa7d1dce1, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xbddeea4d, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x498c1fac, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xd9c87d50, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xc20de743, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x4c7fa0f1, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x7b08f3dc, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xfb0bff59, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x5052d2f0, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x63087570, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x7270110e, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x25ab6719, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xf1031532, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x99b7844e, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x4b1b1c8c, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xd19b47db, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x58532c32, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x238ca250, "kunmap_high" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x45cb27d2, "iscsi_dbg_trace" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe9ec4b86, "_dev_printk" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0x05536501, "__kmap_local_page_prot" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x1ee7457d, "kmap_high" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x328a2fe7, "crypto_ahash_update" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdd454308, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbdd14138, "crypto_ahash_digest" },
	{ 0xdadcd632, "crypto_ahash_init" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x45de6a31, "skb_prepare_seq_read" },
	{ 0x78f6ceb7, "skb_seq_read" },
	{ 0x2e60bace, "memcpy" },
	{ 0x19c55f9e, "skb_abort_seq_read" },
	{ 0xd1d569da, "iscsi_conn_failure" },
	{ 0x2ccddf0d, "iscsi_prep_data_out_pdu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x213f33be, "iscsi_put_task" },
	{ 0x4ae10334, "iscsi_conn_setup" },
	{ 0x401e39e4, "iscsi_conn_teardown" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xe735c6b7, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5152e605, "memcmp" },
	{ 0x3118ae58, "iscsi_complete_pdu" },
	{ 0x3c8fa6b1, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc06cf05d, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa055dc3f, "iscsi_get_task" },
	{ 0x774ef49b, "iscsi_update_cmdsn" },
	{ 0xc94bc71b, "__iscsi_complete_pdu" },
	{ 0xdfbd03cc, "iscsi_requeue_task" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
