#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x9876f952, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x3cb11920, "_gpl");
SYMBOL_CRC(spmi_register_read, 0x7c1ab5dc, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0xe7426df5, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0xca4e4eea, "_gpl");
SYMBOL_CRC(spmi_register_write, 0x6093b330, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xea6a4d4d, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x7ffeeb01, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x0290bd4c, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x4e05c509, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x4b3d8985, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x5dc8b098, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x97ee480c, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x1ee0106e, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0xffa775b2, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0xaa038ca1, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0xdceb87f2, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0xbd48a212, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0xf05e3d94, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2e60bace, "memcpy" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xcacd4683, "bpf_trace_run5" },
	{ 0x688f510d, "bpf_trace_run4" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0x6bdf0162, "bpf_trace_run6" },
	{ 0x94c48a18, "dev_set_name" },
	{ 0x2f0d8d62, "device_add" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0x32b0a394, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xb06b709f, "of_device_uevent_modalias" },
	{ 0x840aa8f7, "device_match_of_node" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0xe5515291, "driver_register" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0xb709e456, "bus_register" },
	{ 0x8809effe, "device_for_each_child" },
	{ 0xecdf111e, "device_del" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x0aae5874, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x24de4a7a, "put_device" },
	{ 0xa0835a0b, "of_match_device" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x4ea226c7, "of_get_next_available_child" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x7bf87124, "device_set_node" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "685E0351E165493F1D75B73");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
