#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xefcfa62c, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xc067a31f, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0xb864166e, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x0d66c219, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x571613ae, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x05f460aa, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xeb1707cc, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x22bf037a, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x87f698aa, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0xf7ab629f, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xe22869b4, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x0ca34ea0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5af8e078, "down_write" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xffb7c514, "ida_free" },
	{ 0x037a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2dd36491, "driver_set_override" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0x2f0d8d62, "device_add" },
	{ 0x24de4a7a, "put_device" },
	{ 0x32b0a394, "device_unregister" },
	{ 0xe5515291, "driver_register" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xcf0a8ceb, "bus_for_each_dev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x29f3a126, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x51813ef6, "nla_put" },
	{ 0x75a8e086, "genl_unregister_family" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb709e456, "bus_register" },
	{ 0xfb9b084d, "genl_register_family" },
	{ 0x4388859e, "dma_set_mask" },
	{ 0x7d1c023b, "dma_set_coherent_mask" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x94c48a18, "dev_set_name" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x0aae5874, "device_initialize" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8d47c2ee, "netlink_capable" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x070f7896, "_printk" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0xe3ee55c6, "genlmsg_put" },
	{ 0xd0d8621b, "strlen" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x80211203, "netlink_unicast" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0522936D0657C3EA735B82");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
