#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x1ffb4672, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xe2e5a982, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xde1cc71f, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xf13eca26, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xb24adec5, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x1fcc1c66, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x70879f8b, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x93bc3d21, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x08e8f846, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x2c966a13, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x8aca5286, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x98d51958, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xa02df320, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x0bfd73a7, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x0d4831e4, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x9ae2d219, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xeac47593, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xe89fad33, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x56112330, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x92d60043, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x66ee8403, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x0b758708, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x79ebf1ac, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x2a770bf6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xe0e42189, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x41336297, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x41f27686, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x27acaff3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x46c5676c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x48f4102a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xf2f18d16, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x923f431f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xb8878ec2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x3ec986a4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x6f561f2e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xd9ce2b91, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x38bfa05d, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x1fd6d6c6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x643afe4c, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xe5bec450, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x75e1c462, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xb21fd523, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x6dcb011f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0xb3d1c0f1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x3599162f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xf65c28ac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x911575bb, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xdc86418c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x0fd80e57, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0xa6d8f45b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xe03be88a, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x9bb70451, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x5ecd91d1, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x83d28e58, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xa2b4d838, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x222e17e0, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x61a7cd3b, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xe0d1cfb4, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x034a9379, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x80d28634, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x89dee485, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x645bc88b, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x0c98e385, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xa6abdbc0, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xda98effa, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x697e9d07, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x00185612, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x66c8c75c, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x80fcc871, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x8dab6921, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x9ab6daf9, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xe7a1415d, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x950c6dc0, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x7629dd01, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x7341bfce, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xa6fa59e0, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xfe42969f, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xec7c2b23, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x2e7f208a, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x4fbd758d, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x440a0154, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xb828d900, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x0c229102, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x5bfcec82, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x5c58e403, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x2ab482c3, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x53cabeb0, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x921a0eae, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x2c6ee52e, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x73afc6f9, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xaa600cb5, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xedcf47a4, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xbae90ecb, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xfd7c9463, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xc9171e2f, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x591d9c7c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xe2fc4523, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x40e6a5fc, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xf8da4019, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xd7db4206, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x836af5ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86c584fd, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x0d8642ae, "svc_generic_rpcbind_set" },
	{ 0x2d83d5ee, "nfs_clone_server" },
	{ 0x66d1f756, "nfs_access_add_cache" },
	{ 0x3a9a55b2, "filemap_fdatawrite" },
	{ 0x9ff98629, "nfs_show_stats" },
	{ 0xa1e6aa08, "nfs_server_remove_lists" },
	{ 0x658aba34, "shrinker_alloc" },
	{ 0xa8383c1a, "nfs42_ssc_unregister" },
	{ 0x83e44edc, "generic_listxattr" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x97248ff0, "nfs_writeback_update_inode" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc58770bd, "clear_inode" },
	{ 0x25b97724, "inode_to_bdi" },
	{ 0x688f510d, "bpf_trace_run4" },
	{ 0xf13ad599, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8cdd2467, "param_ops_uint" },
	{ 0x7c9e10ab, "user_revoke" },
	{ 0x899dea15, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3e2931c6, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xcd153fd4, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6e9e9b49, "rpc_clnt_probe_trunked_xprts" },
	{ 0x22046628, "nfs_pageio_reset_read_mds" },
	{ 0xf379249f, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x8af627ef, "rpc_shutdown_client" },
	{ 0x97329998, "svc_bind" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x9a70b55e, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x4161e916, "nfs_wait_bit_killable" },
	{ 0x26ed8860, "nfs_free_inode" },
	{ 0x1097b6bb, "nfs_access_zap_cache" },
	{ 0xd0bb763f, "nfs_sb_deactive" },
	{ 0x29453ff9, "nfs_wb_all" },
	{ 0x9cbae15f, "__break_lease" },
	{ 0x0426026c, "nfs_pageio_init_write" },
	{ 0x159c062a, "svc_recv" },
	{ 0x9374801d, "nfs_drop_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xde28e253, "xdr_inline_decode" },
	{ 0x817dddca, "nfs_pageio_init_read" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x65a1ca6a, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x477052bd, "nfs_init_commit" },
	{ 0xe93af229, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6bdf0162, "bpf_trace_run6" },
	{ 0x569922ba, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x3cf0b88d, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0xb0c29d62, "nfs_mknod" },
	{ 0x526e0c25, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9da8f90, "nfs4_label_alloc" },
	{ 0x5c6945e3, "rpc_localaddr" },
	{ 0xf9f044fc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x8f6a718e, "nfs_access_get_cached" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xce1ca622, "nfs_lock" },
	{ 0xb273448d, "unregister_key_type" },
	{ 0xcf8845a9, "nfs_client_init_is_complete" },
	{ 0x450811a9, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xef387065, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0xaaa5980a, "user_preparse" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xfa157f74, "ihold" },
	{ 0xcd7307e9, "truncate_pagecache_range" },
	{ 0x00152d01, "rpc_peeraddr" },
	{ 0x037a0cba, "kfree" },
	{ 0x5b0f7838, "invalidate_inode_pages2_range" },
	{ 0xec9021a1, "nfs_post_op_update_inode" },
	{ 0x2e0811e1, "svc_exit_thread" },
	{ 0x6d81ed85, "iput" },
	{ 0x564061f2, "xdr_set_pagelen" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xeeb34297, "nfs_pgio_header_free" },
	{ 0xdf3f7b61, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf90a4535, "logfc" },
	{ 0x452bce74, "nfs_pgio_header_alloc" },
	{ 0xdd214a42, "iter_file_splice_write" },
	{ 0x5dfb97f4, "rpc_pton" },
	{ 0x0f94d16f, "nfs_sb_active" },
	{ 0x0da4cc07, "mod_node_page_state" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0x347fec68, "rpc_wake_up_queued_task" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x4152927d, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x29c18a7b, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x5b559c7c, "_copy_from_pages" },
	{ 0x3146e0f9, "__module_get" },
	{ 0xf3cd070b, "rpc_task_release_transport" },
	{ 0xcd89547d, "xdr_page_pos" },
	{ 0x2e30e43e, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xcc6b55d8, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa7c8c215, "key_instantiate_and_link" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0x462a2e75, "match_strlcpy" },
	{ 0xf3eeec68, "xdr_read_pages" },
	{ 0x065994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x911634b5, "register_key_type" },
	{ 0x55635bc3, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xedc2282a, "rpc_run_task" },
	{ 0xe0a36dfd, "nfs_pageio_resend" },
	{ 0x07bd03cc, "keyring_alloc" },
	{ 0xaa1fdc7f, "vfs_setpos" },
	{ 0x50bbd003, "nfs_create" },
	{ 0xafa87cff, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x28177c90, "__put_cred" },
	{ 0x84d821a1, "nfs_update_delegated_mtime" },
	{ 0x7ef7ee52, "nfs_statfs" },
	{ 0x71445136, "wake_up_process" },
	{ 0x00c7332d, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x15ba50c1, "splice_file_range" },
	{ 0xe7245da9, "rpc_max_bc_payload" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xffb5eaaa, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x70a5f2c0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0x8d8c4e5a, "nfs_mkdir" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf689f342, "nfs_revalidate_inode" },
	{ 0x346372a4, "inode_newsize_ok" },
	{ 0x7cf59d30, "nfs_file_mmap" },
	{ 0xe718ee24, "nfs_get_lock_context" },
	{ 0x78e259ed, "d_drop" },
	{ 0x070f7896, "_printk" },
	{ 0xf6908b5a, "nfs_set_cache_invalid" },
	{ 0xf7549fe4, "rpc_release_client" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdbd7e5b7, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x0261a6eb, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ea68ed3, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x892114c6, "unregister_sysctl_table" },
	{ 0x4221ad3a, "nfs_generic_pgio" },
	{ 0x3b807f06, "make_kuid" },
	{ 0x4d0ad23b, "truncate_inode_pages_final" },
	{ 0x56fdf21d, "generic_setlease" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xbda29025, "xprt_destroy_backchannel" },
	{ 0xeae17905, "rpc_switch_client_transport" },
	{ 0x738803e6, "strnlen" },
	{ 0xc1f8dab8, "nfs_scan_commit_list" },
	{ 0x50efaeb2, "xdr_stream_decode_string_dup" },
	{ 0x2a574ccf, "nfs_commit_inode" },
	{ 0x241ddb8e, "shrinker_register" },
	{ 0x3d68d2b9, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x8a1f5211, "rpc_destroy_pipe_data" },
	{ 0x96c0c7a4, "nfs_get_client" },
	{ 0x6dded84f, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xf9f3f380, "security_release_secctx" },
	{ 0xd4fa0d1e, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xe63f9038, "nfs_atomic_open" },
	{ 0x9ad3c83c, "rpc_pipe_generic_upcall" },
	{ 0x6a4e2c9a, "nfs_file_fsync" },
	{ 0x2af21e81, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x99426c96, "mntput" },
	{ 0xbd46d9fc, "nfs_put_lock_context" },
	{ 0xa5d5bdfc, "nfs_rename" },
	{ 0xee8b1487, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x05536501, "__kmap_local_page_prot" },
	{ 0x2c41faee, "nfs_sysfs_link_rpc_client" },
	{ 0x9042a92a, "nfs_put_client" },
	{ 0x8876f260, "nfs_show_options" },
	{ 0xb392811d, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x53065e9d, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xf0d221f9, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x70fefef2, "get_nfs_open_context" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x728b7501, "nfs_clear_verifier_delegated" },
	{ 0x8fbaacd4, "nfs_sysfs_add_server" },
	{ 0xaad78ede, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0x36a6cf43, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x934afdbd, "nfs_do_submount" },
	{ 0xf80e65bf, "vfs_dup_fs_context" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0xb9ecc8dd, "request_key_with_auxdata" },
	{ 0x6474df76, "rpc_clone_client_set_auth" },
	{ 0x9e5d0284, "rpc_clone_client" },
	{ 0xec0bd1c5, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe08a836c, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x508a2204, "svc_rpcb_cleanup" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2557fbca, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd69ace82, "put_fs_context" },
	{ 0x379ad0a3, "nfs_retry_commit" },
	{ 0xbb135405, "nfs4_dentry_operations" },
	{ 0x031d8b94, "__module_put_and_kthread_exit" },
	{ 0x034c231c, "rpc_peeraddr2str" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0x11fbaacc, "nfs_client_for_each_server" },
	{ 0xeadd12a0, "nfs_clear_inode" },
	{ 0x16e827e7, "rpc_sleep_on_priority" },
	{ 0xf4dc4beb, "nfs_invalidate_atime" },
	{ 0xcacd4683, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c5ddb6e, "nfs_umount_begin" },
	{ 0x7ab204b7, "nfs_getattr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x718b57d3, "nfs_pageio_reset_write_mds" },
	{ 0xe7dfb047, "kmem_cache_free" },
	{ 0x1ccfa6a2, "nfs_generic_pg_test" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x49f4ce6b, "xdr_stream_subsegment" },
	{ 0xe259cfa3, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xf6d382c2, "nfs_fscache_open_file" },
	{ 0x9559b80b, "from_kgid" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf34c8307, "nfs_write_inode" },
	{ 0xc7cd49fd, "nfs_request_remove_commit_list" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x798100c2, "page_to_nid" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x106cab64, "rpc_wake_up_first" },
	{ 0xa49c6217, "alloc_nfs_open_context" },
	{ 0x3ace5a1a, "list_lru_add_obj" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb04265b3, "vfs_parse_fs_param" },
	{ 0x21ef54c6, "nfs_path" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xa56285d2, "rpc_sleep_on_priority_timeout" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x7300eedf, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7c6bbe08, "register_nfs_version" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x48e9869e, "rpc_sleep_on_timeout" },
	{ 0x7f83e914, "list_lru_count_one" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x75112549, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xaabc1ea4, "rpc_call_start" },
	{ 0x38c1e069, "xprt_setup_backchannel" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0xc28afaec, "svc_create" },
	{ 0x04f54804, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x77ee80b4, "nfs_file_set_open_context" },
	{ 0xbbbb6e51, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x882e237c, "rpc_call_sync" },
	{ 0x0cdd3b75, "from_kuid" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0x4c905055, "rpc_put_task_async" },
	{ 0x5736144c, "rpc_prepare_reply_pages" },
	{ 0xd887b797, "rpc_queue_upcall" },
	{ 0xba4a2f4f, "nfs_free_server" },
	{ 0x917b6de3, "fc_mount" },
	{ 0x419f71ae, "register_sysctl_sz" },
	{ 0xcfe8572a, "nfs_setattr" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcf06445c, "xdr_terminate_string" },
	{ 0xbd2b66b2, "nfs4_fs_type" },
	{ 0xf8746b12, "key_revoke" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0xbbee6def, "rpc_delay" },
	{ 0x43a35bd8, "nfs_flock" },
	{ 0x8f75bddb, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcc87b952, "__list_lru_init" },
	{ 0x32b46672, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf557b3fb, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x7d360d65, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x63716bd1, "rpc_exit" },
	{ 0xf86fe009, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x405f4083, "__kmem_cache_create_args" },
	{ 0x1bbedc30, "rpc_remove_pipe_dir_object" },
	{ 0x796df67e, "nfs_may_open" },
	{ 0xdc4ca849, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0x845e3543, "nfs_server_copy_userdata" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x19258cc7, "xdr_reserve_space" },
	{ 0xa727a9a2, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e1b813b, "kthread_create_on_node" },
	{ 0xe72a4a22, "list_lru_isolate" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x09a0df4e, "nfs_rmdir" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x1859bdf7, "nfs_filemap_write_and_wait_range" },
	{ 0xff140166, "rpc_mkpipe_dentry" },
	{ 0x844c6a62, "alloc_file_pseudo" },
	{ 0x0b66e5c6, "rpc_mkpipe_data" },
	{ 0x2340a14a, "rpc_add_pipe_dir_object" },
	{ 0xa37270fe, "igrab" },
	{ 0xc68b68d2, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4d2e9fba, "nfs_async_iocounter_wait" },
	{ 0x2f6d8825, "nfs_file_read" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x02109fc3, "nfs_alloc_fattr_with_label" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xdc0f847a, "filemap_fdatawait_range" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xff5049e2, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66f687a9, "nfs_setattr_update_inode" },
	{ 0x164c2b51, "nfs_instantiate" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x5857a2c8, "rpc_uaddr2sockaddr" },
	{ 0x663ffccd, "user_read" },
	{ 0x991847a3, "rpc_restart_call" },
	{ 0x38f323e4, "request_key_tag" },
	{ 0x39c2b139, "xprt_force_disconnect" },
	{ 0xae6c01ef, "user_free_preparse" },
	{ 0xafb9ada4, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xad6fc30f, "svc_xprt_destroy_all" },
	{ 0x1bc48861, "generic_key_instantiate" },
	{ 0x5e62271a, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xb65896e7, "nfs_link" },
	{ 0x4b0f6a18, "__folio_put" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf58160a9, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x25ab26ac, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x21318d3e, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x85174991, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6a3c4342, "xdr_stream_move_subsegment" },
	{ 0x6ccc2016, "put_rpccred" },
	{ 0x0294c6a2, "nfs_callback_nr_threads" },
	{ 0x3ebdf3cd, "nfs_post_op_update_inode_force_wcc" },
	{ 0xcddd86a6, "nfs_pgheader_init" },
	{ 0xd5c61361, "put_nfs_open_context" },
	{ 0x04edfee0, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x63297a72, "nfs_show_devname" },
	{ 0x7ed32142, "nfs_permission" },
	{ 0x5737057a, "nfs_initiate_commit" },
	{ 0x72976a9e, "truncate_inode_pages_range" },
	{ 0xaf804d3e, "__put_user_ns" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0x4a485f5f, "cred_fscmp" },
	{ 0xd34ee805, "rpc_unlink" },
	{ 0x5b323988, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xf51b568c, "nfs_file_write" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x5f5c1f43, "node_data" },
	{ 0xec4f3af7, "nfs_probe_server" },
	{ 0x4003fe22, "nfs_setsecurity" },
	{ 0x3f39cad2, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xa01dad68, "rpc_clnt_test_and_add_xprt" },
	{ 0x8306698c, "file_ra_state_init" },
	{ 0x7bb95923, "nfs_force_lookup_revalidate" },
	{ 0x5e11771c, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1b869458, "rpc_clnt_add_xprt" },
	{ 0x5fc10893, "dget_parent" },
	{ 0x1a4c8abf, "from_kuid_munged" },
	{ 0xd2ee9a39, "prepare_kernel_cred" },
	{ 0x48acbc60, "nfs_alloc_server" },
	{ 0xa6cda8a9, "rpc_call_async" },
	{ 0x1729401d, "security_dentry_init_security" },
	{ 0x63d291bc, "filemap_write_and_wait_range" },
	{ 0x2adcb69d, "list_lru_del_obj" },
	{ 0xebe6ac27, "nfs_server_insert_lists" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x4c4ec990, "nfs_dreq_bytes_left" },
	{ 0xd0d8621b, "strlen" },
	{ 0x9921a373, "nfs_free_client" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xf2b59e9a, "rpc_init_pipe_dir_object" },
	{ 0xe76fb033, "bpf_trace_run7" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x9171420f, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0xd7fa048b, "nfs_init_server_rpcclient" },
	{ 0x881e2ecc, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x56f14658, "rpc_set_connect_timeout" },
	{ 0x8d1f5375, "rpcauth_create" },
	{ 0x0e8ff8e0, "xdr_stream_pos" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x5f94e171, "key_set_timeout" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x29f3a126, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x6d688234, "svc_xprt_create" },
	{ 0x107bef53, "nfs42_ssc_register" },
	{ 0x60ebe40d, "rpc_wait_for_completion_task" },
	{ 0xf8837d81, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd4a4f7f1, "rpc_num_bc_slots" },
	{ 0x79f42449, "nfs_alloc_inode" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcfd6120e, "rpc_destroy_wait_queue" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x11c21253, "security_inode_listsecurity" },
	{ 0xefbfd532, "nfs_fhget" },
	{ 0xb55b8f26, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x47e35db5, "locks_copy_lock" },
	{ 0xb889cfab, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x02e67b7c, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcdb4cc86, "nfs_set_verifier" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "865D36867EC0A89ED41A79C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
