#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21af1960, "inode_init_owner" },
	{ 0x13c624cd, "setattr_prepare" },
	{ 0x1db8c68d, "iget_locked" },
	{ 0x656274da, "clear_nlink" },
	{ 0xe5a0b935, "generic_block_bmap" },
	{ 0xf1391e44, "d_instantiate" },
	{ 0xc58770bd, "clear_inode" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xecaf4724, "new_inode" },
	{ 0xd73cdeae, "unregister_filesystem" },
	{ 0x22fea010, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5c9b43ff, "d_make_root" },
	{ 0x1ac698e8, "sb_set_blocksize" },
	{ 0xef387065, "d_splice_alias" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xa9f0cfbd, "generic_file_fsync" },
	{ 0x6d81ed85, "iput" },
	{ 0xb45a6390, "generic_file_write_iter" },
	{ 0x37fd100e, "register_filesystem" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb28f42e6, "simple_inode_init_ts" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x346372a4, "inode_newsize_ok" },
	{ 0x40c201f9, "kill_block_super" },
	{ 0xa8b2bfb1, "unlock_new_inode" },
	{ 0x070f7896, "_printk" },
	{ 0x75f9077c, "block_invalidate_folio" },
	{ 0x51051b6b, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3b807f06, "make_kuid" },
	{ 0x4d0ad23b, "truncate_inode_pages_final" },
	{ 0x9a8747ab, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x6802c7a8, "__brelse" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x201ef43b, "generic_file_read_iter" },
	{ 0x4e3567f7, "match_int" },
	{ 0xc45ab8b8, "truncate_pagecache" },
	{ 0xe6dda1dd, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0f0878ae, "setattr_copy" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9e904a66, "mpage_writepages" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x76cc4fb7, "__bread_gfp" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x4669181a, "block_dirty_folio" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc8add775, "__insert_inode_hash" },
	{ 0x791e872c, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xf86fe009, "make_kgid" },
	{ 0xdc4ca849, "from_kgid_munged" },
	{ 0x2917a636, "truncate_setsize" },
	{ 0x526cb18d, "block_read_full_folio" },
	{ 0xacd4bd06, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x85df9b6c, "strsep" },
	{ 0x5e932b19, "mount_bdev" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1a18a202, "mpage_readahead" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x1192d6ec, "inode_set_ctime_current" },
	{ 0x5e62271a, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8d601751, "block_write_begin" },
	{ 0x0b0e66c8, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x1a4c8abf, "from_kuid_munged" },
	{ 0x8b900e24, "d_parent_ino" },
	{ 0xa2048e95, "crc_itu_t" },
	{ 0x881e2ecc, "__mark_inode_dirty" },
	{ 0x9b4ead8e, "generic_file_llseek" },
	{ 0x9209d6a6, "make_bad_inode" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x2b156089, "inode_set_ctime_to_ts" },
	{ 0xbf488fbe, "iget_failed" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "217889EF0E0C9884E0C4C9E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
