#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");
KSYMTAB_FUNC(hsr_get_port_ndev, "", "");

SYMBOL_CRC(hsr_get_version, 0x1587ba0b, "");
SYMBOL_CRC(is_hsr_master, 0x1f6d867d, "");
SYMBOL_CRC(hsr_get_port_ndev, 0x11b29e41, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7d1c9b3, "dev_set_mtu" },
	{ 0x064f6f0c, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x757545ad, "eth_header" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6678d509, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6a533f99, "netdev_update_features" },
	{ 0x8235805b, "memmove" },
	{ 0x32d50c58, "rtnl_link_register" },
	{ 0xe3ee55c6, "genlmsg_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xbabbf219, "dev_uc_sync_multiple" },
	{ 0x037a0cba, "kfree" },
	{ 0x511d4ac2, "dev_set_promiscuity" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x780bbce0, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2b577412, "unregister_netdevice_queue" },
	{ 0xa9fcbe43, "netlink_ack" },
	{ 0x7fe32327, "__pskb_copy_fclone" },
	{ 0x736eee47, "dev_uc_unsync" },
	{ 0x9d822627, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x04381788, "netlink_broadcast_filtered" },
	{ 0x4b45a999, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x93fe0e60, "netdev_upper_dev_link" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x17e6dedc, "netdev_rx_handler_unregister" },
	{ 0xd4754516, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x481b2a91, "skb_copy_expand" },
	{ 0xa5c3c563, "__dev_get_by_index" },
	{ 0xc43a689c, "rtnl_link_unregister" },
	{ 0x534794e1, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x0de07004, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x80211203, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa32a6d32, "dev_get_by_index_rcu" },
	{ 0x2a8d8076, "netdev_printk" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0x3c495648, "debugfs_remove" },
	{ 0x845289bb, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x58697a59, "netdev_set_operstate" },
	{ 0x68b4786c, "debugfs_change_name" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0x2ceab378, "netif_rx" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x748d4df1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x118a3038, "vlan_vid_add" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51ba7500, "call_netdevice_notifiers" },
	{ 0xa9b9f99f, "vlan_vid_del" },
	{ 0x44f88b65, "dev_set_allmulti" },
	{ 0xcfbd8968, "seq_write" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7c784e33, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x47e21b18, "netif_carrier_on" },
	{ 0xd34e98fa, "debugfs_create_file_full" },
	{ 0xd796c762, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x75a8e086, "genl_unregister_family" },
	{ 0xf52faa21, "dev_disable_lro" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x7722dba8, "single_open" },
	{ 0x15612c65, "debugfs_create_dir" },
	{ 0x5fee469e, "dev_mc_unsync" },
	{ 0xfb9b084d, "genl_register_family" },
	{ 0x3a6701ae, "netdev_core_stats_inc" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x9aaf41d3, "netdev_info" },
	{ 0x2aad8718, "dev_mc_sync_multiple" },
	{ 0xf443749a, "register_netdevice" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CD9FC630B4129B746873B98");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
