#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x9d6b3e9f, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xa9924cab, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x633e1712, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x32d011ca, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xeb727934, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x2f4415f7, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xc595497e, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x4ee8d8e6, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x423542ee, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xb0efb2a1, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x5854885a, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xa968cb0c, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x78ded56f, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x22440d09, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xc998a28f, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xeedbc9a9, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x65b5a747, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xa9553e02, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xa5eed2d6, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xfdfbdfaf, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xec8718c4, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x6262b1ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62f7243d, "iptun_encaps" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd0d8621b, "strlen" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3127606b, "alloc_netdev_mqs" },
	{ 0xf443749a, "register_netdevice" },
	{ 0x133663bc, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2b577412, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x94a74822, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2ab5badc, "ip_route_output_flow" },
	{ 0x132a241c, "dst_release" },
	{ 0xa5c3c563, "__dev_get_by_index" },
	{ 0x6d530716, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0x14e19b76, "netdev_state_change" },
	{ 0x55e2bddf, "ns_capable" },
	{ 0xe7d1c9b3, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x534794e1, "init_net" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xd71de0fd, "ip6_mtu" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x432d0db7, "icmpv6_ndo_send" },
	{ 0x0f4166a3, "icmp_ndo_send" },
	{ 0x5fb85e5a, "ipv4_mtu" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x6be12e5f, "dst_cache_get_ip4" },
	{ 0xbe150b9d, "dst_cache_set_ip4" },
	{ 0x1c473fbd, "iptunnel_xmit" },
	{ 0x826e36f2, "__skb_get_hash_net" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0x931feb36, "neigh_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x79dcc778, "skb_scrub_packet" },
	{ 0xb25bffe8, "gro_cells_receive" },
	{ 0x67ad18b9, "eth_type_trans" },
	{ 0x07d50a24, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x070f7896, "_printk" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B5C7FB22D4262CC96E6EF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
