#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipt_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(ipt_register_table, "", "");
KSYMTAB_FUNC(ipt_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ipt_unregister_table_exit, "", "");
KSYMTAB_FUNC(ipt_do_table, "", "");

SYMBOL_CRC(ipt_alloc_initial_table, 0x8eb3876e, "_gpl");
SYMBOL_CRC(ipt_register_table, 0xcba58f02, "");
SYMBOL_CRC(ipt_unregister_table_pre_exit, 0x6b2a70e6, "");
SYMBOL_CRC(ipt_unregister_table_exit, 0x5f351fbe, "");
SYMBOL_CRC(ipt_do_table, 0x2bd18f1d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0c239fa3, "xt_find_table" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa3630ab0, "nf_unregister_net_hooks" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x96dfb9f2, "register_pernet_subsys" },
	{ 0x6bc677f9, "xt_register_targets" },
	{ 0x02452713, "nf_register_sockopt" },
	{ 0xa7f7babb, "xt_unregister_targets" },
	{ 0xbe121599, "unregister_pernet_subsys" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcbb804fa, "xt_request_find_table_lock" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6e81a612, "xt_table_unlock" },
	{ 0x2af21e81, "module_put" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x8fc1645a, "xt_proto_fini" },
	{ 0x3dab9bc2, "xt_proto_init" },
	{ 0x1f9f3945, "nf_unregister_sockopt" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x070f7896, "_printk" },
	{ 0x55e2bddf, "ns_capable" },
	{ 0xddf68fc6, "xt_find_revision" },
	{ 0xd5d7f9d9, "xt_find_table_lock" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x807d2b2c, "xt_recseq" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2ca1e744, "xt_match_to_user" },
	{ 0x999e8297, "vfree" },
	{ 0xff61b74f, "xt_target_to_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xd3fcc511, "xt_tee_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x70c52dc5, "nf_skb_duplicated" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x73128000, "nf_log_trace" },
	{ 0x5152e605, "memcmp" },
	{ 0xbfacb837, "xt_percpu_counter_free" },
	{ 0x0f0bd684, "xt_unregister_table" },
	{ 0xe204e042, "xt_free_table_info" },
	{ 0x0d7f5fcd, "xt_alloc_entry_offsets" },
	{ 0xd87ae60d, "xt_check_entry_offsets" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3bf9d084, "xt_check_table_hooks" },
	{ 0x9c995c69, "xt_percpu_counter_alloc" },
	{ 0x02d2c275, "xt_request_find_match" },
	{ 0x68f55545, "xt_check_match" },
	{ 0x02a7b1cb, "xt_request_find_target" },
	{ 0xfeef841b, "xt_check_target" },
	{ 0xfef779fa, "xt_find_jump_offset" },
	{ 0x977fd4bf, "xt_alloc_table_info" },
	{ 0x2e60bace, "memcpy" },
	{ 0x86f7f0c7, "xt_register_table" },
	{ 0x8ace204b, "kmemdup_array" },
	{ 0xc56636cc, "nf_register_net_hooks" },
	{ 0xf6abeb06, "xt_copy_counters" },
	{ 0xcb3e91cc, "xt_counters_alloc" },
	{ 0x3aaac548, "xt_replace_table" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "x_tables");


MODULE_INFO(srcversion, "80D04EB8A9B6BE6649C7F2C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
