#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x58fa0f06, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xa32697b1, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x9f927695, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xf4a2de3b, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x25b50381, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x0cf0cab8, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xfd434d9d, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x54388311, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xe12a6f14, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xfe087f9b, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x89c40cf9, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xf08243ec, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdbc2727d, "ip6tun_encaps" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x79c44f00, "ipv6_chk_addr_and_flags" },
	{ 0xa32a6d32, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x070f7896, "_printk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x98ed336c, "register_pernet_device" },
	{ 0x6b4b3e75, "xfrm6_tunnel_register" },
	{ 0x32d50c58, "rtnl_link_register" },
	{ 0x84da2193, "xfrm6_tunnel_deregister" },
	{ 0xb0209f07, "unregister_pernet_device" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x51813ef6, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b577412, "unregister_netdevice_queue" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0xa3e3dbda, "rt6_lookup" },
	{ 0x132a241c, "dst_release" },
	{ 0xa5c3c563, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x94a74822, "gro_cells_init" },
	{ 0xe9b630e4, "ip_tunnel_header_ops" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc43a689c, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x534794e1, "init_net" },
	{ 0x3127606b, "alloc_netdev_mqs" },
	{ 0x9d1cb423, "register_netdev" },
	{ 0x738803e6, "strnlen" },
	{ 0x133663bc, "free_netdev" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0xf443749a, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x14e19b76, "netdev_state_change" },
	{ 0x55e2bddf, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3b807f06, "make_kuid" },
	{ 0x0f5d8cad, "ip6_redirect" },
	{ 0x2a7500e8, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3621b336, "ip6_route_output_flags" },
	{ 0x5c86ebb5, "xfrm_lookup" },
	{ 0xd71de0fd, "ip6_mtu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x79dcc778, "skb_scrub_packet" },
	{ 0x48843341, "skb_realloc_headroom" },
	{ 0x5ed7027a, "skb_set_owner_w" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2e540d11, "ipv6_push_frag_opts" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0xa49af2ec, "ip6_local_out" },
	{ 0x24155d02, "dst_cache_get" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0x5989784d, "dst_cache_set_ip6" },
	{ 0xb4338c27, "ipv6_dev_get_saddr" },
	{ 0x0111e989, "ip6_dst_hoplimit" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5fb85e5a, "ipv4_mtu" },
	{ 0x931feb36, "neigh_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xc8c8724f, "iptunnel_handle_offloads" },
	{ 0x432d0db7, "icmpv6_ndo_send" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x0f4166a3, "icmp_ndo_send" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0x0de07004, "skb_pull" },
	{ 0xba62a1fa, "icmp6_send" },
	{ 0x2ab5badc, "ip_route_output_flow" },
	{ 0x8faefd8e, "ip_route_input_noref" },
	{ 0x245615df, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb25bffe8, "gro_cells_receive" },
	{ 0x67ad18b9, "eth_type_trans" },
	{ 0x07d50a24, "csum_partial" },
	{ 0x8e1a66c5, "__iptunnel_pull_header" },
	{ 0xee2756d5, "metadata_dst_alloc" },
	{ 0xd66f7f4b, "__xfrm_policy_check" },
	{ 0x04636c16, "__skb_ext_del" },
	{ 0xadfc4967, "dev_get_tstats64" },
	{ 0xf8afc247, "param_ops_bool" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "77E96F1E82FBA05ADA1E5AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
