#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0xb37e2469, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0xda2dbfd5, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x04f66e15, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0xaea7bee3, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0xd0c48d92, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x753f0656, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x3baede4c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa1564e3c, "nf_ct_helper_init" },
	{ 0x87debfc3, "nf_conntrack_helpers_register" },
	{ 0x070f7896, "_printk" },
	{ 0x7f2b90c3, "nf_conntrack_helpers_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe5524b4e, "nf_ct_remove_expect" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x2098c5de, "__nf_ct_expect_find" },
	{ 0x12478d75, "nf_ct_expect_alloc" },
	{ 0xb50218a4, "nf_ct_expect_init" },
	{ 0xaa291a82, "nf_ct_expect_related_report" },
	{ 0xfa836d51, "nf_ct_expect_put" },
	{ 0x2a0b8d4d, "__nf_ip6_route" },
	{ 0x132a241c, "dst_release" },
	{ 0x437bf6b4, "nf_ip_route" },
	{ 0xc9c8f489, "nf_ct_unexpect_related" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x396cd78b, "nf_ct_helper_log" },
	{ 0x881a4911, "__nf_ct_refresh_acct" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0x8cdd2467, "param_ops_uint" },
	{ 0x497f6c4d, "param_array_ops" },
	{ 0xe276e5b4, "param_ops_ushort" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "16F54D87A0A64D5CA4D3C7D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
