#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xd792f811, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xe6f3af54, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x3c062836, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xd85597b3, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xab50a58a, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x0747e917, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xd18b80e3, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x5734a20e, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x62befd0b, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x94665208, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x38711e95, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x96dfb9f2, "register_pernet_subsys" },
	{ 0xbe121599, "unregister_pernet_subsys" },
	{ 0x6678d509, "skb_put" },
	{ 0xc56636cc, "nf_register_net_hooks" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xcfbd8968, "seq_write" },
	{ 0xa3630ab0, "nf_unregister_net_hooks" },
	{ 0x42c3ba60, "skb_ensure_writable" },
	{ 0x11aafff4, "inet_proto_csum_replace4" },
	{ 0xde11e4b4, "ip_route_me_harder" },
	{ 0x8e6f7259, "ip_local_out" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x13f877e7, "security_skb_classify_flow" },
	{ 0x2a0b8d4d, "__nf_ip6_route" },
	{ 0x5c86ebb5, "xfrm_lookup" },
	{ 0xa49af2ec, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd57ad88b, "nf_ct_tmpl_alloc" },
	{ 0xf9e125d0, "nf_ct_ext_add" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x4049aeb5, "proc_create_net_data" },
	{ 0x834de594, "nf_ct_tmpl_free" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x99e6780e, "__cookie_v6_check" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0x24fd99ba, "nf_ct_seqadj_init" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x5b361a90, "ipv6_skip_exthdr" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "C1BDC301FE77D43A55D3BEA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
