#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xe649b08b, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x86a35fd8, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x9353465f, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x8221bc36, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xe1929fb9, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x55e9ec39, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9e125d0, "nf_ct_ext_add" },
	{ 0x11b6dbd9, "nsh_pop" },
	{ 0x4be6baa8, "nf_conntrack_find_get" },
	{ 0xd0b7e658, "nf_ct_set_timeout" },
	{ 0x127dccbe, "dev_get_stats" },
	{ 0x3d501fb8, "__nla_put" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xff11c6b0, "dev_fill_metadata_dst" },
	{ 0x688f510d, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x54026a2c, "skb_copy_bits" },
	{ 0x0c8fd788, "nf_ct_handle_fragments" },
	{ 0xfdbd4283, "eth_mac_addr" },
	{ 0x6678d509, "skb_put" },
	{ 0x351b7596, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x86638264, "nsh_push" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb958b2dc, "consume_skb" },
	{ 0x07d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0x7e4b7f78, "nf_ct_nat" },
	{ 0x9d1bf168, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf58404cd, "skb_eth_pop" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x29a39164, "skb_gso_validate_mac_len" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0xebe2c6a9, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xec5e84a2, "nf_ct_helper" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x240fb16d, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x32d50c58, "rtnl_link_register" },
	{ 0x9e712d73, "nf_connlabels_put" },
	{ 0xe3ee55c6, "genlmsg_put" },
	{ 0x192645d5, "___pskb_trim" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x08b69646, "psample_sample_packet" },
	{ 0x037a0cba, "kfree" },
	{ 0x511d4ac2, "dev_set_promiscuity" },
	{ 0x4e985b6a, "nf_ct_destroy_timeout" },
	{ 0x4144e429, "nf_ct_add_helper" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xe565b79b, "nf_conntrack_helper_put" },
	{ 0xabc8e2ce, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9c11ce61, "nf_ct_skb_network_trim" },
	{ 0x2b577412, "unregister_netdevice_queue" },
	{ 0x95411a14, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0b8f75a3, "node_states" },
	{ 0x9d822627, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x04381788, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb03e0bcf, "pskb_expand_head" },
	{ 0x1545e935, "skb_csum_hwoffload_help" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x47169baf, "dev_addr_mod" },
	{ 0x378ec2d9, "nf_connlabels_replace" },
	{ 0x67ad18b9, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x3127606b, "alloc_netdev_mqs" },
	{ 0x7375c60a, "nla_put_nohdr" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc951df2d, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x17e6dedc, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3cd4700a, "skb_eth_push" },
	{ 0x36505d3d, "nf_conncount_count" },
	{ 0x738803e6, "strnlen" },
	{ 0x46c36cca, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x10db7b1f, "skb_mpls_pop" },
	{ 0x418fcc7c, "skb_vlan_pop" },
	{ 0xaa2cf2a3, "dst_init" },
	{ 0x2af21e81, "module_put" },
	{ 0x9b6eb137, "ksize" },
	{ 0x826e36f2, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xc43a689c, "rtnl_link_unregister" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x534794e1, "init_net" },
	{ 0xaacc9e27, "sort" },
	{ 0x38dbbb07, "ipv6_stub" },
	{ 0xe014188c, "skb_mpls_update_lse" },
	{ 0x0de07004, "skb_pull" },
	{ 0xd59cd494, "__skb_get_hash_symmetric_net" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfdfb162, "sk_skb_reason_drop" },
	{ 0x80211203, "netlink_unicast" },
	{ 0xcacd4683, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa32a6d32, "dev_get_by_index_rcu" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5cd0de2, "skb_push" },
	{ 0xe7dfb047, "kmem_cache_free" },
	{ 0x845289bb, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x42c3ba60, "skb_ensure_writable" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x133663bc, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2db0a4c2, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xb0209f07, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd345bb16, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x0a84160e, "__nf_conntrack_confirm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x2bc95bd4, "memset" },
	{ 0x02f0d9c7, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x32b46672, "kmem_cache_alloc_noprof" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x764e3060, "__pskb_pull_tail" },
	{ 0x7b96905f, "nf_ct_delete" },
	{ 0x8930c19c, "nf_conncount_init" },
	{ 0x9d76e8f8, "skb_vlan_push" },
	{ 0x2ceab378, "netif_rx" },
	{ 0xb2badd13, "__netdev_alloc_skb" },
	{ 0x405f4083, "__kmem_cache_create_args" },
	{ 0xf70a01d3, "netdev_master_upper_dev_link" },
	{ 0xb19b56d7, "skb_zerocopy_headlen" },
	{ 0x48800a5b, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xb4ab84cb, "inet_proto_csum_replace16" },
	{ 0x9aa66c2c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x79dcc778, "skb_scrub_packet" },
	{ 0x18ce0d6c, "nf_ct_deliver_cached_events" },
	{ 0xacbd9c4d, "ipv6_find_hdr" },
	{ 0x879fe0f4, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xea683f27, "crc32c_le_arch" },
	{ 0x748d4df1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0xcd38f634, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x11aafff4, "inet_proto_csum_replace4" },
	{ 0x195612ea, "nf_conncount_destroy" },
	{ 0x3ced3606, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0xcccc4de6, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6feb9f87, "dev_get_by_name" },
	{ 0xf5ada0d7, "skb_clone" },
	{ 0xee2756d5, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x132a241c, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb95b89db, "peernet2id_alloc" },
	{ 0x417b9df2, "nf_ct_get_tuplepr" },
	{ 0xd796c762, "netdev_rx_handler_register" },
	{ 0x577dd5b6, "ip_do_fragment" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x75a8e086, "genl_unregister_family" },
	{ 0xf52faa21, "dev_disable_lro" },
	{ 0x51a0d6b0, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0xed573ace, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfb9b084d, "genl_register_family" },
	{ 0x834de594, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x515b0bbf, "netlink_has_listeners" },
	{ 0x6ebf9bd9, "kmalloc_size_roundup" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x2a5b4e91, "__skb_gso_segment" },
	{ 0x29f3a126, "up_read" },
	{ 0x0eaab476, "skb_mpls_push" },
	{ 0x98ed336c, "register_pernet_device" },
	{ 0x603d293b, "nf_conntrack_in" },
	{ 0x74ace58d, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb889cfab, "kmem_cache_destroy" },
	{ 0xbdb0cffc, "__skb_vlan_pop" },
	{ 0xd57ad88b, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf443749a, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "7F6EAFD471E5EA5ADC1DF31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
