#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(gss_mech_register, 0x7d786b00, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x99d9f5a8, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x325cd530, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x63251811, "");
SYMBOL_CRC(gss_mech_put, 0x26e5a4a0, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xb0417f72, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x47299d6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86c584fd, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x99a11925, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x62f5d2cb, "xdr_buf_from_iov" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x688f510d, "bpf_trace_run4" },
	{ 0x2ea5e62a, "xdr_stream_decode_opaque_auth" },
	{ 0x8cdd2467, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf379249f, "xdr_write_pages" },
	{ 0x8af627ef, "rpc_shutdown_client" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xeeb480ba, "auth_domain_find" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xde28e253, "xdr_inline_decode" },
	{ 0xb3d7fb46, "cache_create_net" },
	{ 0xd2c02b28, "rpcauth_destroy_credcache" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x6bdf0162, "bpf_trace_run6" },
	{ 0x3cf0b88d, "rpc_net_ns" },
	{ 0x8f92be29, "read_bytes_from_xdr_buf" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9f044fc, "rpc_wake_up" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd3826f39, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x94abb745, "sprint_oid" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x60a82bdf, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8bf9542d, "xdr_truncate_decode" },
	{ 0x43e4c78a, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x47121419, "__xdr_commit_encode" },
	{ 0x3146e0f9, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x55635bc3, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x28177c90, "__put_cred" },
	{ 0x96dfb9f2, "register_pernet_subsys" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc2a1c8fc, "cache_purge" },
	{ 0x070f7896, "_printk" },
	{ 0xf7549fe4, "rpc_release_client" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb33296d6, "auth_domain_lookup" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdb0694fa, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe99b5f29, "svc_auth_register" },
	{ 0xa8b043bb, "xdr_stream_encode_opaque_auth" },
	{ 0x3b807f06, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x8a1f5211, "rpc_destroy_pipe_data" },
	{ 0x6dded84f, "__free_pages" },
	{ 0x9ad3c83c, "rpc_pipe_generic_upcall" },
	{ 0x2af21e81, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x0fa77b74, "cache_unregister_net" },
	{ 0xe6272fc3, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x91237a6f, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xb323df87, "rpcauth_init_credcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7a84073c, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xc468ffcc, "xdr_init_decode" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0xfe70db3a, "rpc_call_null" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x48e9869e, "rpc_sleep_on_timeout" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x3f3c297e, "rpc_create" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0x882e237c, "rpc_call_sync" },
	{ 0x0cdd3b75, "from_kuid" },
	{ 0xbe121599, "unregister_pernet_subsys" },
	{ 0xd887b797, "rpc_queue_upcall" },
	{ 0xa33707f9, "xdr_encode_word" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb7fb9455, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1f21b582, "svcauth_unix_set_client" },
	{ 0x27dce12a, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xf86fe009, "make_kgid" },
	{ 0x1bbedc30, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x19258cc7, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x539f0633, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0x056cfa6d, "__put_net" },
	{ 0xff140166, "rpc_mkpipe_dentry" },
	{ 0x0b66e5c6, "rpc_mkpipe_data" },
	{ 0x1b939f0b, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x4e604175, "cache_register_net" },
	{ 0x4851081a, "init_user_ns" },
	{ 0xf2b2a9a7, "xdr_inline_pages" },
	{ 0x4b0f6a18, "__folio_put" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x85174991, "rpc_init_wait_queue" },
	{ 0x6ccc2016, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x0b97c832, "alloc_pages_noprof" },
	{ 0xd34ee805, "rpc_unlink" },
	{ 0x0d6c36a7, "rpcauth_wrap_req_encode" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x1a4c8abf, "from_kuid_munged" },
	{ 0xfb3bba3e, "rpcauth_init_cred" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x0cce5dfb, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf8a05e37, "cache_destroy_net" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf2b59e9a, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x0e8ff8e0, "xdr_stream_pos" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xe5637e75, "sunrpc_cache_update" },
	{ 0x93664f01, "xdr_truncate_encode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcfd6120e, "rpc_destroy_wait_queue" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfa9c8d36, "auth_domain_put" },
	{ 0x17650e0a, "rpcauth_unwrap_resp_decode" },
	{ 0x79465205, "rpcauth_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "6969FCD552F61778117FF1A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
