#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync_per_card, "_gpl", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_default, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer_hw_params, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer, "", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_hw_params, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x3d308d81, "");
SYMBOL_CRC(snd_pcm_new, 0xb4bf5c21, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x3eb77917, "");
SYMBOL_CRC(snd_pcm_notify, 0x11685bfb, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x7f8b31bb, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0xfaf99d29, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x4d0d174f, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x0afdf6bf, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0xf9ab3e98, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0xce5bdb11, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x94c9c76b, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xf61a00ea, "");
SYMBOL_CRC(snd_pcm_stop, 0x2d257670, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x3ccfedea, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0xceb1c896, "");
SYMBOL_CRC(snd_pcm_release_substream, 0xbc2df30d, "");
SYMBOL_CRC(snd_pcm_open_substream, 0x1dbe32b4, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xd529ca6e, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x4e2e8dc1, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x36c7124e, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0xdfb05159, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x062dd57c, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x0c98343c, "");
SYMBOL_CRC(snd_pcm_set_sync_per_card, 0x8cbd1767, "_gpl");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xf9aea3c5, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x51eba5a9, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0x388ade88, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0xf31b468b, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x82f7f617, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0xed0d6871, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0xde10d146, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x0c1cd4ee, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x5a3700d0, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0xcb27c870, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0xbab756b9, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0xce9efa29, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x195b710c, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x77bd191e, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x42b22246, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x3884eb48, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x38b666be, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0xe385f704, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x3b5f83f8, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x979752dd, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0xfed77dd4, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0xf180339d, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x3e7f6f3e, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x4d9b6d35, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0x1f64833d, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0xffb38b6a, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0xd1913a58, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0xb471d1e0, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0xfa063d6c, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x737bf7c1, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0xa8720eee, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x6462db49, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x366dae33, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x5e9e3988, "");
SYMBOL_CRC(snd_dma_free_pages, 0x193c28f2, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x4082eb37, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x083ce9c8, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x036b012c, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0xbeaf10ac, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0x3d53efd8, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x34cf996d, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x86f57ad2, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_default, 0x9b746c56, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer, 0x8a50191a, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer_hw_params, 0x44cf5814, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer, 0x0cf9b920, "");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_hw_params, 0x306dabbd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42648a78, "cpu_latency_qos_remove_request" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9b83eb4e, "dma_can_mmap" },
	{ 0x34f1bf37, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2d4ce024, "_copy_to_iter" },
	{ 0xc32c44de, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbda7a5a6, "snd_info_create_module_entry" },
	{ 0xe4e3f1eb, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x94c48a18, "dev_set_name" },
	{ 0xc1a895df, "snd_ctl_add" },
	{ 0x68a81460, "vmalloc_to_page" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0xac323f22, "trace_raw_output_prep" },
	{ 0x4ea1669d, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xfe1b36ba, "snd_timer_notify" },
	{ 0x7d3f8d57, "snd_ctl_get_preferred_subdevice" },
	{ 0x4392d634, "dma_vunmap_noncontiguous" },
	{ 0x03e0e6d3, "__trace_trigger_soft_disabled" },
	{ 0xceacc4d7, "gen_pool_dma_alloc_align" },
	{ 0x778abd4e, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xc87b9809, "dma_unmap_page_attrs" },
	{ 0xbeea5939, "dma_mmap_pages" },
	{ 0x82785a43, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1457994c, "__dma_need_sync" },
	{ 0x54b88245, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf4435bf5, "snd_timer_interrupt" },
	{ 0xd9822cd6, "snd_info_free_entry" },
	{ 0x222f20f0, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3cefb92f, "remap_pfn_range" },
	{ 0x596ff27b, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0xf0d3d128, "pcpu_hot" },
	{ 0xe3e35272, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb4088fc7, "bpf_trace_run2" },
	{ 0xddf20de5, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5c770328, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xaafd5bda, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x0401b230, "dev_driver_string" },
	{ 0x884da674, "trace_event_buffer_commit" },
	{ 0xb9af0d7d, "dma_map_page_attrs" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0x851b6e2e, "snd_ctl_new1" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa6243fcd, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x24de4a7a, "put_device" },
	{ 0xbe409bb0, "snd_ctl_register_ioctl" },
	{ 0x01b1508b, "snd_card_file_add" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe5050ea1, "const_pcpu_hot" },
	{ 0x2af21e81, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x849fc675, "__dma_sync_single_for_cpu" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xdd5dff4a, "perf_trace_run_bpf_submit" },
	{ 0xaad78ede, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe1e2dbe6, "dma_vmap_noncontiguous" },
	{ 0x424323e1, "__dma_sync_sg_for_device" },
	{ 0xcacd4683, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x1d9044bc, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0xf77a2f57, "trace_event_reg" },
	{ 0x8d0971a2, "__dma_sync_sg_for_cpu" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0xfee118c5, "vmap" },
	{ 0xe97ba0f9, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xa083996e, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x828a2e3c, "snd_timer_new" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc411b9ae, "bpf_trace_run1" },
	{ 0x1d3ae753, "sg_alloc_table_from_pages_segment" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x384a7cde, "snd_device_new" },
	{ 0xd98a518a, "alloc_pages_exact_noprof" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1de651da, "_dev_warn" },
	{ 0xc9323d26, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa68319b1, "snd_ctl_unregister_ioctl" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x539f0633, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0xbbc84d96, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9c2d7ee1, "dma_free_noncontiguous" },
	{ 0x1e91c09b, "dma_alloc_noncontiguous" },
	{ 0x7230beea, "fdget" },
	{ 0x994b07ab, "dma_mmap_noncontiguous" },
	{ 0xee2e30d8, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x31abbe62, "trace_event_buffer_reserve" },
	{ 0x60cec275, "dma_map_sgtable" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf66f8b87, "__dma_sync_single_for_device" },
	{ 0xb455534a, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x0562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe908a6fa, "__kmalloc_cache_noprof" },
	{ 0x03833a8d, "of_gen_pool_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd6fce6e1, "snd_info_create_card_entry" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0x02ee26c1, "free_pages_exact" },
	{ 0x161c06ff, "snd_power_wait" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5a2bea73, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfa604da9, "pid_vnr" },
	{ 0x26656e60, "snd_device_free" },
	{ 0xe4412ae5, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xb7f0cf56, "dma_unmap_sg_attrs" },
	{ 0xaf79b6b1, "page_address" },
	{ 0x863f8409, "gcd" },
	{ 0x9f272df5, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc29975cc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x20d365c9, "snd_device_register" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x260a13da, "snd_register_device" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xba4a3e6f, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x25d51fef, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "0674682F0F50137AA640FBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
