#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xccbfac32, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x07c98994, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x20bb8efc, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xe0471e5b, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xddb9a68b, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x2319476b, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x5daa5ad6, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xf2421448, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x3f612b6d, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x2d894baa, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x90473368, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x8ecd85e2, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x180abfb4, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xc398cdd6, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0x01d4878b, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x9ea77c78, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x28f27aa7, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0xe79c4ed4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2820963, "gpiod_get_value_cansleep" },
	{ 0xbc931539, "spi_bus_unlock" },
	{ 0x01f419ec, "regcache_cache_only" },
	{ 0x52b94a01, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6ed0a4bc, "regmap_write" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xbc4ebcd8, "cs_amp_get_efi_calibration_data" },
	{ 0xcf21f8c9, "regmap_raw_read" },
	{ 0xe93cd2fd, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62091f3a, "gpiod_get_array_optional" },
	{ 0xcc34c2bf, "spi_bus_lock" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7289e29d, "device_property_read_u32_array" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0xcc1580e0, "regmap_multi_reg_write_bypassed" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0x938af7bd, "gpiod_put_array" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd21fcac7, "regmap_read_bypassed" },
	{ 0x602c00b8, "regmap_read" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf9f294bb, "spi_sync_locked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4acac8ba, "_dev_crit" },
	{ 0x326e697d, "regmap_update_bits_base" },
	{ 0x3c728c20, "dev_err_probe" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xfd34805e, "regmap_register_patch" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "C12BFE4C3C83D2BB249B6EF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
