#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x5b65cd63, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x7c640638, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x6f35acfc, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x56a5b370, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xccfd9aba, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x8f26d585, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xdd812a28, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x9f6bb06a, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xbab0d9e6, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x531b42c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71648666, "snd_soc_dapm_put_enum_double" },
	{ 0xf2820963, "gpiod_get_value_cansleep" },
	{ 0x01f419ec, "regcache_cache_only" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x4ab87324, "gpiod_put" },
	{ 0x52b94a01, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6ed0a4bc, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4533e1b4, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x92478026, "acpi_dev_add_driver_gpios" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe93cd2fd, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0xc1b0c499, "wm_adsp_stop" },
	{ 0xf1c5f024, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x90473368, "cs35l56_get_calibration" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xdc2ff8b9, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x400a3f15, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc67bb917, "sdw_write_no_pm" },
	{ 0x9ff784ce, "devm_free_irq" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0xdfa6952f, "fwnode_gpiod_get_index" },
	{ 0x585ece57, "regulator_bulk_disable" },
	{ 0xe5dd27e4, "_dev_info" },
	{ 0xd8255cf7, "acpi_dev_remove_driver_gpios" },
	{ 0xf8e6da19, "snd_soc_info_volsw" },
	{ 0x2d894baa, "cs35l56_init_cs_dsp" },
	{ 0xe99358cf, "wm_adsp_power_down" },
	{ 0xf6d5136f, "_dev_err" },
	{ 0xe1d584c5, "debugfs_create_bool" },
	{ 0xc2420d61, "wm_adsp_event" },
	{ 0x05c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x4819f017, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x0fa4d22d, "cs35l56_calibration_controls" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf2421448, "cs35l56_runtime_suspend_common" },
	{ 0x56de1ff9, "sdw_read_no_pm" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x07c98994, "cs35l56_mbox_send" },
	{ 0x180abfb4, "cs35l56_hw_init" },
	{ 0x1de651da, "_dev_warn" },
	{ 0x32464ac3, "wm_adsp2_component_probe" },
	{ 0x8ecd85e2, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xddb9a68b, "cs35l56_system_reset" },
	{ 0x7de355d3, "snd_soc_info_enum_double" },
	{ 0x18d396ce, "regulator_bulk_enable" },
	{ 0xc1be400c, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4ff76733, "wm_adsp2_component_remove" },
	{ 0xe0471e5b, "cs35l56_wait_for_firmware_boot" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x46bfe270, "snd_soc_get_volsw" },
	{ 0xccbfac32, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xf6afc239, "fwnode_property_present" },
	{ 0x5daa5ad6, "cs35l56_is_fw_reload_needed" },
	{ 0x602c00b8, "regmap_read" },
	{ 0x60b6aae0, "snd_soc_put_volsw" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xef5a14e0, "cs_amp_write_cal_coeffs" },
	{ 0x40c161ee, "device_get_named_child_node" },
	{ 0x420aa8a4, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xb4417eae, "sdw_stream_remove_slave" },
	{ 0x3f612b6d, "cs35l56_runtime_resume_common" },
	{ 0x810a0c87, "dapm_regulator_event" },
	{ 0xc398cdd6, "cs35l56_get_speaker_id" },
	{ 0x1509158f, "wm_adsp_run" },
	{ 0x326e697d, "regmap_update_bits_base" },
	{ 0x3d0a2b39, "acpi_dev_get_property" },
	{ 0x3c728c20, "dev_err_probe" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x01d4878b, "cs35l56_fill_supply_names" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0xe29d63e7, "snd_soc_dapm_get_enum_double" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x5888e6bd, "wm_halo_init" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x20bb8efc, "cs35l56_firmware_shutdown" },
	{ 0x269a4d81, "sdw_stream_add_slave" },
	{ 0xd6ffafa8, "pm_runtime_force_suspend" },
	{ 0x984e81e1, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,snd-soc-wm-adsp,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "6072142227690706712F4D7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
